SELECT
  distinct pv.prac_zkr,pv.zkr_predm,pv.cz_nazev,pv.rok_varianty,eav.ELAVIDNO
  from PRED_VARIANTY pv,ROZVRH_AKCE ra,EL_AKT_VAZBY eav
where
  fn_cs_to_upper_asc(pv.zkr_predm) like (select fn_cs_to_upper_asc(nvl(:zkratka,'%')) from dual)
  and fn_cs_to_upper_asc(pv.prac_zkr) like (select fn_cs_to_upper_asc(nvl(:prac_zkr,'%')) from dual)
  and fn_cs_to_upper_asc(pv.cz_nazev) like (select fn_cs_to_upper_asc(nvl(:nazev,'%')) from dual)
  and pv.rok_varianty like :rok_varianty
  and ra.prac_zkr = pv.prac_zkr
  and ra.zkr_predm = pv.zkr_predm
  and ra.rok_varianty = pv.rok_varianty
  and ra.semestr like nvl(:semestr,'%')
  and ra.typakce like nvl(:typakce,'%')
--   and pv.typ_zk like nvl(:typ_zk,'%')
  and eav.ROK_VARIANTY(+) = pv.rok_varianty
  and eav.prac_zkr(+) = pv.prac_zkr
  and eav.zkr_predm(+) = pv.zkr_predm

