select 
  ak.*,
  fn_get_ucitel(ak.ucitidno,'JP','A') as ucitel
from 
aktuality ak,
(SELECT
    distinct(ak.id) as id
  FROM
znamky z,
aktuality ak
WHERE z.os_cislo = UPPER (:os_cislo)
    AND z.rok_platnosti = :rok
    and ak.rok_platnosti = z.rok_platnosti
    and ak.PRAC_ZKR = z.prac_zkr
    and z.zkr_predm like nvl(ak.zkr_predm,'%')
union
  select distinct ak.id as id
from
  aktuality ak,
  studenti st,
  studijni_programy sp
where 
  st.os_cislo = upper(:os_cislo)
  and st.stpridno = sp.stpridno
  and sp.fakulta_sp = ak.fakulta
    ) x
where 
  ak.id = x.id
order by
    nvl(ak.datum_publikace,ak.date_of_insert) desc, ak.prac_zkr,ak.zkr_predm desc
