select 
  zkr_budovy zkr,
  ulice_nazev,
  ulice_cislo,
  ulice_nazev || decode(ulice_cislo, '0', '', ' '||ulice_cislo) || ', ' || rv_meaning adr,
  lokalita
from
  budovy b, cg_ref_codes c
where
  c.rv_domain = 'MISTO_VYUKY' and
  c.rv_low_value = b.misto
order  by nlssort(ulice_nazev, 'NLS_SORT = XCzech')
