select distinct jmeno, email, prijmeni
from (
  select
      u.JMENO || ' ' || u.PRIJMENI jmeno,
      u.PRIJMENI prijmeni,
      u.email email
  from
    ucitele u
  where
    u.PRAC_ZKR = upper(:zkr_kat)
    and u.email is not null
    and u.zamestnanec like :prac_pomer
    and u.platnost='A'
  union
    select
      u.JMENO || ' ' || u.PRIJMENI jmeno,
      u.PRIJMENI prijmeni,
      u.email email
    from
      ucitele u,
      zamestnanci z
    where
      z.PRAC_ZKR = upper(:zkr_kat)
      and u.UCITIDNO = z.UCITIDNO
      and u.email is not null
      and u.zamestnanec like :prac_pomer
    and u.platnost='A'
) united
order by united.prijmeni