SELECT
  date_of_update, misto_nar, ccobidno_bydl, ccobidno_prby, null cis_oboru, cislo_pasu, cislo_ulice, datum_naroz,
  email, null financovani, izo, jmeno, maturita_datum, to_number(narodnost) narodnost, obc_prukaz,
  statidno_obca obcanstvi_id, obcanstvi_kvalifikace, obec_cizi, obecidno_bydl, obecidno_prby,
  (odkud) odkud, okres_cizi, okresidno_bydl, okresidno_prby,
  null osob_idno, pohlavi, posta_cizi, pr_cislo_ulice, pr_obec_cizi,
  pr_okres_cizi, pr_posta_cizi, null pr_psc_cizi, null pr_telefon, pr_ulice,
  prijmeni, psc_bydl, psc_cizi, psc_prby, rod_cislo, rodne_prijmeni, null skolaidno,
  statidno_bydl, statidno_naro, statidno_prby, statidno_stred_skola, null statnice_datum, to_number(stav) stav,
  stred_skola_cizi, stred_skola_cizi_misto, stred_skola_cizi_obor, stupen_pred_vzdelani, telefon,
  titul_pred, titul_za, trvaly_pobyt, ulice, null vs_fakulta, null vs_kvalif_prace, null vs_misto, null vs_obor, null vs_rok_absol,
  null vs_skola, null vs_stud_prog, null zdr_specifika
FROM OSOBY WHERE
  rod_cislo = :rodCislo
UNION
SELECT
  date_of_update, misto_nar, ccobidno_bydl, ccobidno_prby, cis_oboru, cislo_pasu, cislo_ulice, datum_naroz,
  email, financovani, izo, jmeno, maturita_datum, narodnost, obc_prukaz,
  obcanstvi_id, obcanstvi_kvalifikace, obec_cizi, obecidno_bydl, obecidno_prby,
  odkud, okres_cizi, okresidno_bydl, okresidno_prby,
  osob_idno, pohlavi, posta_cizi, pr_cislo_ulice, pr_obec_cizi,
  pr_okres_cizi, pr_posta_cizi, pr_psc_cizi, pr_telefon, pr_ulice,
  prijmeni, psc_bydl, psc_cizi, psc_prby, rod_cislo, rodne_prijmeni, skolaidno,
  statidno_bydl, statidno_naro, statidno_prby, statidno_stred_skola, statnice_datum, stav,
  stred_skola_cizi, stred_skola_cizi_misto, stred_skola_cizi_obor, stupen_pred_vzdelani, telefon,
  titul_pred, titul_za, trvaly_pobyt, ulice, vs_fakulta, vs_kvalif_prace, vs_misto, vs_obor, vs_rok_absol,
  vs_skola, vs_stud_prog, zdr_specifika
FROM PR_UCHAZECI WHERE
  rod_cislo = :rodCislo
ORDER BY date_of_update DESC