SELECT
  decode( nvl(PG_CTI_PARAMETRY.CTI_RETEZEC_FAK('EPR_NAZVY_OBORU_DIPLOM', x.fakulta), 'N'), 'A', nvl(x.programNazevDiplom, x.programNazevNorm), x.programNazevNorm) programNazev,
  decode( nvl(PG_CTI_PARAMETRY.CTI_RETEZEC_FAK('EPR_NAZVY_OBORU_DIPLOM', x.fakulta), 'N'), 'A', nvl(x.oborNazevDiplom, x.oborNazevNorm), x.oborNazevNorm) oborNazev,
  X.*
FROM ( SELECT DISTINCT
       U.jmeno||' '||U.prijmeni jmeno_prijmeni,
       FN_ADRESA_UCHAZECE_WWW(U.osob_idno,'ULICE_CISLO')||', '||FN_ADRESA_UCHAZECE_WWW(U.osob_idno,'PSC_POSTA') adresa,
       U.prijmeni||' '||U.jmeno||'<BR>'||FN_ADRESA_UCHAZECE_WWW(U.osob_idno,'ULICE_CISLO')||'<BR>'||FN_ADRESA_UCHAZECE_WWW(U.osob_idno,'PSC_POSTA') uchazec_adresa,
       nvl(S.epr_deadline_prihlaska, PG_CTI_PARAMETRY.CTI_DATUM_FAK('EPR_DEADLINE_PRIHLASKA', SP.fakulta_SP)) DEADLINE_PRIHLASKA,
       nvl(S.epr_deadline_platba, PG_CTI_PARAMETRY.CTI_DATUM_FAK('EPR_DEADLINE_PLATBA', SP.fakulta_SP)) DEADLINE_PLATBA,
       to_char(u.DATUM_NAROZ,'RRRRMMDD') datum_naroz,
       u.rod_cislo rodne_cislo,
       S.WEB_URL url,
       r.dokt_prac_zkr, r.dokt_stpl_nazev, r.dokt_ucitidno, r.global_idno, r.jazyk, r.osob_idno, r.poznamka, r.typ_studenta,
       r.priorita, r.rok, r.uchazec_idno, r.zada_o_kolej,
       s.misto, s.epr_deadline_prihlaska, s.epr_pouzivat, s.kombidno, s.nazev, s.oboridno, s.predpis_idno, s.stpridno,
       s.web_url, s.epr_info_platba, s.epr_info_znamky, s.epr_info_ss, s.epr_info_vs, s.epr_zobrazovat_tisk_prihlasky,
       s.epr_povinny_tisk_prihlasky, s.epr_info_tisk, s.epr_zobrazovat_typ_studenta, s.epr_povinny_typ_studenta,
       s.epr_info_typ_studenta,
       platby.*,
       decode( (select count(*) from pr_rizeni pr where pr.uchazec_idno = r.uchazec_idno), 0, 'N', 'A') prijata,
         sp.fakulta_sp fakultaTxt, sp.fakulta_sp fakulta, sp.typ typ_programu, sp.kodsp_i programKod, sp.celozivotni_vzdelavani celozivotni_vzdelavani,
         sp.forma forma, sp.typ typ, sp.jazyk jazyk_programu,
       decode(s.oboridno, null, null, ob.cisoboru||decode(ob.cisspec, null, '', '0', '', '00', '', '/'||ob.cisspec)) oborCislo,
       nvl(komb.zkratka, ob.zkratka) oborZkratka,
@IF(1)  nvl(ob.cz_nazev, komb.nazev) oborNazevNorm, sp.cz_nazev programNazevNorm,
@IF(1)  nvl(ob.cz_nazev_pro_diplom, komb.nazev) oborNazevDiplom, sp.cz_nazev_pro_diplom programNazevDiplom,
@IFNOT(1)  nvl( nvl(ob.an_nazev, komb.an_nazev), nvl(ob.cz_nazev, komb.nazev) ) oborNazevNorm, nvl(sp.an_nazev, sp.cz_nazev) programNazevNorm,
@IFNOT(1)  nvl( nvl(ob.an_nazev_pro_diplom, komb.an_nazev), nvl(ob.cz_nazev_pro_diplom, komb.nazev) ) oborNazevDiplom, nvl(sp.an_nazev_pro_diplom, sp.cz_nazev_pro_diplom) programNazevDiplom,
         1 jizPrihlasen
  FROM pr_spojovaci S,
       pr_rizeni_www R,
       studijni_programy SP,
       pr_uchazeci_www U,
       obory ob,
       kombinace komb,
  (select distinct
        lpad(PZD.spec_symbol,10,'0') SPEC_SYMBOL_10,
        decode(PZP.UCET_PRED,null,PZP.UCET_ZA,PZP.UCET_PRED||'-'||PZP.UCET_ZA) ucet,
        decode(PZP.UCET_IBAN,null,null,pzp.ucet_iban || nvl2(pzp.ucet_banka,lpad(pzp.ucet_banka, 4,'0'),'0000') || nvl2(pzp.ucet_pred, lpad(pzp.ucet_pred,6,'0'), '000000') || nvl2(pzp.ucet_za,lpad(pzp.ucet_za, 10, '0'),lpad('0',10,'0'))) ucet_iban,
        lpad(nvl(PZP.UCET_PRED,'0'),6,'0')||lpad(PZP.UCET_ZA,10,'0') ucet_16,
        replace(PZP.UCET_ADRESA,',','<BR>') UCET_ADRESA,
        PZP.UCET_BANKA,
        lpad(PZP.UCET_BANKA,4,'0') ucet_banka_4,
        PZD.VAR_SYMBOL,
        lpad(PZD.VAR_SYMBOL,10,'0') VAR_SYMBOL_10,
        PZD.KONST_SYMBOL,
        lpad(PZD.KONST_SYMBOL,4,'0') KONST_SYMBOL_4,
        PZD.CASTKA,
        PZD.CASTKA_SLOVNE,
        lpad(PZD.castka,8,'0') castka_8,
        PZP.UCET_MENA,
        NVL (DECODE (pzdp.STAV_VYROVNANI,  'V', 'A',  'P', 'A',  'N'), 'N') zaplaceno_column,
        pzd.OSOB_IDNO_PRRW, pzd.ROK_PRRW, pzd.GLOBAL_IDNO_PRRW
   from
       pz_doklady PZD,
       pz_predpisy PZP,
       PZ_DOKLADY_PLATBY PZDP
   where       
         PZD.PREDPIS_IDNO = PZP.PREDPIS_IDNO
     AND PZD.doklad_idno = PZDP.doklad_idno
     AND PZP.DRUH_PREDPISU = 'PR'
  ) platby
 WHERE R.osob_idno = :osobIdno
@IF(0)   and r.global_idno = :globalIdno
@IF(0)   and r.rok = :rok
@IFNOT(0)  and r.rok = to_char(add_months(sysdate, 13-nvl(pg_cti_parametry.CTI_CISLO_FAK('EPR_PRELOM_ROKU', sp.fakulta_sp), 9)), 'RRRR')
   AND S.global_idno = R.global_idno
   AND S.rok = R.rok
   AND SP.stpridno = S.stpridno
   AND U.osob_idno = R.osob_idno
   AND R.GLOBAL_IDNO = platby.GLOBAL_IDNO_PRRW(+)
   AND R.ROK = platby.ROK_PRRW(+)
   AND R.OSOB_IDNO = platby.OSOB_IDNO_PRRW(+)
   and ob.oboridno(+) = s.oboridno
   and komb.kombidno(+) = s.kombidno
) x
order by x.prijata, x.fakulta, x.priorita
