select sum(x.jedno) pocet_jednooboru, sum(x.dvoj) pocet_dvouoboru
from
  (select decode(spoj.oboridno, null, 0, 1) jedno, decode(spoj.kombidno, null, 0, 1) dvoj
   FROM
     PR_SPOJOVACI spoj,
     studijni_programy sp
   WHERE
     spoj.rok = (to_number(to_char(sysdate, 'YYYY')) +
                 (case when to_number(to_char(sysdate, 'MM')) >= nvl(pg_cti_parametry.CTI_CISLO_FAK('EPR_PRELOM_ROKU', sp.fakulta_sp), 9) then 1 else 0 end))
     and nvl(sp.platny_od, '1970') <= spoj.rok
     and nvl(sp.neplatny_od, '2100') > spoj.rok
     and spoj.stpridno = sp.stpridno
     and spoj.epr_pouzivat = 'A'
     and ( (spoj.EPR_DEADLINE_PRIHLASKA is null and
                                           (pg_cti_parametry.CTI_DATUM_FAK('EPR_DEADLINE_PRIHLASKA', sp.fakulta_sp) is null
                                                                                                                       or pg_cti_parametry.CTI_DATUM_FAK('EPR_DEADLINE_PRIHLASKA', sp.fakulta_sp) >= trunc(sysdate)))
           or (
       spoj.EPR_DEADLINE_PRIHLASKA >= trunc(sysdate)
     )
     )
  ) x
