select
	dp.prac_zkr,
	dp.zkr_predm,
	dp.dopridno,
	er.KOMENTAR,
	er.ROLE,
	fn_get_ucitel(er.ucitidno, 'JP','A') as ucitel
from
	eva_dotazniky dot,
	eva_dot_predmet dp,
	cis_pracovist cp,
	eva_reakce er
where
	:p_dotaznik =  dot.dotaidno
	and dp.dotaidno = dot.dotaidno
	and er.DOPRIDNO =  dp.DOPRIDNO
	and dp.PRAC_ZKR = cp.ZKR
	and (:fakulta is null
				 or
		decode(cp.typ_prac,'K', cp.NAD_PRAC_ZKR, cp.ZKR) = :fakulta)
	and ( :prac_zkr is null
		 or   cp.zkr like nvl(:prac_zkr,'%') )
				 and dp.rok_varianty = dot.skolni_rok
order by
	prac_zkr,
	zkr_predm
