select
    pp.username os_cislo,
    fn_get_student(s.osobidno) student,
    pp.pripidno,
    pp.pripominka,
    er.KOMENTAR,
    pp.zverejneno,
    fn_get_ucitel(er.UCITIDNO,'JP','A') as ucitel
from
        eva_pripominky pp,
        eva_reakce er,
        studenti s
where
    pp.dotaidno = :dotaidno
    and pp.prac_zkr = :prac_zkr
    and pp.zkr_predm = :zkr_predm
    and pp.rok_varianty like nvl(:rok_varianty,'%')
    and s.os_cislo = pp.username
    and er.pripidno(+)= pp.pripidno
    and (:roak is null
        or EXISTS
                (select *
                 from
                    eva_rozvrh_akce ra
                 where
                    ra.roakidno = :roak
                    and ra.pripidno = pp.pripidno)
             )

    order by pripidno
