 /* pripominky, vstup dotaidno, prac_zkr, zkr_predm, rok_varianty, roakidno  */
 select
	null os_cislo,
	null student,
	ro.reobidno reobidno,
	null pripidno,
	ro.pripominka,
	er.KOMENTAR,
	ro.zverejneno,
	fn_get_ucitel(er.UCITIDNO,'JP','A') as ucitel,
	to_date(decode(trim(PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),null,null,'-1',null,dot.UZAVRENI+PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),'DD.MM.RRRR') as deadline_reakce,
  decode(trim(PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),null,'A','-1','A',decode(fn_zive_datum(dot.UZAVRENI+PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce'),to_date('23:59','HH24:MI')),0,'N',1,'A')) as vkladani_reakci,
  PG_EVA.CTI_PARAMETR(re.dotaidno, 'publicprip') as publicprip,
  PG_EVA.CTI_PARAMETR(re.dotaidno, 'xzverejnitprip') as xzverejnitprip,
  PG_EVA.CTI_PARAMETR(re.dotaidno, 'zobranonympripsreak') as zobranonympripsreak
 -- (select pg_eva.get_merged_reakce(null, ro.reobidno, null) from dual) reakce_na_pripominku
 from
	eva_resp_objekt ro,
	eva_respondenti re,
	eva_reakce er,
	eva_dotazniky dot
WHERE
	re.dotaidno = :dotaidno
	and dot.dotaidno = re.dotaidno
	and re.username is NULL
	and ro.respidno = re.respidno
	and ro.prac_zkr = :prac_zkr
	and ro.zkr_predm = :zkr_predm
	and ro.rok_varianty like nvl(:rok_varianty,'%')
	and trim(ro.pripominka) is NOT null
	and er.reobidno(+)= ro.reobidno
	and (:roak is null
		or EXISTS
				(select *
				 from
					eva_rozvrh_akce ra
				 where
					ra.roakidno = :roak
					and ra.reobidno = ro.reobidno)
			 )
@IF(0)	and ((select nvl(pg_eva.CTI_PARAMETR(re.dotaidno,'xzverejnitprip'),'N') from dual) = 'A'
@IF(0)        OR
@IF(0)        ( (select nvl(pg_eva.CTI_PARAMETR(re.dotaidno,'zobranonympripsreak'),'N') from dual) = 'A' AND er.KOMENTAR is not null )
@IF(0)    )
@IF(1) and ro.zverejneno = 'A'
UNION ALL
select
	pp.username os_cislo,
	fn_get_student(s.osobidno) student,
	null reobidno,
	pp.pripidno,
	pp.pripominka,
	er.KOMENTAR,
	pp.zverejneno,
	fn_get_ucitel(er.UCITIDNO,'JP','A') as ucitel,
	to_date(decode(trim(PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),null,null,'-1',null,dot.UZAVRENI+PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),'DD.MM.RRRR') as deadline_reakce,
    decode(trim(PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),null,'A','-1','A',decode(fn_zive_datum(dot.UZAVRENI+PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce'),to_date('23:59','HH24:MI')),0,'N',1,'A')) as vkladani_reakci,
    PG_EVA.CTI_PARAMETR(pp.dotaidno, 'publicprip') as publicprip,
    PG_EVA.CTI_PARAMETR(pp.dotaidno, 'xzverejnitprip') as xzverejnitprip,
    PG_EVA.CTI_PARAMETR(pp.dotaidno, 'zobranonympripsreak') as zobranonympripsreak
	--(select pg_eva.get_merged_reakce(null, null, pp.pripidno) from dual) reakce_na_pripominku
from
		eva_pripominky pp,
		eva_reakce er,
		studenti s,
	    eva_dotazniky dot
where
	pp.dotaidno = :dotaidno
	and dot.dotaidno = pp.dotaidno
	and pp.prac_zkr = :prac_zkr
	and pp.zkr_predm = :zkr_predm
	and pp.rok_varianty like nvl(:rok_varianty,'%')
	and s.os_cislo = pp.username
	and er.pripidno(+)= pp.pripidno
	and (:roak is null
		or EXISTS
				(select *
				 from
					eva_rozvrh_akce ra
				 where
					ra.roakidno = :roak
					and ra.pripidno = pp.pripidno)
			 )
@IF(0)	and (select nvl(pg_eva.CTI_PARAMETR(pp.dotaidno,'publicprip'),'A') from dual) = 'A'
@IF(1) and pp.zverejneno = 'A'
	--order by 1 NULLS LAST
	order by pripidno, reobidno
