--pocet garantu kteri alespon jednou reagovali na nejakou pripominku od studenta na svuj predmet po fakultach
select c.rv_low_value as fakulta,
       nvl(x.pocet_celkem,0) as pocet_celkem,nvl(x.pocet_anonym,0) as pocet_anonym,nvl(x.pocet_podeps,0) as pocet_podeps
 from cg_ref_codes c, (
    select fakulta,
           count(distinct ucitidno) as pocet_celkem,
           sum(decode(typ,'A',1,0)) as pocet_anonym,
           sum(decode(typ,'P',1,0)) as pocet_podeps
      from (
        select distinct er.ucitidno,decode(cp.TYP_PRAC,'K',cp.NAD_PRAC_ZKR,cp.ZKR) as fakulta, 'P' as typ
          from eva_reakce er, eva_pripominky ep, cis_pracovist cp
            where ep.DOTAIDNO = :par_dotaidno
            and ep.pripidno = er.PRIPIDNO
            and cp.ZKR = ep.PRAC_ZKR
            and er.ROLE like nvl(:par_role,'%')
            union all
        select distinct er.ucitidno, decode(cp.TYP_PRAC,'K',cp.NAD_PRAC_ZKR,cp.ZKR) as fakulta, 'A' as typ
          from eva_reakce er, eva_resp_objekt ero, eva_respondenti ers, cis_pracovist cp
            where ers.DOTAIDNO = :par_dotaidno
            and ers.RESPIDNO = ero.RESPIDNO
            and ero.reobidno = er.reobidno
            and cp.ZKR = ero.PRAC_ZKR
            and er.ROLE like nvl(:par_role,'%')
        )
    group by fakulta
    order by fakulta
) x
where
    (x.fakulta(+) = c.rv_low_value)
    and c.rv_domain = 'FAKULTA'
    and c.rv_low_value != 'REK'
order by fakulta