select
		sobj.PRAC_ZKR,
		sobj.ZKR_PREDM,
	stvrz.tdtvidno,
	null doutidno,
	fn_get_ucitel(sobj.ucitidno,'PJ','N') as ucitel,
	tt.poradi poradi_1,
	null poradi_2,
	st.text_tvrzeni as nazev,
	stvrz.odpovedi,
	stvrz.prumer,
	st.satvidno,
    nvl(so.textova_odpoved,'N') as textova_odpoved
from
		EVA_STATISTIKY_OBJEKT sobj,
		eva_statistiky_tvrz stvrz,
		eva_typdot_tvrzeni tt,
		eva_sady_tvrzeni st,
		eva_sady_odpovedi so,
		cis_pracovist cp
WHERE
		sobj.dotaidno = :dotaidno
		and sobj.PRAC_ZKR = cp.ZKR
		and (:fakulta is null
				or
		 decode(cp.typ_prac,'K', cp.NAD_PRAC_ZKR, cp.ZKR) = :fakulta)
		and ( :prac_zkr is null
			or   cp.zkr like nvl(:prac_zkr,'%') )
		and sobj.statut_zapisu is NULL
		and sobj.roakidno is NULL
		and stvrz.staoidno = sobj.staoidno
		and stvrz.tdtvidno = tt.tdtvidno
		and st.satvidno = tt.satvidno
		and so.saodidno = tt.saodidno
		--and nvl(so.textova_odpoved,'N') = 'N'
		and stvrz.PRUMER is not null
union
select
		sobj.PRAC_ZKR,
		sobj.ZKR_PREDM,
		null,
		stvrz.doutidno,
		fn_get_ucitel(sobj.ucitidno,'PJ','N') as ucitel,
		null,
		du.poradi poradi_2 ,
		st.text_tvrzeni as nazev,
		stvrz.odpovedi,
		stvrz.prumer,
		st.satvidno,
        nvl(so.textova_odpoved,'N') as textova_odpoved
from
		EVA_STATISTIKY_OBJEKT sobj,
		eva_statistiky_tvrz stvrz,
		eva_dot_ucitel_tvrz du,
		eva_sady_tvrzeni st,
		eva_sady_odpovedi so,
		cis_pracovist cp
WHERE
		sobj.dotaidno = :dotaidno
		 and sobj.PRAC_ZKR = cp.ZKR
		and (:fakulta is null
				or
		 decode(cp.typ_prac,'K', cp.NAD_PRAC_ZKR, cp.ZKR) = :fakulta)
		and ( :prac_zkr is null
			or   cp.zkr like nvl(:prac_zkr,'%') )
		and sobj.roakidno is NULL
		and sobj.statut_zapisu is NULL
		and stvrz.staoidno = sobj.staoidno
		and stvrz.doutidno = du.doutidno
		and st.satvidno = du.satvidno
		and so.saodidno = du.saodidno
		--and nvl(so.textova_odpoved,'N') = 'N'
		and stvrz.PRUMER is not null
order by prac_zkr,zkr_predm,poradi_1
