/* dotaidno, tdtvidno|doutidno, prac_zkr -> seznam predmetu - prumer  */
select
so.prac_zkr as zkr_kat,
so.zkr_predm as zkr_pred,
	pv.cz_nazev as nazev,
	dp.dotaidno,
	dp.DOPRIDNO,
	so.rok_varianty,
	so.studentu as zapsanych,
	st.ODPOVEDI as odpovedelo,
	'predmet' as typ_objektu,
	so.rok_varianty as rok,
	pv.prac_zkr || '/'||pv.zkr_predm as zkratka,
	st.prumer,
	pg_eva.get_vyucujici_predm(dp.dotaidno, pv.prac_zkr,pv.zkr_predm,pv.rok_varianty) as vyucujici
from
	 eva_dot_predmet dp,
	 eva_statistiky_objekt so,
	 eva_statistiky_tvrz st,
	 pred_varianty pv
where
	 dp.dotaidno = :dotaidno
	 and dp.prac_zkr = :prac_zkr
	 and nvl(dp.zverejneno,'N')= 'A'
	 and so.dotaidno = dp.dotaidno
	 and so.prac_zkr = dp.prac_zkr
	 and so.zkr_predm = dp.zkr_predm
	 and so.rok_varianty = dp.rok_varianty
	 and so.roakidno is null
	 and so.statut_zapisu is null
	 and st.staoidno = so.staoidno
	 and pv.prac_zkr = so.prac_zkr
	 and pv.zkr_predm = so.zkr_predm
	 and pv.rok_varianty = so.rok_varianty
	 and (st.tdtvidno is not null
					 and st.tdtvidno = :tdtvidno
					 or st.doutidno is not null
					 and st.doutidno = :doutidno)


