select /*+ FIRST_ROWS */ * from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(
SELECT '1' trideni,
       MI.ZKR_BUDOVY,
       MI.CISLO_MIST,
       MI.KAPACITA,
       (SELECT fn_meaning2(MI.TYP,'TYP_UCEB') FROM dual) typ,
       MI.PRAC_ZKR,
       MI.SPOL_FOND spol_fond,
       MI.POZNAMKA
  FROM ucitele UC,
       mistnosti MI
 WHERE MI.PRAC_ZKR = UC.PRAC_ZKR
   AND UC.UCITIDNO = :PAR_UCITIDNO

   and UPPER(MI.ZKR_BUDOVY) = :par_budova
   and UPPER(MI.CISLO_MIST) like :par_mistnost||'%'

--   AND  UPPER(MI.ZKR_BUDOVY||MI.CISLO_MIST) like :par_mistnost||'%'
and ((nvl(MI.V_PROVOZU_OD, to_date('1.1.1970', 'DD.MM.RRRR')) <= nvl(to_date(:xdate,'DD.MM.YYYY'), sysdate)) and (nvl(MI.v_provozu_do, to_date('1.1.2050','DD.MM.RRRR')) >= nvl(to_date(:xdate,'DD.MM.YYYY'),sysdate)))
UNION
SELECT '1' trideni,
       MI.ZKR_BUDOVY,
       MI.CISLO_MIST,
       MI.KAPACITA,
       (SELECT fn_meaning2(MI.TYP,'TYP_UCEB') FROM dual) typ,
       MI.PRAC_ZKR,
       MI.SPOL_FOND spol_fond,
       MI.POZNAMKA
  FROM zamestnanci ZA,
       mistnosti MI
 WHERE MI.PRAC_ZKR = ZA.PRAC_ZKR
   AND ZA.UCITIDNO = :PAR_UCITIDNO

   and UPPER(MI.ZKR_BUDOVY) = :par_budova
   and UPPER(MI.CISLO_MIST) like :par_mistnost||'%'

--   AND  UPPER(MI.ZKR_BUDOVY||MI.CISLO_MIST) like :par_mistnost||'%'

and ((nvl(MI.V_PROVOZU_OD, to_date('1.1.1970', 'DD.MM.RRRR')) <= nvl(to_date(:xdate,'DD.MM.YYYY'), sysdate)) and (nvl(MI.v_provozu_do, to_date('1.1.2050','DD.MM.RRRR')) >= nvl(to_date(:xdate,'DD.MM.YYYY'),sysdate)))
UNION
SELECT '2' trideni,
       MI.ZKR_BUDOVY,
       MI.CISLO_MIST,
       MI.KAPACITA,
       (SELECT fn_meaning2(MI.TYP,'TYP_UCEB') FROM dual) typ,
       MI.PRAC_ZKR,
       MI.SPOL_FOND spol_fond,
       MI.POZNAMKA
  FROM mistnosti MI
 WHERE MI.SPOL_FOND = 'A'

   and UPPER(MI.ZKR_BUDOVY) = :par_budova
   and UPPER(MI.CISLO_MIST) like :par_mistnost||'%'

--   AND  UPPER(MI.ZKR_BUDOVY||MI.CISLO_MIST) like :par_mistnost||'%'
and ((nvl(MI.V_PROVOZU_OD, to_date('1.1.1970', 'DD.MM.RRRR')) <= nvl(to_date(:xdate,'DD.MM.YYYY'), sysdate)) and (nvl(MI.v_provozu_do, to_date('1.1.2050','DD.MM.RRRR')) >= nvl(to_date(:xdate,'DD.MM.YYYY'),sysdate)))
UNION
SELECT '3' trideni,
       MI.ZKR_BUDOVY,
       MI.CISLO_MIST,
       MI.KAPACITA,
       (SELECT fn_meaning2(MI.TYP,'TYP_UCEB') FROM dual) typ,
       MI.PRAC_ZKR,
       MI.SPOL_FOND spol_fond,
       MI.POZNAMKA
  FROM ucitele UC,
       mistnosti MI
 WHERE MI.PRAC_ZKR <> UC.PRAC_ZKR
   AND UC.UCITIDNO = :PAR_UCITIDNO

   and UPPER(MI.ZKR_BUDOVY) = :par_budova
   and UPPER(MI.CISLO_MIST) like :par_mistnost||'%'

--   AND  UPPER(MI.ZKR_BUDOVY||MI.CISLO_MIST) like :par_mistnost||'%'
and ((nvl(MI.V_PROVOZU_OD, to_date('1.1.1970', 'DD.MM.RRRR')) <= nvl(to_date(:xdate,'DD.MM.YYYY'), sysdate)) and (nvl(MI.v_provozu_do, to_date('1.1.2050','DD.MM.RRRR')) >= nvl(to_date(:xdate,'DD.MM.YYYY'),sysdate)))
UNION
SELECT '3' trideni,
       MI.ZKR_BUDOVY,
       MI.CISLO_MIST,
       MI.KAPACITA,
       (SELECT fn_meaning2(MI.TYP,'TYP_UCEB') FROM dual) typ,
       MI.PRAC_ZKR,
       MI.SPOL_FOND spol_fond,
       MI.POZNAMKA
  FROM zamestnanci ZA,
       mistnosti MI
 WHERE MI.PRAC_ZKR <> ZA.PRAC_ZKR
   AND ZA.UCITIDNO = :PAR_UCITIDNO

   and UPPER(MI.ZKR_BUDOVY) = :par_budova
   and UPPER(MI.CISLO_MIST) like :par_mistnost||'%'

--   AND UPPER(MI.ZKR_BUDOVY||MI.CISLO_MIST) like :par_mistnost||'%'
and ((nvl(MI.V_PROVOZU_OD, to_date('1.1.1970', 'DD.MM.RRRR')) <= nvl(to_date(:xdate,'DD.MM.YYYY'), sysdate)) and (nvl(MI.v_provozu_do, to_date('1.1.2050','DD.MM.RRRR')) >= nvl(to_date(:xdate,'DD.MM.YYYY'),sysdate)))

 ORDER BY trideni,
       ZKR_BUDOVY,
       CISLO_MIST
) x
 where rownum <= nvl(:do,100)) y
where y.poradi >= nvl(:od,0)
