select  * from (
select  rownum as poradi, x.* from
(SELECT distinct
       VUP.ucitidno,
       VUP.PRIJMENI,
       VUP.JMENO,
      (SELECT fn_meaning2 (VUP.titul_pred, 'TITUL_PRED') FROM DUAL) titul_pred,
      (SELECT fn_meaning2 (VUP.titul_za, 'TITUL_ZA') FROM DUAL) titul_za,
       VUP.PRAC_ZKR,
       fn_vsechna_prac (vup.ucitidno) AS dalsi_prac,
       VUP.PRACOVISTE_JINE
  FROM ucitele VUP
 WHERE
 VUP.platnost = 'A'
 and (prac_zkr like :prac or PRACOVISTE_JINE like :prac)
 AND (FN_CS_TO_UPPER_ASC(prijmeni) like (select FN_CS_TO_UPPER_ASC(:slozenina) from dual)||'%'
         or (select FN_CS_TO_UPPER_ASC(jmeno) from dual) like (select FN_CS_TO_UPPER_ASC(:slozenina) from dual)||'%'
         or (select FN_CS_TO_UPPER_ASC(jmeno) from dual)||' '||FN_CS_TO_UPPER_ASC(prijmeni) like (select FN_CS_TO_UPPER_ASC(:slozenina) from dual)||'%'
         or FN_CS_TO_UPPER_ASC(prijmeni||', '|| jmeno||', '||(SELECT fn_meaning2 (VUP.titul_pred, 'TITUL_PRED') FROM DUAL)||', '||(SELECT fn_meaning2 (VUP.titul_za, 'TITUL_ZA') FROM DUAL)) like (select FN_CS_TO_UPPER_ASC(:slozenina) from dual)||'%')
 ORDER BY VUP.PRIJMENI,
       VUP.JMENO,
       VUP.PRAC_ZKR
 ) x where rownum <= nvl(:do,100)) y
 where y.poradi >= nvl(:od,0)