SELECT DISTINCT 
    x.*
--@IF(0)    , (select to_char(wm_concat(skup.semestr||'-'||skup.default_skupina)) from
--@IF(0)     ss_skupina_studentu skup where skup.prac_zkr = x.prac_zkr and skup.zkr_predm = x.zkr_predm and skup.rok_varianty = x.rok_varianty
--@IF(0)     and skup.default_skupina in ('A','P','K')) vychozi_skupiny
FROM
(   SELECT
        RA.Prac_Zkr AS Prac_Zkr,
        RA.Zkr_Predm AS Zkr_Predm,
        RA.Rok_Varianty AS Rok_Varianty,
        RA.semestr as semestr
    FROM
        Rozvrh_Akce RA
    WHERE
        RA.UcitIDNO = :ucitIdno
        and RA.ROK_VARIANTY = :rok
        and ra.semestr like nvl(:semestr, '%')
    UNION
    SELECT
        RA.Prac_Zkr AS Prac_Zkr,
        RA.Zkr_Predm AS Zkr_Predm,
        RA.Rok_Varianty AS Rok_Varianty,
        RA.semestr as semestr
    FROM
        Rozvrh_Akce RA,
        UC_Rozvrhove_Akce URA
    WHERE
        URA.RoAkIDNO = RA.RoAkIDNO
        AND URA.UcitIDNO = :ucitIdno
        and RA.ROK_VARIANTY = :rok
        and ra.semestr like nvl(:semestr, '%')
    UNION
    SELECT
        UPX.Prac_Zkr AS Prac_Zkr,
        UPX.Zkr_Predm AS Zkr_Predm,
        UPX.Rok_Varianty AS Rok_Varianty,
        decode(pv.vyuka_zs, 'A', 'ZS', '')||decode(pv.vyuka_ls, 'A', 'LS', '') as semestr
    FROM
        UCITELE_PREDMETU UPX,
        PRED_VARIANTY PV
    WHERE
        UPX.UcitIDNO = :ucitIdno
        and upx.ROK_VARIANTY = :rok
        and pv.PRAC_ZKR = upx.prac_zkr
        and pv.zkr_predm = upx.zkr_predm
        and pv.rok_varianty = upx.rok_varianty
        and ( ('LS' like nvl(:semestr, '%') and pv.VYUKA_LS = 'A') or ('ZS' like nvl(:semestr, '%') and pv.VYUKA_ZS = 'A') )
) X
ORDER BY x.PRAC_ZKR, x.ZKR_PREDM