select
  ucit.*, skup.*
from
  ss_ucitel_ve_skupine ucit,
  ss_skupina_studentu skup
where
  ucit.ucit_idno = :ucit_idno and
  ucit.SKUP_IDNO = skup.SKUP_IDNO and
  skup.PRAC_ZKR like nvl(:prac_zkr, '%') and
  skup.ZKR_PREDM like nvl(:zkr_predm, '%') and
  skup.ROK_VARIANTY like nvl(:rok_varianty, '%') and
  skup.SEMESTR like nvl(:semestr, '%')
@IF(0)  and ucit.admin_skupiny = :admin_skupiny
@IF(1)  and ucit.admin_sp = :admin_sp
@IF(2)  and ucit.admin_hodnoceni = :admin_hodnoceni
@IF(3)  and exists (select blok_idno from zs_bloky b where b.skup_idno = skup.skup_idno)
order by skup.rok_varianty desc, skup.semestr, skup.prac_zkr, skup.zkr_predm, skup.nazev