select x.*,
       decode(x.odev_last_praceidno, null, '',
         decode(op.vysledek_validace, '2', 'A', 'N')||
         case when x.odev_datum_opravny_do is not null and x.ODEV_DATUM_MEZNI_DO is not null and op.cas_uploadu > x.ODEV_DATUM_MEZNI_DO then '-OP'
              when x.odev_datum_radny_do is not null and x.ODEV_DATUM_MEZNI_DO is not null and op.cas_uploadu > x.odev_datum_radny_do then '-PO'
         end
       ) as vysledek_validace_for_xls
from (
    select distinct
      studblok.os_cislo, studblok.blok_idno, 
      hb.oprava_datum, hb.oprava_pocet_bodu, hb.oprava_poznamka, hb.oprava_ucitidno, hb.oprava_vysledek_kontroly, hb.zadano_rucne, 
      T.ODEV_DATUM_MEZNI_DO, t.odev_datum_radny_do, t.odev_datum_opravny_do,
      fn_get_ucitel(hb.OPRAVA_UCITIDNO, 'JP', 'A') as oprava_ucitel,
      (select max(zs.prace_idno) from zs_odevzdana_prace zs where zs.TEMA_IDNO = t.tema_idno and zs.OS_CISLO = studblok.os_cislo ) odev_last_praceidno
    from zs_hodnoceni_bloku hb, zs_temata t,
        (select ss.os_cislo, b.blok_idno 
         from ss_student_ve_skupine ss, zs_bloky b
         where b.skup_idno = :skupIdno and ss.skup_idno = :skupIdno
        ) studblok
    where 
         hb.blok_idno(+) = studblok.blok_idno
         and hb.os_cislo(+) = studblok.os_cislo
         and t.blok_idno = studblok.blok_idno
         and t.velikost_tymu = 1
    union
    select
      studblok.os_cislo, studblok.blok_idno, 
      hb.oprava_datum, hb.oprava_pocet_bodu, hb.oprava_poznamka, hb.oprava_ucitidno, hb.oprava_vysledek_kontroly, hb.zadano_rucne, 
      T.ODEV_DATUM_MEZNI_DO, t.odev_datum_radny_do, t.odev_datum_opravny_do,
      fn_get_ucitel(hb.OPRAVA_UCITIDNO, 'JP', 'A') as oprava_ucitel,
      (select max(zs.prace_idno) from zs_odevzdana_prace zs, zs_studenti prihl where zs.TEMA_IDNO = t.tema_idno and t.tema_idno = prihl.tema_idno
         and studblok.os_cislo = prihl.os_cislo and zs.TYM_IDNO = prihl.tym_idno ) odev_last_praceidno
    from zs_hodnoceni_bloku hb, zs_temata t,
        (select ss.os_cislo, b.blok_idno 
         from ss_student_ve_skupine ss, zs_bloky b
         where b.skup_idno = :skupIdno and ss.skup_idno = :skupIdno
        ) studblok
    where 
         hb.blok_idno(+) = studblok.blok_idno
         and hb.os_cislo(+) = studblok.os_cislo
         and t.blok_idno = studblok.blok_idno
         and t.velikost_tymu > 1
    ) x,
    zs_odevzdana_prace op
where x.odev_last_praceidno = op.prace_idno(+)
order by x.blok_idno, x.os_cislo
