SELECT DISTINCT zs.prac_zkr, zs.zkr_predm, tema.odev_datum_od as datum_od, tema.odev_datum_mezni_do as datum,
         zs.prac_zkr||'/'||zs.zkr_predm||', Mezní termín odevzdání SP - téma:'||
         tema.tema_nazev||' ('||tema.tema_popis||')' as popis
FROM
        ss_student_ve_skupine stud,
        ss_skupina_studentu zs,
        zs_bloky blok,
        zs_temata tema
WHERE
        stud.OS_CISLO = :os_cislo
        and blok.skup_idno = stud.skup_idno
        and tema.odev_povolit = 1
        and (tema.odev_datum_od is not null or tema.odev_datum_mezni_do is not null)
        and blok.skup_idno = zs.skup_idno
        and blok.BLOK_IDNO = tema.blok_idno
        and zs.prac_zkr like :prac_zkr
        and zs.zkr_predm like :zkr_predm
        -- jsem tam zapsanej a nebo je autologin == 1
        and ( blok.typ_bloku = '1' or
         exists ( select zapsani.tema_idno from zs_studenti zapsani
           where zapsani.os_cislo = stud.OS_CISLO and zapsani.TEMA_IDNO = tema.tema_IDNO )
        )
ORDER BY datum_od
