select x.*,
       zslast.oprava_vysledek_kontroly odev_last_vysledek_kontroly,
       zslast.oprava_poznamka odev_last_poznamka,
       zslast.oprava_pocet_bodu odev_last_pocet_bodu,
       zslast.oprava_datum odev_last_oprava_datum,
       zslast.oprava_ucitidno odev_last_oprava_ucitidno,
       fn_get_ucitel(zslast.oprava_ucitidno, 'JP', 'A') as odev_last_oprava_ucitel,
       zslast.oprava_soubor_cesta odev_last_oprava_soubor_cesta,
       zslast.oprava_soubor_nazev odev_last_oprava_soubor_nazev,
       hdblok.*,
       fn_get_ucitel(hdblok.oprava_ucitidno, 'JP', 'A') as oprava_ucitel
from
(select skup.rok_varianty, skup.semestr, skup.prac_zkr, skup.zkr_predm, skup.nazev, b.blok_NAZEV, t.stav stav_sort, t.tema_NAZEV tema_nazev_sort,
        decode(b.blok_idno, null, skup.skup_idno, null) empty_skup_idno,   -- vraci, kdy je skupina prazdna
        decode(t.tema_idno, null, b.blok_idno, null) empty_blok_idno,   -- vraci, kdy je blok prazdny
        t.*,
        prihl.tym_idno prihl_tym_idno, prihl.je_vedouci prihl_je_vedouci, prihl.datum_zapsani prihl_datum_zapsani,
        stud.oprava_pocet_bodu skup_oprava_pocet_bodu, stud.oprava_splneny_podminky skup_oprava_splneny_podminky,
        decode( t.velikost_tymu, null, null, 0, null, 1, null, (select prihl_tym.nazev from zs_tymy prihl_tym where prihl.tym_idno = prihl_tym.tym_idno) ) prihl_tym_nazev,
        decode( t.velikost_tymu, null, null, 0, null, 1, null, (select to_char(wm_concat(decode(s.je_vedouci,'1','<strong>','')||o.prijmeni||' '||o.jmeno||' ('||s.os_cislo||')'||decode(s.je_vedouci,'1','</strong>',''))) from zs_studenti s, studenti st, osoby o where prihl.tym_idno = s.tym_idno and s.os_cislo = st.os_cislo and st.osobidno = o.osobidno) ) prihl_tym_clenove,
        (select count(distinct stud2.tym_IDNO) from zs_studenti stud2 where stud2.TEMA_IDNO = t.tema_idno) prihl_celkovy_pocet,
        (select count(*) from zs_odevzdana_prace zs where zs.TEMA_IDNO = t.tema_idno and (zs.OS_CISLO = :osCislo or zs.TYM_IDNO = prihl.tym_idno) ) odev_celkovy_pocet,
        (select max(zs.prace_idno) from zs_odevzdana_prace zs where zs.TEMA_IDNO = t.tema_idno and (zs.OS_CISLO = :osCislo or zs.TYM_IDNO = prihl.tym_idno) ) odev_last_praceidno
  from zs_temata t, zs_bloky b, ss_skupina_studentu skup,
       ss_student_ve_skupine stud, zs_studenti prihl
  where
          t.blok_idno(+) = b.blok_idno
          -- tyto podminky zde nefunguji (kdyz je nejake tema uz navrzene nekym jinym, neukaze to ani prazdny blok) - osetreno v aplikaci
          --and (t.tema_idno is not null or b.mohou_navrhovat = 1) -- studentum vracim prazdne bloky jen tehdy, kdyz si v nich mohou navrhovat temata
          --and (b.mohou_navrhovat = 0 or t.navrhl_os_cislo is null or t.navrhl_os_cislo = :osCislo) -- student vidi v bloku s navrzenymi tematy jen ty od ucitelu nebo svoje
          and b.skup_idno = skup.skup_idno
          and skup.rok_varianty = :rokVarianty
          and skup.semestr like nvl(:semestr, '%')
@IF(0)    and skup.prac_zkr = :pracZkr
@IF(0)    and skup.zkr_predm = :zkrPredm
@IF(1)    and skup.skup_idno = :skupIdno
@IF(2)    and b.blok_idno = :blokIdno
          and stud.skup_idno = skup.skup_idno and stud.os_cislo = :osCislo
          and t.tema_idno = prihl.tema_idno(+)
          and :osCislo = prihl.os_cislo(+)
) x,
  zs_odevzdana_prace zslast,
  zs_hodnoceni_bloku hdblok
  where
    zslast.prace_idno(+) = x.odev_last_praceidno
    and hdblok.os_cislo(+) = :osCislo
    and hdblok.blok_idno(+) = x.blok_idno
  order by
          1, 2 desc, 3, 4, 5, 6, 7, 8
