select skup.rok_varianty, skup.semestr, skup.prac_zkr, skup.zkr_predm, skup.nazev, b.blok_NAZEV, t.stav stav, t.tema_NAZEV tema_nazev,
        decode(b.blok_idno, null, skup.skup_idno, null) empty_skup_idno,   -- vraci, kdy je skupina prazdna
        decode(t.tema_idno, null, b.blok_idno, null) empty_blok_idno,   -- vraci, kdy je blok prazdny
        t.*,
        ucit.admin_sp skup_admin_sp,
        ucit.admin_skupiny skup_admin_skupiny,
        (decode(skup.default_skupina, 'N', (select count(*) from ss_student_ve_skupine stud2 where stud2.skup_IDNO = skup.skup_idno), null)) pocet_studentu_skupiny,
        NVL2(SKUP.HODN_XLS_SOUBOR, 1, 0) HODN_XLS_SOUBOR_ZALOZEN,
        (select count(distinct stud2.tym_IDNO) from zs_studenti stud2 where stud2.TEMA_IDNO = t.tema_idno) prihl_celkovy_pocet,
        (select count(*) from zs_odevzdana_prace zs where zs.TEMA_IDNO = t.tema_idno) odev_celkovy_pocet,
        (select count(*) pocet from zs_odevzdana_prace zs,
          (select distinct zs2.tema_idno, max(zs2.prace_idno) last_idno from zs_odevzdana_prace zs2 group by zs2.tema_idno, zs2.tym_idno, zs2.os_cislo) idna
          where idna.TEMA_IDNO = t.tema_idno and zs.prace_idno = idna.last_idno and zs.oprava_vysledek_kontroly = '0') odev_last_neopravene
          -- tohle vraci "pocet poslednich verzi odevzdanych praci, ktere jeste nejsou hodnoceny"
  from zs_temata t, zs_bloky b, ss_skupina_studentu skup,
       ss_ucitel_ve_skupine ucit
  where
          t.blok_idno(+) = b.blok_idno
          and b.skup_idno(+) = skup.skup_idno
          and skup.rok_varianty = :rokVarianty
          and skup.semestr like nvl(:semestr, '%')
--@IF(0)    and skup.prac_zkr = :pracZkr
--@IF(0)    and skup.zkr_predm = :zkrPredm
--@IF(1)    and skup.skup_idno = :skupIdno
--@IF(2)    and b.blok_idno = :blokIdno
          and ucit.skup_idno = skup.skup_idno and ucit.ucit_idno = :ucitIdno
  order by
          1, 2 desc, 3, 4, 5, 6, 7, 8
