select
  pv.zkr_predm, 
  pv.prac_zkr,
  DECODE(:lang, 'cs', pv.cz_nazev, 'sk', pv.cz_nazev, NVL(pv.an_nazev, pv.cz_nazev)) AS nazev
from
  pred_skupiny_oboru ps,
  skupiny_oboru o,
  pred_varianty pv
where
  ps.kod_skupiny = :oboryVz
  and ps.kod_skupiny = o.kod_skupiny
  and pv.rok_varianty = ps.rok_varianty
  and pv.zkr_predm = ps.zkr_predm
  and pv.prac_zkr = ps.prac_zkr
