SELECT ra.typakce typakce, count(*) pocet, m.prac_zkr, m.zkr_budovy, m.cislo_mist, b.lokalita, m.TYP, m.kapacita, m.spol_fond, m.poznamka, m.PODLAZI, m.V_PROVOZU_OD, m.V_PROVOZU_DO
FROM rozvrh_akce ra, mistnosti m, budovy b
WHERE
       ra.prac_zkr = :prac_zkr
   AND ra.zkr_predm = :zkr_predm
   AND ra.rok_varianty = :rok_varianty
   AND m.cislo_mist = ra.cislo_mist
   AND m.zkr_budovy = ra.zkr_budovy
   AND b.zkr_budovy = ra.zkr_budovy
GROUP BY ra.typakce, m.prac_zkr, m.zkr_budovy, m.cislo_mist, b.lokalita, m.TYP, m.kapacita, m.spol_fond, m.poznamka, m.PODLAZI, m.V_PROVOZU_OD, m.V_PROVOZU_DO
ORDER BY RA.typakce, count(*) desc, b.lokalita, m.zkr_budovy, m.cislo_mist