select
    (select fn_get_student(os.osobidno) from dual) student,
    (select fn_get_je_opakujici(st.os_cislo,/*pred.rok_varianty*/Z.rok_platnosti) from dual) opakujici,
    st.OS_CISLO,
    ST.stav,
    decode((select fn_nespl_podm(st.OS_CISLO,Z.prac_zkr,Z.zkr_predm) from dual),null,'A','N') as prerek_splnene,
    decode(:lang,'cs',(select fn_meaning2(ST.stav,'STAV_STUDENTA') from dual),'sk',(select fn_meaning2(ST.stav,'STAV_STUDENTA') from dual),nvl((select fn_meaning_en(ST.stav,'STAV_STUDENTA') from dual),(select fn_meaning2(ST.stav,'STAV_STUDENTA') from dual))) stav_slovne,
    sr.standard_rok,
    SR.krouzek_a,
    z.zapocet_datum,
    z.zapocet_slovni_hodnoceni,
    (select fn_meaning(z.zapocet_slovni_hodnoceni,'SLOVNI_HODNOCENI') from dual) zp_hodnoceni_slovne,
    z.zapocet_pokus,
    (select fn_get_ucitel(z.zapocet_ucitidno) from dual) ucitel_zapocet,
    --pred.hodnoceni_zk,
    Z.hodnoceni_zk,
    z.pokus_cislo,
    z.datum,
    z.semestr,
    z.uznano,
    z.zapocet_uznano,
    z.slovni_hodnoceni,
    z.znamka,
    z.ziskanych_bodu,
    DECODE(Z.hodnoceni_zk,2,(select fn_meaning(z.slovni_hodnoceni,'SLOVNI_HODNOCENI') from dual),to_char((select fn_meaning(z.znamka,'ZNAMKA') from dual))) hodnoceni,
   (select  fn_get_ucitel(z.ucitidno) from dual) zkousejici,
    (select fn_meaning2(SR.misto_vyuky,'MISTO_VYUKY') from dual) misto_vyuky,
    --pred.predz_za,
    --fn_meaning2(pred.typ_zk,'TYP_ZK_NEW') zpusob_ukonceni,
    --DECODE(SP.forma, 'P',fn_meaning2('P','FORMA_OBORU_NEW'),'D',fn_meaning2('D','FORMA_OBORU_NEW'),'K',fn_meaning2('K','FORMA_OBORU_NEW')),
    nvl(KOMB.zkratka,OB.zkratka) obor_komb

  from
    --pred_varianty pred,
    studenti st,
    studenti_v_roce sr,
    osoby os,
    znamky z,
    studenti_na_oboru_v_roce SNOR,
    obory OB,
    kombinace KOMB,
    studijni_plany STPL,
    studijni_programy sp

 where
    --and decode(:p_opakujici,'ANO','*','-') = decode(:p_opakujici,'ANO',fn_get_je_opakujici(st.os_cislo,:p_akad_rok),'-')
    
    -- pred_varianty <-> znamky
    Z.prac_zkr = upper(:p_kat)
    AND Z.zkr_predm = upper(:p_zkr_predm)
    AND Z.rok_platnosti = :p_rok_sk
    AND Z.semestr like :p_sem
    -- znamky <-> studenti_na_oboru_v_roce
    AND Z.os_cislo = SNOR.os_cislo
    AND Z.rok_platnosti = SNOR.rok_platnosti
    AND Z.stplidno = SNOR.stplidno

@IFNOT(5)    and  Z.uznano='N'
@IFNOT(5)    and  Z.rok_platnosti = Z.rok_varianty

    AND SR.os_cislo = ST.os_cislo
    AND SR.rok_platnosti = Z.rok_platnosti --pred.rok_varianty

    -- studenti <-> osoby
    AND ST.osobidno = OS.osobidno

    AND SNOR.rok_platnosti = SR.rok_platnosti
    AND SNOR.os_cislo = SR.os_cislo
@IF(0) and fn_get_je_opakujici(st.os_cislo,Z.rok_platnosti) = '*'
    -- and ((:p_ukonc_studenti = 'ANO' and :p_preru_studenti = 'ANO') or
@IF(1) and ST.STAV = 'S' --:p_ukonc_studenti = 'NE' and :p_preru_studenti = 'NE'
@IF(2) and ST.STAV <> 'P' --:p_ukonc_studenti = 'ANO' and :p_preru_studenti = 'NE'
@IF(3) and ST.STAV <> 'N' -- :p_ukonc_studenti = 'NE' and :p_preru_studenti = 'ANO' and ST.STAV <> 'N'
      and (to_char(Z.pokus_cislo) = :p_pokus_cislo or :p_pokus_cislo = '0')
      and ((Z.hodnoceni_zk = 2 and z.slovni_hodnoceni = :hodnoceni) or (Z.hodnoceni_zk <> 2 and z.znamka = :hodnoceni) or :hodnoceni = '00')
      and SNOR.stplidno = STPL.stplidno
      and STPL.oboridno = OB.oboridno
      and KOMB.kombidno(+) = SR.kombidno
      and ob.STPRIDNO = sp.STPRIDNO
      and sp.FORMA like nvl(:forma_studia,'%')
@IF(4) order by z.semestr desc,misto_vyuky,nlssort(student, 'NLS_SORT = XCzech')
@IFNOT(4) order by z.semestr desc,misto_vyuky,sr.standard_rok,nlssort(student, 'NLS_SORT = XCzech')