select
  u.JMENO,
  u.PRIJMENI,
  u.UCITIDNO as pk_ucitidno,
  u.ZAMESTNANEC,
  u.platnost,
  DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
  DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
  DECODE(u.TITUL_PRED, null, null, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI|| DECODE(u.TITUL_ZA, null, null,', '||c2.RV_ABBREVIATION) as ucitel,
  fn_vsechna_prac(u.ucitidno) dalsi_prac,
  u.url

from
  ucitele u,
  cg_ref_codes c1,
  cg_ref_codes c2

where
  u.PRAC_ZKR = upper(:zkr_kat)
@IF(0) and u.platnost = 'A'
@IF(1) and u.ZAMESTNANEC = 'A'
  and c1.RV_DOMAIN(+) = 'TITUL_PRED'
  and c1.RV_LOW_VALUE(+) = u.TITUL_PRED
  and c2.RV_DOMAIN(+) = 'TITUL_ZA'
  and c2.RV_LOW_VALUE(+) = u.TITUL_ZA
union
select
  u.JMENO,
  u.PRIJMENI,
  u.UCITIDNO as pk_ucitidno,
  u.ZAMESTNANEC,
  u.platnost,
  DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
  DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
  DECODE(u.TITUL_PRED, null, null, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI|| DECODE(u.TITUL_ZA, null, null,', '||c2.RV_ABBREVIATION) as ucitel,
  fn_vsechna_prac(u.ucitidno) dalsi_prac,
  u.url
from
  ucitele u,
  zamestnanci z,
  cg_ref_codes c1,
  cg_ref_codes c2
where
  Z.PRAC_ZKR = upper(:zkr_kat)
  AND Z.UCITIDNO = U.UCITIDNO
@IF(0) and u.platnost = 'A'
@IF(1) and u.ZAMESTNANEC = 'A'
  and c1.RV_DOMAIN(+) = 'TITUL_PRED'
  and c1.RV_LOW_VALUE(+) = u.TITUL_PRED
  and c2.RV_DOMAIN(+) = 'TITUL_ZA'
  and c2.RV_LOW_VALUE(+) = u.TITUL_ZA
order by prijmeni, jmeno