SELECT /*+ FIRST_ROWS */
       *
  FROM (SELECT /*+ FIRST_ROWS */
               ROWNUM AS poradi, x.*
          FROM (SELECT   /*+ FIRST_ROWS */
                         st.os_cislo, st.stav, TO_CHAR (dp.dat_zadani, 'RRRR') sk_rok, os.prijmeni,os.rodne_prijmeni, os.jmeno,
                         DECODE (NVL (pg_cti_parametry.cti_retezec_oc ('DP_NAZEV', st.os_cislo), 'N'),
                                 'A', fn_tex_html (NVL (dp.nazev_dle_stud, dp.tema_hlavni)),
                                 fn_tex_html (dp.tema_hlavni)
                                ) AS nazev,
                         sp.celozivotni_vzdelavani,
                         (select FN_STAV_KVALIFIKACNI_PRACE(DP.adipidno) from dual) as stav_prace,
                         dp.dat_obhajoby, (SELECT fn_meaning (dp.typ_souboru, 'DIPFILE_TYP_SOUBORU')
                                             FROM DUAL) typ_souboru_short,
                         trunc(nvl(DP.zpristupnit_za_dobu,0)+trunc(nvl(DP.DAT_ODEVZDANI,DP.PLAN_DAT_ODEVZDANI))) - trunc(sysdate) pocet_dnu_do_zverejneni,
                         dp.adipidno adipidno,
                         fn_get_ucitele_kv_pr(dp.adipidno, 'vedoucí','PJ', 'N') AS vedouci,
                         fn_get_ucitele_kv_pr(dp.adipidno, 'školitel','PJ', 'N') AS skolitele,
                         dp.zpristupnit_verejnosti zpristupnit_x,
                         DECODE (:lang, 'cs', (select fn_meaning2(sp.typ, 'PRACE') from dual), 'sk', (select fn_meaning2(sp.typ, 'PRACE') from dual),
                           NVL ((select fn_meaning_en(sp.typ, 'PRACE') from dual), (select fn_meaning2(sp.typ, 'PRACE') from dual))) AS typ_prace
                    FROM abn_diplomove_prace dp,
                         studenti st,
                         osoby os,
                         studijni_programy sp
                   WHERE dp.os_cislo = st.os_cislo
@IF(0)                     AND dp.adipidno = :adipidno
                     AND st.osobidno = os.osobidno
                     AND st.stpridno = sp.stpridno
@IF(11)              AND trunc(nvl(dp.dat_odevzdani,sysdate+1)) <= trunc(sysdate)       
@IF(1)                     AND (fn_cs_to_upper_asc (os.prijmeni) LIKE (select fn_cs_to_upper_asc (:xprijmeni) from dual) OR fn_cs_to_upper_asc (os.rodne_prijmeni) LIKE (select fn_cs_to_upper_asc (:xprijmeni) from dual))
@IF(10)                     AND fn_cs_to_upper_asc (os.jmeno) LIKE (select fn_cs_to_upper_asc (:xjmeno) from dual)
@IF(2)                     AND st.os_cislo LIKE TRIM (UPPER (NVL (:xos_cislo, '%')))
@IF(3)                     AND dp.prac_zkr IN (SELECT zkr
@IF(3)                          FROM cis_pracovist c
@IF(3)                          WHERE c.nad_prac_zkr LIKE :xfak or c.zkr like :xfak)
@IF(4)                     AND (select fn_cs_to_upper_asc (dp.prac_zkr)  from dual) LIKE (select fn_cs_to_upper_asc (:xkat) from dual)
@IF(5)                     AND fn_cs_to_upper_asc (DECODE (NVL (pg_cti_parametry.cti_retezec_oc ('DP_NAZEV', st.os_cislo), 'N'), 'A', dp.nazev_dle_stud, dp.tema_hlavni)) LIKE '%' ||(select  fn_cs_to_upper_asc (:xhl_tema) from dual)|| '%'
@IF(6)                     AND exists( SELECT uc.ucitidno FROM ucitele uc, ABN_DP_OSOBY ado
@IF(6)                                    WHERE  ado.ucitidno = uc.ucitidno and ado.adipidno = dp.adipidno and ado.TYP_OSOBY in ('vedoucí','školitel') and fn_cs_to_upper_asc (uc.prijmeni) LIKE (select fn_cs_to_upper_asc (:xvedouci) from dual))
@IF(9)                     AND NVL (TO_CHAR (dp.dat_zadani, 'RRRR'), '%') LIKE NVL (:xrok, '%')
@IF(9)                     AND NVL (TO_CHAR (dp.dat_obhajoby, 'RRRR'), '%') LIKE NVL (:xrok_obhajoby, '%')
@IF(7)                     AND fn_cs_to_upper_asc (dp.klic_slova) LIKE '%' || (select fn_cs_to_upper_asc (:xkey_word) from dual) || '%'
@IF(7)                     AND fn_cs_to_upper_asc (dp.klic_slova_cizi) LIKE '%' || (select fn_cs_to_upper_asc (:xkey_word_cizi) from dual) || '%'
@IF(8)                     AND (select fn_meaning2(sp.typ, 'PRACE') from dual) LIKE NVL (:typ_prace, '%')
@IF(12)                    AND st.stav like nvl(:stavStudenta,'%')
@IF(13)                    and (select FN_STAV_KVALIFIKACNI_PRACE(DP.adipidno) from dual) like nvl(:stavPrace,'%')
@IF(14)                    and 'X'||(select FN_STAV_KVALIFIKACNI_PRACE(DP.adipidno) from dual) not like nvl(:stavPrace,'%')
@IF(15)                    AND (select misto_vyuky from studenti_v_roce svr where svr.OS_CISLO = st.os_cislo AND svr.ROK_PLATNOSTI = (select max(svr2.ROK_PLATNOSTI) from studenti_v_roce svr2 where svr2.OS_CISLO = st.os_cislo) ) = :mistoVyuky
@IF(16)                    AND sp.kodsp_i LIKE NVL (:xkodsp_i, '%')
@IF(17)                    AND :xcisoboru in (select ob.cisoboru from studenti_na_oboru_v_roce snor,studijni_plany stpl,obory ob
@IF(17)                                    where stpl.oboridno = ob.oboridno AND snor.stplidno = stpl.stplidno and SNOR.OS_CISLO = ST.OS_CISLO) --pokud by slo jen o obory v poslednim rocniku studenta, pak jeste pridat podminku and SNOR.rok_platnosti = fn_rok(ST.OS_CISLO)
                ORDER BY NLSSORT (os.prijmeni, 'NLS_SORT = XCzech'), NLSSORT (os.jmeno, 'NLS_SORT = XCzech'), dp.tisknout, dp.dat_zadani DESC, dp.date_of_insert DESC) x
         WHERE ROWNUM <= NVL (:pageDo, 51)) y
 WHERE y.poradi >= NVL (:pageOd, 0)