select distinct
  ps.SESPIDNO,
  ps.PORADI,
  sp.NAZEV,
  DECODE(:lang,'cs',nvl(cz_nazev_modulu,sp.NAZEV),'sk',nvl(cz_nazev_modulu,sp.NAZEV),nvl(nvl(an_nazev_modulu,cz_nazev_modulu),sp.NAZEV)) as nazev_modulu,
  sp.ZKRATKA as zkratka,
  sp.ROK_PLATNOSTI,
  sp.min_crd_b_bloku,
  sp.min_pocet_abs_b_bloku,
  DECODE(ss.ORIDNO,null,'0','1') as skupinovy_segment
from
  poradi_segmentu ps,
  segmenty_st_planu sp,
  skupiny_segmentu ss
where
  ps.STPLIDNO = :idno
  and ps.SESPIDNO = sp.SESPIDNO
  and ss.STPLIDNO(+) = ps.STPLIDNO
  and ss.SESPIDNO(+) = ps.SESPIDNO

order by ps.PORADI