select  case
		 when t.platnost='N' then 'Z' -- zrusene
		 when fn_zive_datum(t.datum,t.hod_do)=1 then 'A' -- aktualni
		 else 'P' -- prosle
		 end barva,
		 t.platnost,
		 t.limit_terminu as limit,
		 t.obsazeni_terminu as obsazeni,
		 t.datum,
		 to_char(t.hod_od,'HH24:MI') as hod_skut_od,
		 to_char(t.hod_do,'HH24:MI') as hod_skut_do,
		 t.blok_datum,
		 DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev,
		 t.zkr_budovy||'-'||t.cislo_mist AS mistnost,
		 nvl(t.semestr,'ZL') as semestr,
		 t.OPRAVNY_TERMIN,
		 decode(:lang,'cs',(select fn_meaning2(t.opravny_termin,'TERMINY_KDO') from dual),'sk',(select fn_meaning2(t.opravny_termin,'TERMINY_KDO') from dual),nvl((select fn_meaning_en(t.opravny_termin,'TERMINY_KDO') from dual),(select fn_meaning2(t.opravny_termin,'TERMINY_KDO') from dual))) as TERMIN_KDO_SLOVNE,
		 case when :lang in ('cs','sk') then
		 (select fn_meaning2(t.TYP_TERMINU,'TYP_TERMINU') from dual)
		 else
		 (select fn_meaning_en(t.TYP_TERMINU,'TYP_TERMINU') from dual)
		 end typ,
		 (select fn_meaning(t.TYP_TERMINU,'TYP_TERMINU') from dual) typ_zkr,
		 (select fn_get_ucitel(t.ucitidno,'JP') from dual) as ucitel,
t.prac_zkr||'/'||t.zkr_predm as predm,
t.termidno,
t.grteidno
from terminy t, pred_varianty p,ucitele u
where
t.termidno = :termidno
and t.ucitidno = u.ucitidno
and p.ZKR_PREDM = t.ZKR_PREDM
and p.PRAC_ZKR = t.PRAC_ZKR
and p.ROK_VARIANTY = t.ROK_PLATNOSTI
