select
'Z' as druh_akce,
  'A' as zapsana,
  'N' as menena,
   null as svpridno,
  ra.*,
  --FN_STATUT_PREDMETU_STUDENT(:osCislo, pv.prac_zkr, pv.zkr_predm, pv.rok_varianty) statut,
  u.ucitidno as ucitel_ucitidno,
  u.jmeno as ucitel_jmeno,
  u.prijmeni as ucitel_prijmeni,
  u.titul_pred as ucitel_titul_pred,
  u.titul_za as ucitel_titul_za,
  (select min(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and decode(kal.cislo_tydne,1,54,2,55,3,56,4,57,kal.cislo_tydne) BETWEEN decode(ra.tyden_od,1,54,2,55,3,56,4,57,ra.tyden_od) and decode(ra.tyden_do,1,54,2,55,3,56,4,57,ra.tyden_do) and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_od,
  (select max(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and decode(kal.cislo_tydne,1,54,2,55,3,56,4,57,kal.cislo_tydne) BETWEEN decode(ra.tyden_od,1,54,2,55,3,56,4,57,ra.tyden_od) and decode(ra.tyden_do,1,54,2,55,3,56,4,57,ra.tyden_do) and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_do,
  (select to_char(wm_concat(replace(ka.kod, ',', '`'))) from krouzek_akce ka where ka.roakidno = ra.roakidno) x_krouzky,
  null as datum,
  'R' as druh_akce,
  pv.cz_nazev nazevPredmetuCs,
  pv.an_nazev nazevPredmetuEn,
  'A' as pristupna
from
  zapisy za,
  rozvrh_akce ra,
  ucitele u,
  pred_varianty pv
where
       za.roakidno = ra.roakidno
  and  za.os_cislo = RTRIM(LTRIM(UPPER(:osCislo),' '),' ')
  and  za.rok_platnosti = :rok
  and  ra.rok_platnosti = za.rok_platnosti
  and  ra.prac_zkr = :pracZkr
  and  ra.zkr_predm = :zkrPredm
  and  ra.semestr like nvl(translate(UPPER(:semestr), '*', '%'), '%')
  and  ra.platnost <> 'Z'
  and  ra.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_varianty
order by ra.semestr desc, ra.prac_zkr, ra.zkr_predm, ra.skut_hod_od
