select DECODE(:lang, 'cs', o.CZ_NAZEV, 'sk', o.CZ_NAZEV, NVL(o.AN_NAZEV, o.CZ_NAZEV)) AS nazev,
	   DECODE(:lang, 'cs', cto.RV_MEANING, 'sk', cto.RV_MEANING, NVL(cto.ENGLISH, cto.RV_MEANING)) AS typ,
	   DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)) AS forma,
	   sp.forma as fk_forma, 
	   sp.typ as fk_typ, 
	   o.cisoboru,
	   O.CISOBORU||'/'||O.CISSPEC AS kod_oboru,
	   o.cisspec, 
	   o.platny_od,
	   o.neplatny_od,
	   o.oboridno as pk_oboridno,
	   o.oboridno,
	   o.FAKULTA_OBORU as fk_fakulta
  from obory o, 
  	   cg_ref_codes cfo, 
  	   cg_ref_codes cto, 
  	   studijni_programy sp
 where o.stpridno = :idno
   and cfo.rv_domain = 'FORMA_OBORU_NEW'
   and sp.forma = cfo.rv_low_value
   and cto.rv_domain = 'TYP_OBORU'
   and sp.typ = cto.rv_low_value
   and o.stpridno=sp.stpridno
   and exists (select  p.stplidno
  from studijni_plany p
 where p.oboridno = o.oboridno
   and (rok_platnosti = :rok OR :platnost = 1))
 order by DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)),
 		  DECODE(:lang, 'cs', cto.RV_MEANING, 'sk', cto.RV_MEANING, NVL(cto.ENGLISH, cto.RV_MEANING)),
 		  DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING))
