select
  b.BLOKIDNO,
  decode(:lang,'cs',b.CZ_NAZEV,'sk',b.CZ_NAZEV,NVL(b.AN_NAZEV,b.CZ_NAZEV)) as nazev,
  b.STATUT,
	decode(b.minkred,null,'-',b.minkred) min_kred,
	decode(b.max_kred,null,'-',b.MAX_KRED) max_kred

from
  bloky b,
	poradi_segmentu ps

where
  ps.STPLIDNO = :idno
  and ps.SESPIDNO = b.SESPIDNO
  
order by STATUT, NAZEV