select distinct
  To_Char(ps.SESPIDNO) as sespidno,
  ps.PORADI,
  sp.NAZEV,
  DECODE(:lang,'cs',cz_nazev_modulu,'sk',cz_nazev_modulu,nvl(an_nazev_modulu,cz_nazev_modulu)) as nazev_modulu,
  sp.ZKRATKA as zkratka,
  sp.ROK_PLATNOSTI,
  to_char(sp.min_crd_b_bloku) as min_crd_b_bloku,
  to_char(sp.min_pocet_abs_b_bloku) as min_pocet_abs_b_bloku,
  DECODE(ss.ORIDNO,null,'0','1') as skupinovy_segment,
  ss.oridno
from
  poradi_segmentu ps,
  segmenty_st_planu sp,
  skupiny_segmentu ss
where
  ps.STPLIDNO = :idno
  and ps.SESPIDNO = sp.SESPIDNO
  and ss.STPLIDNO(+) = ps.STPLIDNO
  and ss.SESPIDNO(+) = ps.SESPIDNO

order by ps.PORADI