select svp.*,
pv.crd,
pv.vyuka_zs,
pv.vyuka_ls,
pv.cz_nazev,
pv.an_nazev,
pv.VYUKA_ZS || ';' || pv.VYUKA_LS as semestry,
nvl2(z.OS_CISLO,'A','N') as zapsano,
to_char(pv.jednotek_pr)||i.pom_hodnota||'+'||to_char(pv.jednotek_cv)||j.pom_hodnota||'+'||to_char(pv.jednotek_sem)||k.pom_hodnota rozsah,
l.rv_abbreviation||decode(pv.predz_za, 'A', '+', '') as typZk
from
	studentem_vybrane_predmety svp,
	pred_varianty pv,
	znamky z,
	cg_ref_codes i,
    cg_ref_codes j,
    cg_ref_codes k,
    cg_ref_codes l
where
	svp.os_cislo = :os_cislo
	and svp.rok_platnosti = :rok
	and pv.prac_zkr = svp.prac_zkr
	and pv.zkr_predm = svp.zkr_predm
	and pv.rok_varianty = svp.rok_varianty
	and z.PRAC_ZKR (+)= svp.prac_zkr
	and z.ZKR_PREDM (+)= svp.zkr_predm
	and z.ROK_PLATNOSTI (+) = svp.rok_varianty
  and z.semestr (+) = svp.semestr
	and z.ROK_VARIANTY (+)= svp.rok_varianty
	and z.OS_CISLO (+)  =  svp.os_cislo
	and  i.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_pr = i.rv_low_value
    and  j.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_cv = j.rv_low_value
    and  k.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_sem = k.rv_low_value
    and  l.rv_domain = 'TYP_ZK_NEW'
    and  pv.typ_zk = l.rv_low_value
order by svp.semestr,svp.zkr_predm