select
    DISTINCT CR.KOD,
    rv_abbreviation AS zkr,
    DECODE(:lang, 'cs', c.rv_meaning, 'sk', c.rv_meaning, NVL(ENGLISH, c.rv_meaning)) AS nazev

from
    casove_rady CR,
    cg_ref_codes c

where exists
    (
        select
            b.roakidno
        from
            zapisy a,
            rozvrh_akce b
        where
            a.roakidno = b.roakidno
            and  a.os_cislo = :os_cislo
            and  b.rok_platnosti = :rok
            and  b.rok_platnosti = a.rok_platnosti
            and  b.semestr = :semestr
            and  nvl(b.casova_rada,'-zxc') = CR.kod 
     )
     and c.RV_DOMAIN = 'CASOVA_RADA'
     and c.RV_LOW_VALUE = cr.kod
