SELECT distinct JZP.PRAC_ZKR||'/'||JZP.ZKR_PREDM||'('||JZP.POC_KRED||')' as predmet,
       pv.CZ_NAZEV as nazev
  FROM studenti ST,
       studenti_vyjezdy SV,
       jedznamky_www JZ,
       install2.jedznamky_pred_www JZP,
       pred_varianty pv
 WHERE ST.OS_CISLO = SV.OS_CISLO
   AND JZ.STVYIDNO = SV.STVYIDNO
   AND JZ.ZADANI_PREDMETU in ('N','A')
   /*AND JZ.DATUM >= SV.DATUM_OD
   AND JZ.DATUM <= SV.DATUM_DO*/
   AND SV.STVYIDNO = :PAR_STVYIDNO
   AND JZP.JZNWIDNO(+) = JZ.JZNWIDNO
   and JZP.PRAC_ZKR = pv.PRAC_ZKR
   and JZP.ZKR_PREDM = pv.ZKR_PREDM
   and PV.ROK_varianty = (SELECT max(PV2.rok_varianty) FROM pred_varianty PV2 WHERE PV2.prac_zkr=PV.prac_zkr AND PV2.zkr_predm=PV.zkr_predm)
   order by predmet