select
	z.ZKR_PREDM as pk_zkr_Predm, z.PRAC_ZKR as pk_prac_Zkr, z.ROK_VARIANTY as pk_rok_Varianty,
	DECODE(:lang, 'cs', pv.cz_nazev, 'sk', pv.cz_nazev, NVL(pv.AN_NAZEV, pv.cz_nazev)) as nazev,
	DECODE(z.hodnoceni_zk, 2, DECODE(:lang, 'cs', c3.RV_MEANING, 'sk', c3.RV_MEANING, NVL(c3.ENGLISH, c3.RV_MEANING)), 1, z.znamka) as znamka,
	z.DATUM as datum,
	z.POKUS_CISLO,
	pv.CRD as pocet_kreditu,
	z.SEMESTR

from
	znamky z,
	pred_varianty pv,
	cg_ref_codes c3

where
	z.OS_CISLO = upper(:os_cislo)
	and z.ROK_PLATNOSTI = :rok
	and z.SEMESTR like nvl(upper(translate(:semestr,'*','%')),'%')
	and pv.PRAC_ZKR = z.PRAC_ZKR
	and pv.ZKR_PREDM = z.ZKR_PREDM
	and pv.ROK_VARIANTY = z.ROK_VARIANTY
	and c3.RV_DOMAIN(+) = 'SLOVNI_HODNOCENI'
	and c3.RV_LOW_VALUE(+) = z.slovni_hodnoceni
@IF(0) and ((z.ZNAMKA is not null and z.HODNOCENI_ZK=1 and z.ZNAMKA < 4) or (z.HODNOCENI_ZK=2 and z.SLOVNI_HODNOCENI = 'S'))
@IF(1) and (z.DATUM is null or (z.HODNOCENI_ZK=1 and z.ZNAMKA = 4) or (z.HODNOCENI_ZK=2 and z.SLOVNI_HODNOCENI = 'N'))

order by z.ZKR_PREDM, z.PRAC_ZKR