-- vsechna studia, ktera se tykaji zkoumaneho studia
SELECT PS.ZKOUMANE_STUDIUM,
       PS.RODNE_CISLO,
       PS.DATUM_ZAPISU,
       PS.FAKULTA_CISLO,
       PS.JE_TO_DALSI_STUDIUM,
       PS.DATUM_DALSI_STUDIUM,
       PS.PROGRAM_KOD,
       PS.NA_NASLEDNY_DATUM_ZAPISU,
       PS.NA_NASLEDNOU_FAKULTU_CISLO,
       PS.NA_NASLEDNY_PROGRAM_KOD,
       PS.PLSTIDNO as vazba_na_platby_casti_studia,
       PS.DATUM_ZACATKU_VETY,
       PS.DATUM_KONCE_VETY,
       trunc(nvl(PS.DATUM_KONCE_VETY,sysdate)) - trunc(PS.DATUM_ZACATKU_VETY)+1 as DELKA_VETY_VE_DNECH,
       trunc(PS.DATUM_ZACATKU_VETY)-(select trunc(MIN(PS2.DATUM_ZACATKU_VETY)) from platby_studia PS2 where PS2.ZKOUMANE_STUDIUM = PS.ZKOUMANE_STUDIUM) as START_OD_PRVNIHO_STUDIA,
       trunc(PS.DATUM_KONCE_VETY)-(select trunc(MIN(PS2.DATUM_ZACATKU_VETY)) from platby_studia PS2 where PS2.ZKOUMANE_STUDIUM = PS.ZKOUMANE_STUDIUM) as KONEC_OD_PRVNIHO_STUDIA,
       PS.BYLO_NAKONEC_USPESNE,
       PS.DUVOD_DELSI,
       PS.DUVOD_DALSI,
       PS.ZAPOCITAVA_SE_DO_DELSI,
       PS.DOBA_ZAPOCITAVANA_DELSI,
       PS.DOBA_ZAPOCITAVANA_DALSI,
       PS.JE_TO_ZKOUMANE_STUDIUM,
       PS.STAV,
       PS.TYP_UKONCENI,
       PS.ZAPOCITAVA_SE_DO_DELSI,
       PS.PROGRAM_TYP,
       PS.FINANCOVANI,
       PS.DATUM_UKONCENI,
       nvl(pg_cti_parametry.cti_retezec('PLATBY_RESPEKTOVAT_PRESTUPY'),'A') as PLATBY_RESPEKTOVAT_PRESTUPY
  FROM platby_studia PS
 WHERE PS.ZKOUMANE_STUDIUM = :par_oscislo
 ORDER BY PS.DATUM_ZAPISU ASC, -- podle datumu zapisu
       PS.FAKULTA_CISLO, -- oddelit studia zacinajici ve stejny den
       PS.PROGRAM_KOD,
       PS.DATUM_ZACATKU_VETY ASC -- v ramci datumu zapisu rovnat vety