--limit prvni rok
SELECT   stvr.os_cislo, stvr.rok_platnosti,
            /*'Není splněn limit '
         ||*/ pg_cti_parametry.cti_cislo_oc('LIMIT_KR_PRVNI_ROK',:os_cislo) as LIMIT_KR_PRVNI_ROK,
         /*|| ' kreditů za první ročník '
         || SUM
               (DECODE
                    (pg_cti_parametry.cti_retezec_rok_oc ('ODECITAT_ZAPOCTY',
                                                          snor.rok_platnosti,
                                                          snor.os_cislo
                                                         ),
                     'A', kredity_dos_bez_zp,
                     kredity_dos
                    )
               ) AS DOSAZENO_KR_PRVNI_ROK */
         SUM(kredity_dos) AS DOSAZENO_KR_PRVNI_ROK
    FROM studenti_v_roce stvr,
         studenti_na_oboru_v_roce snor,
         studijni_plany stpl
   WHERE (    stvr.rok_platnosti = :par_rok_sk
          AND stvr.os_cislo = snor.os_cislo
          AND stvr.rok_platnosti = snor.rok_platnosti
          AND snor.stplidno = stpl.stplidno
          AND stpl.kreditne = 'A'
          AND stvr.standard_rok = 1
          --AND p_kontrola != 'N'
          AND :p_sem != 'ZS'
         )
     AND (:par_rok_sk = stvr.rok_platnosti)
     AND (:os_cislo = stvr.os_cislo)
GROUP BY stvr.os_cislo, stvr.rok_platnosti
  HAVING /*SUM
            (DECODE (pg_cti_parametry.cti_retezec_rok_oc ('ODECITAT_ZAPOCTY',
                                                          snor.rok_platnosti,
                                                          snor.os_cislo
                                                         ),
                     'A', kredity_dos_bez_zp,
                     kredity_dos
                    )
            )*/ SUM(kredity_dos) < pg_cti_parametry.cti_cislo_oc ('LIMIT_KR_PRVNI_ROK',:os_cislo)