--Orientacní prehled plnení skupin segmentu
select distinct /*'Orientační přehled plnění skupin segmentů' moduly_hl,
'A kred. celk.' A_celkem_hl, 'Zisk' A_zisk_hl,'Chybí' A_chybi_hl,
'B kred. celk.' B_celkem_hl, 'Zisk' B_zisk_hl,'Chybí' B_chybi_hl,*/
x.os_cislo, x.oridno, x.stplidno, x.a_zisk, x.b_zisk,
nvl(decode(:lang,'cs',sesp.cz_nazev_modulu,'sk',sesp.cz_nazev_modulu,nvl(sesp.AN_NAZEV_MODULU ,sesp.cz_nazev_modulu)), sesp.zkratka) as nazev_modulu,
decode(:lang,'cs',skse.cz_nazev_skupiny,'sk',skse.cz_nazev_skupiny,nvl(skse.an_nazev_skupiny ,skse.cz_nazev_skupiny)) as nazev_skupiny,
fn_segm_kredity(x.oridno,x.stplidno,'A') as a_celkem,
fn_segm_kredity(x.oridno,x.stplidno,'B') as b_celkem
from segmenty_st_planu sesp, skupiny_segmentu skse,
(SELECT s.os_cislo, skse.oridno, stpl.stplidno,
       --NVL (SUM (decode(b.statut,'A',z.poc_kred,0)), 0) A_celkem,
       NVL (SUM (decode(b.statut,'A',decode(z.uznano,'A',z.poc_kred,
       decode(nvl(z.slovni_hodnoceni,'N'),'S',z.poc_kred,decode(NVL(ABS(z.znamka),4),4,0,z.poc_kred))),0)), 0) AS A_zisk,
       --NVL (SUM (decode(b.statut,'B',z.poc_kred,0)), 0) B_celkem,
       NVL (SUM (decode(b.statut,'B',decode(z.uznano,'A',z.poc_kred,
       decode(nvl(z.slovni_hodnoceni,'N'),'S',z.poc_kred,decode(NVL(ABS(z.znamka),4),4,0,z.poc_kred))),0)), 0) AS B_zisk
FROM studenti_na_oboru_v_roce snor, studenti_v_roce s, studenti st,
     bloky_predm bp,
     bloky b,
     studijni_plany stpl,
     poradi_segmentu pose,
     segmenty_st_planu sesp,
     zn_jezn_predm z, studijni_programy sp,
     skupiny_segmentu skse
WHERE b.statut in ('A','B')
/*AND ((.p_kontrola = 'A'*/ 
    AND s.standard_rok >= sp.stand_delka
/*    )
    OR .p_kontrola = 'V')*/
and s.rok_platnosti = snor.rok_platnosti
and s.os_cislo = snor.os_cislo
and st.os_cislo=s.os_cislo
and sp.stpridno=st.stpridno
AND stpl.stplidno = snor.stplidno
AND stpl.stplidno = pose.stplidno
AND pose.sespidno = sesp.sespidno
AND sesp.sespidno = b.sespidno
AND b.blokidno = bp.blokidno
and sesp.sespidno=skse.sespidno
and stpl.stplidno=skse.stplidno
AND z.rok_platnosti <= :par_rok_sk
AND (z.prac_zkr, z.zkr_predm) IN (
           SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
                      FROM pred_hlavicky ph
                START WITH ph.prac_zkr = bp.prac_zkr
                       AND ph.zkr_predm = bp.zkr_predm
                CONNECT BY PRIOR ph.prac_zkr_pred =
                                                   ph.prac_zkr
                       AND PRIOR ph.zkr_predm_pred =
                                                  ph.zkr_predm)
AND z.os_cislo = snor.os_cislo
-- rychlejsi, ale tohle nejde pridat, jedu i do historie znamek
-- and snor.stplidno=z.stplidno
and s.rok_platnosti like :par_rok_sk
AND s.os_cislo = UPPER (:p_os_cislo)--&p_vloz_oc
group by  s.os_cislo, skse.oridno, stpl.stplidno) x
where x.oridno=skse.oridno
and skse.sespidno=sesp.sespidno
and x.os_cislo = UPPER (:p_os_cislo)
and x.stplidno=skse.stplidno
order by x.oridno, x.stplidno, nazev_modulu