-- Predmety, které nelze zapsat, protože jsou splnené (resp. zapsané) vylucující predmety:
SELECT z.os_cislo,
       vy.PRAC_ZKR||'/'||vy.ZKR_PREDM sloupec1,
       vy.PRAC_ZKR_vylu||'/'||vy.ZKR_PREDM_vylu sloupec2
--'Predmety, které nelze zapsat, protože jsou splnené (resp. zapsané) vylucující predmety' Titul_vyl
    FROM   np_vyluc vy, znamky z, znamky z2
    WHERE ( z.rok_platnosti = :par_rok_sk and z.semestr like nvl ( :p_sem , '%' )
            --and .p_kontrola = 'A'
            and z.os_cislo = z2.os_cislo
            and z.rok_platnosti = z2.rok_platnosti
            and z.prac_zkr = vy.prac_zkr
            and z.zkr_predm = vy.zkr_predm
            and z2.prac_zkr = vy.prac_zkr_vylu
            and z2.zkr_predm = vy.zkr_predm_vylu
            and z2.uznano != 'O'
            and z.uznano != 'O' )
          AND ( :os_cislo = z.os_cislo)
union
    SELECT z.os_cislo,
           vy.PRAC_ZKR||'/'||vy.ZKR_PREDM sloupec1,
           vy.PRAC_ZKR_vylu||'/'||vy.ZKR_PREDM_vylu || nvl2(substr(fn_predmet_abs(z.os_cislo,vy.PRAC_ZKR_vylu,vy.ZKR_PREDM_vylu),6),' (splněn '||substr(fn_predmet_abs(z.os_cislo,vy.PRAC_ZKR_vylu,vy.ZKR_PREDM_vylu),6)||')',null) sloupec2
--'Predmety, které nelze zapsat, protože jsou splnené (resp. zapsané) vylucující predmety' Titul_vyl
FROM   np_vyluc vy, znamky z, zn_jezn_predm z2
  WHERE ( z.rok_platnosti = :par_rok_sk
          and z.semestr like nvl ( :p_sem , '%' )
          and z2.rok_platnosti < :par_rok_sk
          and decode ( z2.uznano , 'O' , 0 , 'A' , 1 , decode ( z2.hodnoceni_zk , 2 , decode ( z2.slovni_hodnoceni , 'S' , 1 , 0 ) , decode ( nvl ( abs ( z2.znamka ) , 4 ) , 4 , 0 , 1 ) ) ) = 1
          and z.os_cislo = z2.os_cislo
          and z.prac_zkr = vy.prac_zkr
          and z.zkr_predm = vy.zkr_predm
          --and z2.prac_zkr = vy.prac_zkr_vylu
          --and z2.zkr_predm = vy.zkr_predm_vylu
          )
        AND ( :os_cislo = z.os_cislo)
        AND   (z2.prac_zkr, z2.zkr_predm) IN (
                           SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
                                      FROM pred_hlavicky ph
                                START WITH ph.prac_zkr = vy.prac_zkr_vylu
                                       AND ph.zkr_predm = vy.zkr_predm_vylu
                                CONNECT BY PRIOR ph.prac_zkr_pred =ph.prac_zkr
                                       AND PRIOR ph.zkr_predm_pred =ph.zkr_predm)
        ORDER BY 2 ASC