SELECT
 'A' as univ_predmet,
  z.prac_zkr as pk_prac_zkr,
  z.zkr_predm as pk_zkr_predm,
  z.pokus_cislo,
  (select Fn_nespl_podm(z.os_cislo, z.prac_zkr, z.zkr_predm) from dual) as nesplnene_prerekvizity,
  z.datum AS datum,
    DECODE(z.hodnoceni_zk, 2, NVL2(z.slovni_hodnoceni,(select fn_meaning2(z.slovni_hodnoceni,'SLOVNI_HODNOCENI') from dual),(select (fn_meaning2(decode((select FN_DEADLINE_ZAPISU_ZNAMEK(z.ROK_PLATNOSTI,z.PRAC_ZKR) from dual),'A', 'N'),'SLOVNI_HODNOCENI'))from dual)), 1, nvl2(Z.znamka,(SELECT fn_meaning(Z.znamka,'ZNAMKA')FROM dual),decode((select FN_DEADLINE_ZAPISU_ZNAMEK(z.ROK_PLATNOSTI,z.PRAC_ZKR) from dual),'A',(SELECT cgrc.rv_abbreviation from cg_ref_codes cgrc where cgrc.rv_domain = 'ZNAMKA' and cgrc.poradi = (select max(pom.poradi) from cg_ref_codes pom where pom.rv_domain = 'ZNAMKA')),null))) AS znamka,
    p.predz_za as zap_pred_zk,
    z.zapocet_datum,
    (select fn_meaning2(z.zapocet_slovni_hodnoceni,'SLOVNI_HODNOCENI') from dual) as zapocet_slovni_hodnoceni,
    z.zapocet_pokus,
    p.crd AS kredity,
    DECODE(:p_lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev,
    p.prac_zkr||'/'||p.zkr_predm AS zkratka,
    (select install2.FN_EVA_NEZODPOVEZENA_TVRZENI(z.os_cislo,z.PRAC_ZKR,z.ZKR_PREDM,z.ROK_PLATNOSTI,z.SEMESTR) from dual) as nesplnena_evaluace,
    z.SEMESTR AS pk_semestr, z.POC_KRED, z.statut,z.uznano,
    CASE
        WHEN u.ucitidno IS NOT NULL
            THEN DECODE(u.TITUL_PRED, NULL, NULL, c4.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||DECODE(u.TITUL_ZA, NULL, NULL,', '||c5.RV_ABBREVIATION)
        ELSE u2.zkousejici
    END AS zkousejici,
    CASE
      WHEN u.ucitidno IS NOT NULL
            THEN u.email
        ELSE u2.email
    END AS zkousejici_email,
    CASE
        WHEN u.ucitidno IS NOT NULL
            THEN u.telefon
    ELSE u2.telefon
    END AS zkousejici_telefon,
    u.ucitidno AS fk_ucitidno,

    CASE
        WHEN z.zapocet_ucitidno IS NOT NULL
            THEN DECODE(zu.TITUL_PRED, NULL, NULL, c6.RV_ABBREVIATION||' ')||zu.JMENO||' '||zu.PRIJMENI||DECODE(zu.TITUL_ZA, NULL, NULL,', '||c7.RV_ABBREVIATION)
        ELSE zu2.zkousejici
    END AS zapocet_zkousejici,
    CASE
      WHEN z.zapocet_ucitidno IS NOT NULL
            THEN zu.email
        ELSE zu2.email
    END AS zapocet_zkousejici_email,
    CASE
        WHEN z.zapocet_ucitidno IS NOT NULL
            THEN zu.telefon
    ELSE zu2.telefon
    END AS zapocet_zkousejici_telefon,

    z.zapocet_ucitidno AS fk_ucitidno_zapocet,


    z.rok_platnosti AS pk_rok_platnosti,
    z.prac_zkr AS pk_prac_zkr,
    z.zkr_predm AS pk_zkr_predm,
    z.rok_varianty AS pk_rok_varianty,
    u2.termidno as fk_termidno

    /* Pokud neni u znamky vyplneno UCITIDNO bere se z tabulky TERMINY */

FROM
    znamky z,
    --cg_ref_codes c1,
    pred_varianty p,
    ucitele u,ucitele zu,
    cg_ref_codes c4,
    cg_ref_codes c5,
    cg_ref_codes c6,
    cg_ref_codes c7,
    ( SELECT  DECODE(uct.TITUL_PRED, NULL, NULL, c6.RV_ABBREVIATION||' ')||uct.JMENO||' '||uct.PRIJMENI||DECODE(uct.TITUL_ZA, NULL, NULL,', '||c7.RV_ABBREVIATION) AS zkousejici,
         uct.email, uct.telefon,
         uct.ucitidno AS fk_ucitidno,
         snz.os_cislo, snz.prac_zkr, snz.zkr_predm, snz.rok_varianty, snz.semestr, snz.rok_platnosti,
         snz.termidno
            FROM  studenti_na_zkouskach snz, terminy trm, ucitele uct, cg_ref_codes c6, cg_ref_codes c7
                WHERE  snz.termidno = trm.termidno
                AND  trm.ucitidno = uct.ucitidno
                AND  c6.RV_DOMAIN(+) = 'TITUL_PRED'
                AND  c6.RV_LOW_VALUE(+) = uct.TITUL_PRED
                AND  c7.RV_DOMAIN(+) = 'TITUL_ZA'
                AND  c7.RV_LOW_VALUE(+) = uct.TITUL_ZA
                AND  trm.TYP_TERMINU <> 99
    ) u2,
    ( SELECT  DECODE(uct.TITUL_PRED, NULL, NULL, c6.RV_ABBREVIATION||' ')||uct.JMENO||' '||uct.PRIJMENI||DECODE(uct.TITUL_ZA, NULL, NULL,', '||c7.RV_ABBREVIATION) AS zkousejici,
         uct.email, uct.telefon,
         uct.ucitidno AS fk_ucitidno,
         snz.os_cislo, snz.prac_zkr, snz.zkr_predm, snz.rok_varianty, snz.semestr, snz.rok_platnosti,
         snz.termidno
            FROM  studenti_na_zkouskach snz, terminy trm, ucitele uct, cg_ref_codes c6, cg_ref_codes c7
                WHERE  snz.termidno = trm.termidno
                AND  trm.ucitidno = uct.ucitidno
                AND  c6.RV_DOMAIN(+) = 'TITUL_PRED'
                AND  c6.RV_LOW_VALUE(+) = uct.TITUL_PRED
                AND  c7.RV_DOMAIN(+) = 'TITUL_ZA'
                AND  c7.RV_LOW_VALUE(+) = uct.TITUL_ZA
                AND  trm.TYP_TERMINU = 99
    ) zu2

WHERE
    z.os_cislo = UPPER(:p_os_cislo)
    AND  u2.os_cislo(+) = z.os_cislo
    AND  u2.prac_zkr(+) = z.prac_zkr
    AND  u2.zkr_predm(+) = z.zkr_predm
    AND  u2.semestr(+) = z.semestr
    AND  u2.rok_varianty(+) = z.rok_varianty
    AND  u2.rok_platnosti(+) = z.rok_platnosti
    AND  zu2.os_cislo(+) = z.os_cislo
    AND  zu2.prac_zkr(+) = z.prac_zkr
    AND  zu2.zkr_predm(+) = z.zkr_predm
    AND  zu2.semestr(+) = z.semestr
    AND  zu2.rok_varianty(+) = z.rok_varianty
    AND  zu2.rok_platnosti(+) = z.rok_platnosti
    --AND  c1.RV_DOMAIN = 'SLOVNI_HODNOCENI'
    AND  z.rok_platnosti = :p_rok
    --AND  c1.RV_LOW_VALUE = NVL(z.slovni_hodnoceni,decode((select FN_DEADLINE_ZAPISU_ZNAMEK(z.ROK_PLATNOSTI,z.PRAC_ZKR) from dual),'A', 'N'))
    AND  p.prac_zkr = z.prac_zkr
    AND  p.zkr_predm = z.zkr_predm
    AND  p.rok_varianty = z.rok_varianty
    AND  u.ucitidno(+) = z.ucitidno
    AND  zu.ucitidno(+) = z.zapocet_ucitidno
    AND  c4.RV_DOMAIN(+) = 'TITUL_PRED'
    AND  c4.RV_LOW_VALUE(+) = u.TITUL_PRED
    AND  c5.RV_DOMAIN(+) = 'TITUL_ZA'
    AND  c5.RV_LOW_VALUE(+) = u.TITUL_ZA
    AND  c6.RV_DOMAIN(+) = 'TITUL_PRED'
    AND  c6.RV_LOW_VALUE(+) = u.TITUL_PRED
    AND  c7.RV_DOMAIN(+) = 'TITUL_ZA'
    AND  c7.RV_LOW_VALUE(+) = u.TITUL_ZA
    AND  (z.datum IS NOT NULL or z.zapocet_datum is not null or (select FN_DEADLINE_ZAPISU_ZNAMEK(z.ROK_PLATNOSTI,z.PRAC_ZKR) from dual) = 'A')
    /* Vem z posledniho terminu ktery neni zppzk UCITIDNO */
    AND  ((u2.termidno = (
        SELECT  max(ta.termidno) -- !!!!! kancovina - ale! Ucitel vypsal dva terminy na stejnej cas do dvou uceben. Prvni jako zkousku (typ_terminu 1), druhej jako zapocet (typ_terminu 2) a do poznamky k obema napsal, ze oba terminy se konaj ve stejnej treti ucebne --> studentka se pak zapsala na oba (:.
            FROM  studenti_na_zkouskach snza, terminy ta
            WHERE ta.TYP_TERMINU <> 99
            AND  snza.termidno = ta.termidno
            AND  snza.os_cislo = u2.os_cislo
            AND  snza.prac_zkr = u2.prac_zkr
            AND  snza.zkr_predm = u2.zkr_predm
            AND  snza.rok_varianty = u2.rok_varianty
            AND  snza.rok_platnosti = u2.rok_platnosti
            AND  TO_DATE(TO_CHAR(ta.datum, 'DD.MM.YYYY')||' - '||TO_CHAR(ta.hod_od, 'HH24:MI'), 'DD.MM.YYYY - HH24:MI') = (
            SELECT
                max(TO_DATE(TO_CHAR(tb.datum, 'DD.MM.YYYY')||' - '||TO_CHAR(tb.hod_od, 'HH24:MI'), 'DD.MM.YYYY - HH24:MI'))
            FROM
                studenti_na_zkouskach snzb,
                terminy tb
            WHERE tb.TYP_TERMINU <> 99
                AND snzb.termidno = tb.termidno
                AND  snzb.os_cislo = u2.os_cislo
                AND  snzb.prac_zkr = u2.prac_zkr
                AND  snzb.zkr_predm = u2.zkr_predm
                AND  snzb.rok_varianty = u2.rok_varianty
                AND  snzb.rok_platnosti = u2.rok_platnosti )
            )) OR (u2.termidno IS NULL))
     /* Vem z posledniho terminu zppzk UCITIDNO */
    AND  ((zu2.termidno = (
        SELECT  ta.termidno
            FROM  studenti_na_zkouskach snza, terminy ta
            WHERE ta.TYP_TERMINU = 99
            AND  snza.termidno = ta.termidno
            AND  snza.os_cislo = zu2.os_cislo
            AND  snza.prac_zkr = zu2.prac_zkr
            AND  snza.zkr_predm = zu2.zkr_predm
            AND  snza.rok_varianty = zu2.rok_varianty
            AND  snza.rok_platnosti = zu2.rok_platnosti
            AND  TO_DATE(TO_CHAR(ta.datum, 'DD.MM.YYYY')||' - '||TO_CHAR(ta.hod_od, 'HH24:MI'), 'DD.MM.YYYY - HH24:MI') = (
            SELECT
                max(TO_DATE(TO_CHAR(tb.datum, 'DD.MM.YYYY')||' - '||TO_CHAR(tb.hod_od, 'HH24:MI'), 'DD.MM.YYYY - HH24:MI'))
            FROM
                studenti_na_zkouskach snzb,
                terminy tb
            WHERE
                 tb.TYP_TERMINU = 99
                AND  snzb.termidno = tb.termidno
                AND  snzb.os_cislo = zu2.os_cislo
                AND  snzb.prac_zkr = zu2.prac_zkr
                AND  snzb.zkr_predm = zu2.zkr_predm
                AND  snzb.rok_varianty = zu2.rok_varianty
                AND  snzb.rok_platnosti = zu2.rok_platnosti )
            )) OR (zu2.termidno IS NULL))

       AND z.semestr like upper(nvl(:p_semestr,'%'))
union
select
  'N' as univ_predmet,
  j.prac_zkr as pk_prac_zkr,
  j.zkr_predm as pk_zkr_predm,
  j.pokus_cislo as pokus_cislo,
  null as nesplnene_prerekvizity,
  j.datum AS datum,
    DECODE(j.hodnoceni_zk,
        2, nvl2(j.slovni_hodnoceni,(select fn_meaning2(j.slovni_hodnoceni,'SLOVNI_HODNOCENI') from dual),fn_meaning2(nvl2(j.PRAC_ZKR,decode((select FN_DEADLINE_ZAPISU_ZNAMEK(j.ROK_PLATNOSTI,j.PRAC_ZKR) from dual),'A', 'N'),(select 'N' from dual where j.rok_platnosti < (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE)))),'SLOVNI_HODNOCENI')),
        1, nvl((SELECT fn_meaning(j.znamka,'ZNAMKA')FROM dual),nvl2(j.PRAC_ZKR,decode((select FN_DEADLINE_ZAPISU_ZNAMEK(j.ROK_PLATNOSTI,j.PRAC_ZKR) from dual),'A', (SELECT cgrc.rv_abbreviation from cg_ref_codes cgrc where cgrc.rv_domain = 'ZNAMKA' and cgrc.poradi = (select max(pom.poradi) from cg_ref_codes pom where pom.rv_domain = 'ZNAMKA'))),(select cgrc.rv_abbreviation from cg_ref_codes cgrc where j.rok_platnosti < (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE)) and cgrc.rv_domain = 'ZNAMKA' and cgrc.poradi = (select max(pom.poradi) from cg_ref_codes pom where pom.rv_domain = 'ZNAMKA'))))) AS znamka,
    'N' as  zap_pred_zk,
    null zapocet_datum,
    null zapocet_slovni_hodnoceni,
    null zapocet_pokus,
    0 AS kredity,--z pred_varianty
    j.cz_nazev_predmetu AS nazev,
    decode(substr(zkratka_predm,1,1),'=',substr(zkratka_predm,2),zkratka_predm) AS zkratka,
    0 as nesplnena_evaluace,
    j.SEMESTR AS pk_semestr,
    j.POC_KRED, -- z znamky
    decode(j.zkr_predm,null,'C',substr(fn_get_statut_a_stplidno(j.os_cislo,j.prac_zkr,j.zkr_predm,j.rok_platnosti,j.rok_platnosti),1,1)) as statut,
    j.uznano,
    (select Fn_Get_Ucitel(u.ucitidno,'JP','A') from dual) as zkousejici,
    u.email as zkousejici_email,
    u.telefon as zkousejici_telefon,
    u.ucitidno AS fk_ucitidno,
    null AS zapocet_zkousejici,
    null AS zapocet_zkousejici_email,
    null AS zapocet_zkousejici_telefon,
    null AS fk_ucitidno_zapocet,
    j.rok_platnosti AS pk_rok_platnosti,
    j.prac_zkr AS pk_prac_zkr,
    j.zkr_predm AS pk_zkr_predm,
    j.rok_platnosti AS pk_rok_varianty,
    null as fk_termidno
    from jedznamky j ,ucitele u --,  cg_ref_codes cg1
    where j.os_cislo = UPPER(:p_os_cislo)
      and j.rok_platnosti = :p_rok
      AND j.semestr like upper(nvl(:p_semestr,'%'))
      and (j.ucitidno = u.ucitidno(+))
      --AND  cg1.RV_DOMAIN = 'SLOVNI_HODNOCENI'
      --AND  cg1.RV_LOW_VALUE = NVL(j.slovni_hodnoceni,nvl2(j.PRAC_ZKR,decode((select FN_DEADLINE_ZAPISU_ZNAMEK(j.ROK_PLATNOSTI,j.PRAC_ZKR) from dual),'A', 'N'),(select 'N' from dual where j.rok_platnosti < (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE)))))
      AND  (j.datum IS NOT NULL or (j.PRAC_ZKR <> null AND (select FN_DEADLINE_ZAPISU_ZNAMEK(j.ROK_PLATNOSTI,j.PRAC_ZKR) from dual) = 'A') or (j.rok_platnosti < (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE))))
      order by univ_predmet,zkratka