SELECT
  u.JMENO,
  u.PRIJMENI,
  u.TELEFON,
  decode(instr(u.email,','),0,u.email,substr(u.email,1,instr(u.email,',')-1)) as email, -- pouze prvni email
  u.EMAIL as emaily, -- samotny atribut email muze obsahovat vice emailu oddelenych carkou
  u.URL,
  u.PRAC_ZKR,
  u.UCITIDNO,
  --u.USERNAME,
  nvl(pg_cti_parametry.cti_retezec('ZOBRAZIT_KONTAKTY_STUDENTA_UC'),'N') as ZOBRAZIT_KONTAKTY_STUDENTA_UC,
  DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION) as ucitel,
  substr(u.PRIJMENI||' '||u.JMENO||' '||DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION)||' '||u.prac_zkr||' '||u.pracoviste_jine,1,60) as ucitel2,
  DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
  DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
  p1.NAZEV as pracoviste,
  DECODE(p2.TYP_PRAC, 'F', p2.ZKR, '') AS fak_zkr,
  DECODE(p2.TYP_PRAC, 'F', NVL(DECODE(:lang, 'cs', c4.rv_meaning, 'sk', c4.rv_meaning, NVL(c4.english, c4.rv_meaning)), p1.NAZEV), '') AS fakulta
FROM
  id_table2 id2,
  ucitele u,
  cg_ref_codes c1,
  cg_ref_codes c2,
  CIS_PRACOVIST p1,
  cis_pracovist p2,
  cg_ref_codes c4
WHERE
  id2.id_name = upper(:stag_login)
  AND u.UCITIDNO = id2.UCITIDNO
  --AND u.platnost <> 'N'
  AND c1.RV_DOMAIN(+) = 'TITUL_PRED'
  AND c1.RV_LOW_VALUE(+) = u.TITUL_PRED
  AND c2.RV_DOMAIN(+) = 'TITUL_ZA'
  AND c2.RV_LOW_VALUE(+) = u.TITUL_ZA
  AND p1.ZKR(+) = u.PRAC_ZKR
  AND p2.ZKR(+) = p1.NAD_PRAC_ZKR
  AND c4.RV_DOMAIN(+) = 'FAKULTA'
  AND c4.RV_LOW_VALUE(+) = p2.ZKR