SELECT
	RA.Prac_Zkr AS Prac_Zkr,
	RA.Zkr_Predm AS Zkr_Predm,
	RA.Rok_Varianty AS Rok_Varianty
FROM
	Rozvrh_Akce RA
WHERE
	RA.UcitIDNO = :ucitidno
	and RA.ROK_VARIANTY = :rok
	and ra.semestr  = :semestr
UNION
SELECT
	RA.Prac_Zkr AS Prac_Zkr,
	RA.Zkr_Predm AS Zkr_Predm,
	RA.Rok_Varianty AS Rok_Varianty
FROM
	Rozvrh_Akce RA,
	UC_Rozvrhove_Akce URA
WHERE
	URA.RoAkIDNO = RA.RoAkIDNO
	AND URA.UcitIDNO = :ucitidno
	and RA.ROK_VARIANTY = :rok
	and ra.semestr  = :semestr
UNION
SELECT
	UPX.Prac_Zkr AS Prac_Zkr,
	UPX.Zkr_Predm AS Zkr_Predm,
	UPX.Rok_Varianty AS Rok_Varianty
FROM
    UCITELE_PREDMETU UPX,
    PRED_VARIANTY PV
WHERE
    UPX.UcitIDNO = :ucitidno
    and upx.ROK_VARIANTY = :rok
    and pv.PRAC_ZKR = upx.prac_zkr
    and pv.zkr_predm = upx.zkr_predm
    and pv.rok_varianty = upx.rok_varianty
	and ( (:semestr = 'LS' and pv.VYUKA_LS = 'A') or (:semestr = 'ZS' and pv.VYUKA_ZS = 'A') )
