select domena, poradi, klic, hodnota, zkratka, pom_hodnota from
(select rv_domain domena, rv_low_value klic, rv_meaning as hodnota, rv_abbreviation zkratka,
  poradi, pom_hodnota from cg_ref_codes
union select 'PRACOVISTE' domena, zkr klic, nazev hodnota, nazev as zkratka,
  0 poradi, null pom_hodnota from cis_pracovist
union select 'BUDOVA' domena, zkr_budovy klic, ulice_nazev hodnota, zkr_budovy as zkratka,
  0 poradi, null pom_hodnota from budovy
) order by 1, 2, 3
