select /*+ FIRST_ROWS */ * from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(select /*+ FIRST_ROWS */
  PV.PRAC_ZKR,
       PV.ZKR_PREDM,
       DECODE(:lang, 'cs', pv.cz_nazev, 'sk', pv.cz_nazev, NVL(pv.an_nazev, pv.cz_nazev)) AS nazev_predmetu,
       PV.ROK_VARIANTY,
       pv.VYUKA_ZS,
       pv.VYUKA_LS,
       PV.NABIZET_PRIJEZDY_ECTS
  FROM pred_varianty PV
 WHERE
   (select FN_CS_TO_UPPER_ASC(PV.prac_zkr) from dual) LIKE (select FN_CS_TO_UPPER_ASC(:par_pracoviste) from dual)
   and FN_CS_TO_UPPER_ASC(PV.zkr_predm) LIKE (select FN_CS_TO_UPPER_ASC(:par_predmet) from dual)
   AND PV.rok_varianty = :par_rok_varianty
@IF(0)   and PV.NABIZET_PRIJEZDY_ECTS = 'A'
 order by nlssort(PRAC_ZKR, 'NLS_SORT = XCzech'),nlssort(ZKR_PREDM, 'NLS_SORT = XCzech') ) x
where rownum <= nvl(:do,51)) y
where y.poradi >= nvl(:od,0)