select /*+ FIRST_ROWS */ * from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(select distinct /*+ FIRST_ROWS */
         o.CCOBIDNO_BYDL,o.CCOBIDNO_PRBY,o.CISLO_PASU,o.CISLO_ULICE,o.DATUM_NAROZ,
         o.EMAIL,o.FAX,o.JMENO,o.MISTO_NAR,o.OBCANSTVI_KVALIFIKACE,o.OBC_PRUKAZ,o.OBECIDNO_BYDL,o.OBECIDNO_PRBY,
         o.OBEC_CIZI,o.OKRESIDNO_BYDL,o.OKRESIDNO_PRBY,o.OKRES_CIZI,o.POHLAVI,o.POSTA_CIZI,o.POZNAMKA,
         o.PRIJMENI,o.PR_CISLO_ULICE,o.PR_OBEC_CIZI,o.PR_OKRES_CIZI,o.PR_POSTA_CIZI,o.PR_PSC_CIZI,o.PR_ULICE,
         o.PSC_BYDL,o.PSC_CIZI,o.PSC_PRBY,o.RODNE_PRIJMENI,o.ROD_CISLO,o.STATIDNO_BYDL,o.STATIDNO_NARO,o.STATIDNO_OBCA,
         o.STATIDNO_PRBY,o.STAV,o.STPOIDNO,o.TELEFON,o.TITUL_PRED,o.TITUL_ZA,o.TRVALY_POBYT,o.ULICE,
         p.CIZI_EMAIL,p.CIZI_FAX,p.CIZI_TELEFON,p.CIZI_URL,p.DATE_OF_INSERT,p.DATUM_ODJEZDU,
         p.DATUM_PODPISU_DC,p.DATUM_PODPISU_DC_CIZI,p.DATUM_PODPISU_IC,p.DATUM_PODPISU_IC_CIZI,p.DATUM_PODPISU_STUDENT,
         p.DATUM_PREDPOKLADANEHO_ODJEZDU,p.DATUM_PREDPOKLADANEHO_PRIJEZDU,p.DATUM_PRIJEZDU,p.DC_CIZI,p.ECTS_EMAIL,
         p.ECTS_FAX,p.ECTS_TELEFON,p.FAKULTA_DOMOVSKA_SKOLA,p.FINANCOVANI,p.IC_CIZI,p.OS_CISLO,
         p.ROCNIK_DOMOVSKA_SKOLA,p.ROK_PLATNOSTI,p.SKOLAIDNO_DOMOVSKA_SKOLA,p.STATIDNO_DOMOVSKA_SKOLA,p.STOB_DOMOVSKA_SKOLA,
         p.STPLIDNO,p.STPR_DOMOVSKA_SKOLA,p.STPSIDNO,p.TYP_DOMOVSKA_SKOLA,p.TYP_VYJEZDU,p.UCITIDNO_DC_ADMINISTRACE,
         p.UCITIDNO_DC_PODPIS,p.UCITIDNO_IC_ADMINISTRACE,p.UCITIDNO_IC_PODPIS,p.ZADA_O_KOLEJ,p.ZASTIDNO, p.priloha_nazev,
         skola.statidno as statidno, skola.NAZEV_SKOLY skola_nazev, stat.STAT stat_nazev,
         da.telefon||decode(da.telefon2, null, '', ' '||da.telefon2) ucitidno_dc_administrace_tel,
         da.email ucitidno_dc_administrace_email,
         dp.telefon||decode(dp.telefon2, null, '', ' '||dp.telefon2) ucitidno_dc_podpis_tel,
         dp.email ucitidno_dc_podpis_email,
         ia.telefon||decode(ia.telefon2, null, '', ' '||ia.telefon2) ucitidno_ic_administrace_tel,
         ia.email ucitidno_ic_administrace_email,
         ip.telefon||decode(ip.telefon2, null, '', ' '||ip.telefon2) ucitidno_ic_podpis_tel,
         ip.email ucitidno_ic_podpis_email,
         (select fn_email_studenta(p.OS_CISLO) from dual) as emailStudenta
    FROM studenti_prijezdy_studia p,
         studenti_prijezdy_osoby o,
         CIS_SKOL skola,
         CIS_STATU stat,
         UCITELE DA,
         UCITELE DP,
         UCITELE IA,
         UCITELE IP
@IF(11)  , id_table2 idt_koord
    WHERE
@IFNOT(12)         p.stpoidno = o.stpoidno
@IF(12)         p.stpoidno(+) = o.stpoidno and not exists (select 1 from studenti_prijezdy_studia st2 where st2.stpoidno = p.stpoidno)
     and skola.skolaidno(+) = p.skolaidno_domovska_skola
     and stat.statidno(+) = skola.statidno
     and da.ucitidno(+) = p.ucitIdno_Dc_Administrace
     and dp.ucitidno(+) = p.ucitIdno_Dc_Podpis
     and ia.ucitidno(+) = p.ucitIdno_Ic_Administrace
     and ip.ucitidno(+) = p.ucitIdno_Ic_Podpis
@IF(0) and o.stpoidno = :stpoIdno
@IF(1) and p.stpsidno = :stpsIdno
@IF(2) and (select FN_CS_TO_UPPER_ASC(o.jmeno) from dual) LIKE (select FN_CS_TO_UPPER_ASC(:jmeno) from dual)
@IF(3) and (select FN_CS_TO_UPPER_ASC(o.prijmeni) from dual) LIKE (select FN_CS_TO_UPPER_ASC(:prijmeni) from dual)
@IF(13) and o.ROD_CISLO like nvl(:rodneCislo, '%')
--SEM SE DOPLNI PODMINKY NA KOORDINATORY-V APLIKACI
--KOORDCONDITIONS
@IF(4) and p.zastidno = :zastIdno
@IF(5) and p.financovani = :financovani
@IF(6)     and ( (p.datum_od IS NOT NULL and p.datum_od >= SYSDATE)
@IF(6)       OR ( p.datum_od IS NULL and p.datum_predpokladaneho_vyjezdu IS NOT NULL and p.datum_predpokladaneho_vyjezdu >= SYSDATE ) )
@IF(7)     and ( (p.datum_do IS NOT NULL and p.datum_do <= SYSDATE)
@IF(7)       OR ( p.datum_do IS NULL and p.datum_predpokladaneho_prijezdu IS NOT NULL and p.datum_predpokladaneho_prijezdu <= SYSDATE ) )
@IF(8)     and ( (p.datum_od IS NOT NULL and p.datum_od <= SYSDATE)
@IF(8)       OR ( p.datum_od IS NULL and p.datum_predpokladaneho_vyjezdu IS NOT NULL and p.datum_predpokladaneho_vyjezdu <= SYSDATE ) )
@IF(8)     and ( (p.datum_do IS NOT NULL and p.datum_do >= SYSDATE)
@IF(8)       OR ( p.datum_do IS NULL and p.datum_predpokladaneho_prijezdu IS NOT NULL and p.datum_predpokladaneho_prijezdu >= SYSDATE ) )
@IF(9) and p.rok_platnosti = :rokPrijezdu
@IF(10) and p.os_cislo = :osCislo
@IF(11) and idt_koord.ucitidno(+) = p.UCITIDNO_DC_ADMINISTRACE and idt_koord.id_fakulta = :fakultaKoordinatora
order by o.prijmeni, o.jmeno
) x
where rownum <= nvl(:pageDo,51)
) y
where y.poradi >= nvl(:pageOd,0)
