select /*+ FIRST_ROWS */ * from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(select /*+ FIRST_ROWS */
         v.*,
         skola.statidno as statidno, skola.NAZEV_SKOLY skola_nazev, stat.STAT stat_nazev,
         da.telefon||' '||da.telefon2 ucitidno_dc_administrace_tel,
         da.email ucitidno_dc_administrace_email,
         dp.telefon||' '||dp.telefon2 ucitidno_dc_podpis_tel,
         dp.email ucitidno_dc_podpis_email,
         ia.telefon||' '||ia.telefon2 ucitidno_ic_administrace_tel,
         ia.email ucitidno_ic_administrace_email,
         ip.telefon||' '||ip.telefon2 ucitidno_ic_podpis_tel,
         ip.email ucitidno_ic_podpis_email,
         o.jmeno, o.prijmeni, o.rod_cislo, sp.fakulta_sp fakultaStudenta,
         LOWER ((SELECT fn_meaning2 (s.stav, 'STAV_STUDENTA') FROM DUAL)) stavStudenta,
         (SELECT fn_meaning2(sp.typ, 'TYP_OBORU') FROM DUAL) typProgramu,
         (select fn_email_studenta(v.OS_CISLO) from dual) as emailStudenta
    FROM studenti_vyjezdy v,
         osoby o,
         studenti s,
         studijni_programy sp,
         CIS_SKOL skola,
         CIS_STATU stat,
         UCITELE DA,
         UCITELE DP,
         UCITELE IA,
         UCITELE IP
    WHERE
         v.os_cislo = s.os_cislo 
     and o.osobidno = s.osobidno
     AND s.stpridno = sp.stpridno
     and skola.skolaidno(+) = v.skolaidno
     and stat.statidno(+) = skola.statidno
     and da.ucitidno(+) = v.ucitIdno_Dc_Administrace
     and dp.ucitidno(+) = v.ucitIdno_Dc_Podpis
     and ia.ucitidno(+) = v.ucitIdno_Ic_Administrace
     and ip.ucitidno(+) = v.ucitIdno_Ic_Podpis     
     AND sp.fakulta_sp LIKE NVL (upper(:fakulta), '%')
     and s.stav like nvl(:stavStudenta,'%')
@IF(0) and v.stvyidno = :stvyIdno
@IF(1) and s.os_cislo like nvl(upper(:osCislo), '%')
@IF(2) and (select FN_CS_TO_UPPER_ASC(o.prijmeni) from dual) LIKE (select FN_CS_TO_UPPER_ASC(:prijmeni) from dual)
--SEM SE DOPLNI PODMINKY NA KOORDINATORY-V APLIKACI
--KOORDCONDITIONS
@IF(6) and v.zastidno = :zastIdno
@IF(7) and v.financovani = :financovani
@IF(3)     and ( (v.datum_od IS NOT NULL and v.datum_od >= SYSDATE)
@IF(3)       OR ( v.datum_od IS NULL and v.datum_predpokladaneho_vyjezdu IS NOT NULL and v.datum_predpokladaneho_vyjezdu >= SYSDATE ) )
@IF(4)     and ( (v.datum_do IS NOT NULL and v.datum_do <= SYSDATE)
@IF(4)       OR ( v.datum_do IS NULL and v.datum_predpokladaneho_prijezdu IS NOT NULL and v.datum_predpokladaneho_prijezdu <= SYSDATE ) )
@IF(5)     and ( (v.datum_od IS NOT NULL and v.datum_od <= SYSDATE)
@IF(5)       OR ( v.datum_od IS NULL and v.datum_predpokladaneho_vyjezdu IS NOT NULL and v.datum_predpokladaneho_vyjezdu <= SYSDATE ) )
@IF(5)     and ( (v.datum_do IS NOT NULL and v.datum_do >= SYSDATE)
@IF(5)       OR ( v.datum_do IS NULL and v.datum_predpokladaneho_prijezdu IS NOT NULL and v.datum_predpokladaneho_prijezdu >= SYSDATE ) )
@IF(8) and v.rok_platnosti = :rokVyjezdu
order by prijmeni, jmeno, datum_od, datum_do
) x
where rownum <= nvl(:pageDo,51)
) y
where y.poradi >= nvl(:pageOd,0)
