SELECT  
      os.JMENO||' '||os.PRIJMENI as jmeno,
      FN_EMAIL_STUDENTA(st.os_cislo) email,
      os.prijmeni
FROM osoby OS,
   studenti ST,
   pz_doklady PZD,
   pz_doklady_platby PZDP,
   pz_predpisy PZP,
   studijni_programy SP
WHERE OS.OSOBIDNO = ST.OSOBIDNO
  AND ST.OS_CISLO = PZD.OS_CISLO
  AND PZD.DOKLAD_IDNO = PZDP.DOKLAD_IDNO
  AND PZP.PREDPIS_IDNO = PZD.PREDPIS_IDNO
  AND SP.STPRIDNO = ST.STPRIDNO
  AND PZP.DRUH_PREDPISU in ('PS','P3','P4')
  AND PZDP.DATUM < (sysdate - 0)
  AND PZDP.CASTKA > 0
  AND PZDP.CASTKA > PZDP.CASTKA_VYROVNANO
  AND PZDP.VYROVNANO = 'N'
  AND PZDP.STORNOVANO = 'N'
  AND ST.stav like :stavStudia
ORDER BY 1
