select distinct * from (
(SELECT
  distinct os.JMENO||' '||os.PRIJMENI as jmeno
   , FN_EMAIL_STUDENTA(s.os_cislo) email
  , os.prijmeni prijmeni
FROM
    zs_studenti st,
  studenti s,
  osoby os
WHERE
    st.TEMA_IDNO = :temaIdno
  and os.OSOBIDNO = s.OSOBIDNO
  and s.STAV = 'S'
  and s.os_cislo = st.os_cislo
  and os.osobidno = s.osobidno)
    union
(select distinct
  v.jmeno || ' '|| v.prijmeni JMENO,
  FN_EMAIL_STUDENTA(ss.os_cislo) email,
  v.prijmeni prijmeni
from
    zs_temata tm,
    zs_bloky bl,
    SS_STUDENT_VE_SKUPINE ss,
    ss_skupina_studentu sk,
    VSTUDENTI_NA_PROGRAMU_V_ROCE v
where
  sk.skup_idno = bl.skup_idno
  and tm.TEMA_AUTO_LOGIN = 1
  and ss.skup_idno = sk.skup_idno
  and bl.blok_idno = tm.blok_idno
  and tm.tema_idno = :temaIdno
  and v.OS_CISLO = ss.os_cislo
  and v.ROK_PLATNOSTI = sk.rok_varianty
)) ab
order by ab.prijmeni