select distinct
         sk.skolaidno,
         sk.nazev_skoly||decode(sk.mesto_skoly, null, '', ' - '||sk.mesto_skoly) nazev_skoly,
         s.os_cislo,
         prac.nazev fakulta,
         sp.cz_nazev program,
         fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) as obor,
         dipl.tema_hlavni diplomka,
         svor.rok_platnosti+1 rok
    FROM osoby o,
         studenti s,
         studijni_programy sp,
         studenti_v_roce svor,
         studenti_na_oboru_v_roce snor,
         studijni_plany stpl,
         obory ob,
         kombinace k,
         cis_pracovist prac,
         abn_diplomove_prace dipl,
         cis_skol sk
    WHERE
     o.rod_cislo = :rodCislo
     and o.osobidno = s.osobidno
     AND s.stpridno = sp.stpridno
     AND s.os_cislo = svor.os_cislo
     AND stpl.oboridno = ob.oboridno
     AND snor.stplidno = stpl.stplidno
     AND snor.os_cislo = svor.os_cislo
     AND snor.rok_platnosti = svor.rok_platnosti
     AND k.kombidno(+) = svor.kombidno
     and prac.zkr = sp.fakulta_sp
     and svor.rok_platnosti = fn_rok(s.os_cislo)
     and dipl.os_cislo(+) = s.os_cislo
     and dipl.tisknout(+) = 'A'
     and sk.skolaidno = 1
order by rok desc, os_cislo
