SELECT ps.*, pr.fakulta_sp fakulta, pr.typ typ_programu, pr.kodsp_i programKod, pr.celozivotni_vzdelavani celozivotni_vzdelavani
FROM
  pr_uchazeci_www uch,
  pr_rizeni_www rizeni,
  PR_SPOJOVACI ps,
  studijni_programy pr
WHERE
  uch.rod_cislo = :rodCislo
  and uch.osob_idno = rizeni.osob_idno
  and ps.global_idno = rizeni.global_idno
  and rizeni.rok = to_char(add_months(sysdate, 13-nvl(pg_cti_parametry.CTI_CISLO_FAK('EPR_PRELOM_ROKU', pr.fakulta_sp), 9)), 'RRRR')
  -- pridano 3.11.2010 - beru jen aktualni prihlasky, vsude
  and ps.rok = rizeni.rok
  and ps.stpridno = pr.stpridno