/* cetnosti vstup dotaidno, prac_zkr, zkr_predm, rok_varianty, roakidno, tdtvidno, doutidno */
select 
  x.hodnota,
  x.bodovani,
  nvl(y.pocet,0) odpovedi
from 
  (select
    so.odpoidno,
    so.hodnota,
    so.poradi,
    so.bodovani
   from
    eva_odpovedi so,
    eva_typdot_tvrzeni tt
   where
    tt.tdtvidno = :tdtvidno 
    and so.saodidno = tt.saodidno
    and nvl(so.textova_odpoved,'N') = 'N'
    and nvl(so.implicitni,'N') = 'N'
   UNION 
    select
     so.odpoidno,
     so.hodnota,
     so.poradi,
     so.bodovani
   from
     eva_odpovedi so,
     eva_dot_ucitel_tvrz du
   where
    du.doutidno = :doutidno
    and so.saodidno = du.saodidno
    and nvl(so.textova_odpoved,'N') = 'N'
    and nvl(so.implicitni,'N') = 'N')X,
  (select 
    odp.odpoidno,  
    count(odp.odreidno) pocet
  from   
    eva_respondenti re,
    eva_resp_objekt ro,
    eva_odpovedi_resp odp
  where 
    re.dotaidno = :dotaidno 
  and re.username is NULL
  and ro.respidno = re.respidno
  and ro.prac_zkr = :prac_zkr 
  and ro.zkr_predm = :zkr_predm 
  and ro.rok_varianty like nvl(:rok_varianty,'%') 
  and odp.reobidno = ro.reobidno
  and( :tdtvidno is not NULL 
        and odp.tdtvidno = :tdtvidno 
      or 
       :doutidno is not NULL
        and odp.doutidno = :doutidno
      )
   and (:roakidno is null 
     or exists 
       (select * from eva_rozvrh_akce ra where ra.reobidno = ro.reobidno and ra.roakidno = :roakidno)   
      ) 
group by
  odp.odpoidno) Y 
where 
X.ODPOIDNO = Y.ODPOIDNO (+)
order by x.poradi
