SELECT
  dot.dotaidno,
  td.zkr,
  td.popis,
  dot.skolni_rok,
  dot.semestr,
  dot.VETOVANI,
  dot.UZAVRENI,
  dot.OTEVRENI,
  dot.DATUM_ZVER_REAK,
    nvl((select max(nvl(om.hodnota_polozky,'A'))
      from
        eva_omezeni_resp om,
        eva_polozky_zahlavi zp
     where
      om.zapoidno = zp.zapoidno
      and zp.zkr = 'predmet'
      and om.tydoidno = dot.tydoidno),'A') as typ_dotazniku,
      nvl(trim(PG_EVA.cti_parametr1(dot.tydoidno,'publicprip')),'N') as zverejneni_podepsanych_prip,
      nvl(trim(PG_EVA.cti_parametr1(dot.tydoidno,'xzverejnitprip')),'N') as zverejneni_anonym_prip ,
      nvl(trim(PG_EVA.cti_parametr1(dot.tydoidno,'zobranonympripsreak')),'N') as zverejneni_anonym_prip_s_reak,
      nvl(trim(PG_EVA.cti_parametr1(dot.tydoidno,'vyuc_vklozeni_koment')),'A') as vyuc_vkloz_kom_k_predm,
      --trim(PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')) as pocet_dni_na_reakce,
      to_date(decode(trim(PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),null,null,'-1',null,dot.UZAVRENI+PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),'DD.MM.RRRR') as deadline_reakce,
      decode(trim(PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),null,'A','-1','A',decode(fn_zive_datum(dot.UZAVRENI+PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce'),to_date('23:59','HH24:MI')),0,'N',1,'A')) as vkladani_reakci

from
  eva_dotazniky dot,
  eva_typ_dotazniku td
where
    dot.SKOLNI_ROK like nvl(:rok,'%')
    and dot.SEMESTR like nvl(:semestr,'%')
    and dot.TYDOIDNO = td.TYDOIDNO
    and (select count(*)
      from
        eva_omezeni_resp om,
        eva_polozky_zahlavi zp
     where
      om.zapoidno = zp.zapoidno
      and zp.zkr = 'predmet'
      and om.hodnota_polozky = 'B'
      and om.tydoidno = dot.tydoidno)  = 0
union
SELECT
  dot.dotaidno,
  td.popis||'  ('||dp.prac_zkr||'/'||dp.zkr_predm||')' as zkr,
  dp.prac_zkr||'/'||dp.zkr_predm as popis,
  dot.skolni_rok,
  dot.semestr,
  dot.VETOVANI,
  dot.UZAVRENI,
  dot.OTEVRENI,
  dot.DATUM_ZVER_REAK,
  'B' as typ_dotazniku,
  nvl(trim(PG_EVA.cti_parametr1(dot.tydoidno,'publicprip')),'N') as zverejneni_podepsanych_prip,
  nvl(trim(PG_EVA.cti_parametr1(dot.tydoidno,'xzverejnitprip')),'N') as zverejneni_anonym_prip ,
  nvl(trim(PG_EVA.cti_parametr1(dot.tydoidno,'zobranonympripsreak')),'N') as zverejneni_anonym_prip_s_reak,
  nvl(trim(PG_EVA.cti_parametr1(dot.tydoidno,'vyuc_vklozeni_koment')),'A') as vyuc_vkloz_kom_k_predm,
  --trim(PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')) as pocet_dni_na_reakce,
  to_date(decode(trim(PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),null,null,'-1',null,dot.UZAVRENI+PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),'DD.MM.RRRR') as deadline_reakce,
  decode(trim(PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce')),null,'A','-1','A',decode(fn_zive_datum(dot.UZAVRENI+PG_EVA.cti_parametr1(dot.tydoidno,'pocetdninareakce'),to_date('23:59','HH24:MI')),0,'N',1,'A')) as vkladani_reakci

from
  eva_dotazniky dot,
  eva_typ_dotazniku td,
  eva_dot_predmet dp
where
    dot.SKOLNI_ROK like nvl(:rok,'%')
    and dot.SEMESTR like nvl(:semestr,'%')
    and dot.TYDOIDNO = td.TYDOIDNO
    and (select count(*)
      from
        eva_omezeni_resp om,
        eva_polozky_zahlavi zp
     where
      om.zapoidno = zp.zapoidno
      and zp.zkr = 'predmet'
      and om.hodnota_polozky = 'B'
      and om.tydoidno = dot.tydoidno)  = 1
      and dp.dotaidno = dot.dotaidno
      --and (select pg_eva.get_role_predmet(.p_ucitidno, dp.dopridno) from dual) is not null
      and (select pg_eva.get_ma_pravo_na_predmet(:p_ucitidno,:p_role,:p_prac,dp.dopridno) from dual) = 'A'
order by semestr desc, OTEVRENI, zkr


