 /* garantovane predmety ucitele,  vstup rok, semestr, ucitidno */
 select
    'predmet' as typ_objektu,
    'GA' as role,
    dot.dotaidno,
    dot.VETOVANI,
    dot.UZAVRENI,
    TD.ZKR,
    DECODE (td.popis, 'Typ B', 'Samostatná anketa - Vypsal:' || U.JMENO || ' ' || U.PRIJMENI, td.popis|| '(' || to_char(dot.OTEVRENI,'DD.MM.RRRR') ||' - '||to_char(dot.UZAVRENI,'DD.MM.RRRR')||')') as popis,
    pv.prac_zkr as zkr_kat,
    pv.zkr_predm as zkr_pred,
    pv.prac_zkr || '/'||pv.zkr_predm as zkratka,
    pv.rok_varianty,
    dot.semestr,
    dp.dopridno,
    dp.zverejneno,
    pv.cz_nazev as nazev,
    st.studentu as zapsanych,
    st.respondentu as odpovedelo,
    nvl(trim(PG_EVA.cti_parametr1(td.tydoidno,'vyuc_vklozeni_koment')),'A') as vyuc_vkloz_kom_k_predm,
    pg_eva.get_vyucujici_predm(dot.dotaidno, pv.prac_zkr,pv.zkr_predm,pv.rok_varianty) as vyucujici

 from
    eva_dotazniky dot,
    eva_typ_dotazniku td,
    eva_dot_predmet dp,
    pred_varianty pv,
    eva_statistiky_objekt st,
    ucitele_predmetu up,
     ucitele u
 where
    dot.skolni_rok = :rok
    and dot.semestr like :semestr
    and td.tydoidno = dot.tydoidno
    and dp.dotaidno = dot.dotaidno
    and pv.prac_zkr = dp.prac_zkr
    and pv.zkr_predm = dp.zkr_predm
    and pv.rok_varianty = dp.rok_varianty
    and up.prac_zkr = pv.prac_Zkr
    and up.zkr_predm = pv.zkr_predm
    and up.rok_varianty = pv.rok_varianty
    and up.ucitidno = :ucitidno
    and up.garant ='A'
    and st.dotaidno = dot.dotaidno
    and st.prac_zkr = dp.prac_Zkr
    and st.zkr_predm = dp.zkr_predm
    and st.rok_varianty  = dp.rok_varianty
    and st.sluzidno is null
    and st.roakidno is null
    and st.ucitidno is null
    and st.statut_zapisu is null
     and DOT.UCITIDNO = U.UCITIDNO(+)
order by zkratka asc     
