-- byly pridany dva hinty  /*+ ORDERED */ a prehazeno kvuli tomu
-- poradi tabulek ve FROM, slo to z peti minut na 1-4s
SELECT
     ODPOVEDI.FAKULTA,
     cp.NAZEV,
     nvl(PRIPOMINEK.PRIPOMINEK_A,0) PRIPOMINEK_A,
     nvl(PUB_PRIP.PRIPOMINEK_PUB,0) PRIPOMINEK_P,
     ODPOVEDI.PREDMETU              ,
     ODPOVEDI.RESPONDENTU,
     ODPOVEDI.ODPOVEDI              ,
     ODPOVEDI.BODU                  ,
     round(ODPOVEDI.PRUMER,2) PRUMER
     FROM
     cis_pracovist cp,
     (
     SELECT /*+ ORDERED */
             DECODE(cp.typ_prac,'F',cp.ZKR,cp.NAD_PRAC_ZKR) fakulta,
             COUNT(DISTINCT dp.dopridno) PREDMETU                      ,
             COUNT(DISTINCT re.respidno) RESPONDENTU               ,
         COUNT(odp.odreidno) odpovedi                           ,
         SUM(so.bodovani) bodu                                       ,
         AVG(so.bodovani) prumer
         FROM eva_dotazniky dot,
             eva_respondenti re,
             eva_resp_objekt ro,
             eva_dot_predmet dp,
             eva_odpovedi_resp odp,
             eva_odpovedi so,
             cis_pracovist cp
         WHERE
             dot.dotaidno= :dotaidno
            and  re.dotaidno = dot.dotaidno
            and re.username is null
            and ro.respidno = re.respidno
            and odp.reobidno = ro.reobidno
            and dp.prac_zkr = ro.prac_zkr
            and dp.zkr_predm = ro.zkr_predm
            and dp.rok_varianty = ro.rok_varianty
            and dp.dotaidno = dot.dotaidno
            and so.odpoidno = odp.odpoidno
            /*and  nvl(so.implicitni,'N') = 'N'
            and  nvl(so.textova_odpoved,'N') = 'N'*/
            and (:tdtvidno is null OR
                 (:tdtvidno is not null AND odp.tdtvidno = :tdtvidno))
            and(:doutidno is null OR
                 (:doutidno is not null AND odp.doutidno = :doutidno))
     AND cp.zkr                 = dp.prac_zkr
    GROUP BY DECODE(cp.typ_prac,'F',cp.ZKR,cp.NAD_PRAC_ZKR)
     ) ODPOVEDI                                                  ,
    (
    SELECT /*+ ORDERED */ DECODE(cp.typ_prac,'F',cp.ZKR,cp.NAD_PRAC_ZKR) fakulta,
     count(ro.reobidno) pripominek_a
        FROM
         eva_dotazniky dot,
         eva_respondenti re,
         eva_resp_objekt ro,
         eva_dot_predmet dp,
         cis_pracovist cp
 WHERE
     dot.dotaidno = :dotaidno
     AND re.dotaidno = dot.dotaidno
     and re.username is null
     and ro.respidno = re.respidno
     and trim(ro.pripominka) is not null
     and dp.prac_zkr = ro.prac_zkr
     and dp.zkr_predm = ro.zkr_predm
     and dp.rok_varianty = ro.rok_varianty
     and dp.dotaidno = dot.dotaidno
     AND cp.zkr              = dp.prac_zkr
 GROUP BY DECODE(cp.typ_prac,'F',cp.ZKR,cp.NAD_PRAC_ZKR)
 ) PRIPOMINEK,
 (
 SELECT
     DECODE(cp.typ_prac,'F',cp.ZKR,cp.NAD_PRAC_ZKR) fakulta,
     COUNT(*) pripominek_PUB
        FROM eva_pripominky pp,
     eva_dot_predmet dp,
     cis_pracovist cp
     WHERE pp.dotaidno = :dotaidno
     AND dp.dotaidno = pp.dotaidno
     and dp.prac_zkr = pp.prac_Zkr
     and dp.zkr_predm = pp.zkr_predm
     and dp.rok_varianty = pp.rok_varianty
     AND cp.zkr              = dp.prac_zkr
 GROUP BY DECODE(cp.typ_prac,'F',cp.ZKR,cp.NAD_PRAC_ZKR)
 ) PUB_PRIP
 WHERE ODPOVEDI.FAKULTA = PRIPOMINEK.FAKULTA(+)
 AND ODPOVEDI.FAKULTA = PUB_PRIP.FAKULTA(+)
 and odpovedi.fakulta = cp.ZKR
 order by fakulta