select count(eor.ODPOIDNO) as pocet, eor.ODPOIDNO, eo.HODNOTA, eo.BODOVANI, ezr.HODNOTA_POLOZKY as fakulta,cp.NAZEV as fakulta_nazev, 2 as pomporadi
  from eva_respondenti er,
       eva_resp_objekt ero,
       eva_odpovedi_resp eor,
       eva_typdot_tvrzeni ett,
       eva_odpovedi eo,
       eva_zahlavi_resp ezr,
       eva_zahlavi ez,
       eva_polozky_zahlavi epz,
       cis_pracovist cp
       --eva_sady_odpovedi eso
   where er.DOTAIDNO = :dotaidno
   and ero.RESPIDNO = er.RESPIDNO
   and ero.SLUZIDNO = :sluzidno
   and eor.REOBIDNO = ero.REOBIDNO
   and ett.TDTVIDNO = eor.TDTVIDNO
   and ett.SATVIDNO = :satvidno
   and ezr.RESPIDNO = er.RESPIDNO
   and ezr.ZAHLIDNO = ez.ZAHLIDNO
   and ez.ZAPOIDNO = epz.ZAPOIDNO
   and epz.ZKR = 'fakulta'
   and cp.ZKR = ezr.HODNOTA_POLOZKY
   --and eo.SAODIDNO = ett.SAODIDNO
   and eor.ODPOIDNO = eo.ODPOIDNO
   and eo.IMPLICITNI = 'N'
   group by eor.ODPOIDNO, eo.HODNOTA, eo.BODOVANI, ezr.HODNOTA_POLOZKY,cp.NAZEV
union
select count(eor.ODPOIDNO) as pocet, eor.ODPOIDNO, eo.HODNOTA, eo.BODOVANI, '-' as fakulta, '-' as fakulta_nazev, 1 as pomporadi
  from eva_respondenti er,
       eva_resp_objekt ero,
       eva_odpovedi_resp eor,
       eva_typdot_tvrzeni ett,
       eva_odpovedi eo
   where er.DOTAIDNO = :dotaidno
   and ero.RESPIDNO = er.RESPIDNO
   and ero.SLUZIDNO = :sluzidno
   and eor.REOBIDNO = ero.REOBIDNO
   and ett.TDTVIDNO = eor.TDTVIDNO
   and ett.SATVIDNO = :satvidno
   --and eo.SAODIDNO = ett.SAODIDNO
   and eor.ODPOIDNO = eo.ODPOIDNO
   and eo.IMPLICITNI = 'N'
   group by eor.ODPOIDNO,eo.HODNOTA, eo.BODOVANI
   order by pomporadi, fakulta, BODOVANI desc