--select na texotve odpovedi pro konkretni dotaznik, predmet (nebo RA predmetu) a tvrzeni.
  select
    odp.TEXT_ODPOVED
  from
    eva_respondenti re,
    eva_resp_objekt ro,
    eva_odpovedi_resp odp
  where
    re.dotaidno = :dotaidno
  and re.username is NULL
  and ro.respidno = re.respidno
  and ro.prac_zkr = :prac_zkr
  and ro.zkr_predm = :zkr_predm
  and ro.rok_varianty = nvl(:rok_varianty,ro.ROK_VARIANTY)
  and odp.reobidno = ro.reobidno
  and( :tdtvidno is not NULL
        and odp.tdtvidno = :tdtvidno
      or
       :doutidno is not NULL
        and odp.doutidno = :doutidno
      )
   and (:roakidno is null
     or exists
       (select * from eva_rozvrh_akce ra where ra.reobidno = ro.reobidno and ra.roakidno = :roakidno)
      )
   order by re.DATE_OF_UPDATE, re.RESPIDNO