 SELECT
			ra.typakce,
		 'ra' as typ,
		 uc.UCITIDNO,
		 fn_get_ucitel(uc.ucitidno,'PJ','A') as ucitel,
		 fn_get_ucitel(uc.ucitidno,'JP','A') as ucitel_jp
 FROM
		 Rozvrh_Akce RA,
		 ucitele uc,
		 eva_resp_objekt ro,
		 eva_rozvrh_akce era
 WHERE
		 RA.UcitIDNO = uc.ucitidno
		 and ro.REOBIDNO = :reobidno
		 and era.REOBIDNO = ro.REOBIDNO
		 and ra.ROAKIDNO = era.ROAKIDNO
		 and RA.PRAC_ZKR = ro.PRAC_ZKR
		 and RA.ZKR_PREDM = ro.ZKR_PREDM
		 and RA.ROK_VARIANTY = ra.ROK_VARIANTY
		 and RA.platnost = 'A'

 UNION
 SELECT
		 ra.typakce,
		 'ra' as typ,
		 uc.UCITIDNO,
		 fn_get_ucitel(uc.ucitidno,'PJ','A') as ucitel,
		 fn_get_ucitel(uc.ucitidno,'JP','A') as ucitel_jp
 FROM
		 Rozvrh_Akce RA,
		 UC_Rozvrhove_Akce URA,
		 ucitele uc,
		 eva_resp_objekt ro,
		 eva_rozvrh_akce era
 WHERE
		 URA.RoAkIDNO = RA.RoAkIDNO
		 AND URA.UcitIDNO = uc.ucitidno
		 and ro.REOBIDNO = :reobidno
		 and era.REOBIDNO = ro.REOBIDNO
		 and ra.ROAKIDNO = era.ROAKIDNO
		 and RA.PRAC_ZKR = ro.PRAC_ZKR
		 and RA.ZKR_PREDM = ro.ZKR_PREDM
		 and RA.ROK_VARIANTY = ra.ROK_VARIANTY
		 and RA.platnost = 'A'

 UNION
 SELECT
		 upx.garant || upx.prednasejici || upx.cvicici || upx.seminarici as typakce,
		 'pr' as typ,
		 UPX.UCITIDNO,
		 fn_get_ucitel(upx.UCITIDNO,'PJ','A') as ucitel,
		 fn_get_ucitel(upx.UCITIDNO,'JP','A') as ucitel_jp
 FROM
		 UCITELE_PREDMETU UPX,
		 eva_resp_objekt ro
 WHERE
			ro.REOBIDNO = :reobidno
			and upx.PRAC_ZKR = ro.PRAC_ZKR
			and upx.ZKR_PREDM = ro.ZKR_PREDM
			and upx.ROK_VARIANTY = ro.ROK_VARIANTY
 order by ucitel

