select distinct * from (
select k.datum, k.rozvrh_den as uci_se_jako, cg1.rv_low_value as realnej_den,
  k.typ_tydne typ_tydne, k.cislo_tydne
from
  kalendar k,
  cg_ref_codes cg1
where
  rok_platnosti = :rok
  and cg1.RV_DOMAIN = 'DEN'
  and cg1.PORADI = to_char(k.datum, 'D')
  and cg1.RV_LOW_VALUE <> k.rozvrh_den
  and k.TYP_ROZVRH_DNE in ('ZS','LS')
  and k.rozvrh_den <> 'Sv'
  and k.rozvrh_den <> 'Rd'
union
select k.datum, k.rozvrh_den as uci_se_jako, k.rozvrh_den as realnej_den,
  decode(k.typ_tydne, 'L', 'S', 'S', 'L') typ_tydne, k.cislo_tydne
from
  kalendar k,
  cg_ref_codes cg1
where
  rok_platnosti = :rok
  and k.TYP_ROZVRH_DNE in ('ZS','LS')
  and k.rozvrh_den <> 'Sv'
  and k.rozvrh_den <> 'Rd'
  and cg1.RV_DOMAIN = 'DEN'
  and cg1.PORADI = to_char(k.datum, 'D')
  and cg1.RV_LOW_VALUE = k.rozvrh_den
  and k.TYP_TYDNE <> (select case when avg( decode(k2.typ_tydne, 'L', 0, 'S', 1) ) <= 0.5 then 'L' else 'S' end
        from kalendar k2 where k2.rok_platnosti = :rok and to_char(k.datum,'IW') = to_char(k2.datum,'IW'))
)
order by datum