select ma.*,ms.PRAC_ZKR,ms.zkr_predm,fn_get_ucitel(ma.ucitidno,'JP','A') as ucitel from (
        ( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty
          FROM Rozvrh_Akce RA WHERE RA.UcitIDNO = :ucitIdNo
          AND RA.platnost = 'A'
        ) UNION
        ( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty
          FROM Rozvrh_Akce RA, UC_Rozvrhove_Akce URA WHERE URA.RoAkIDNO = RA.RoAkIDNO AND URA.UcitIDNO = :ucitIdNo
          AND RA.platnost = 'A'
        ) UNION
        ( SELECT UPX.Prac_Zkr AS Prac_Zkr, UPX.Zkr_Predm AS Zkr_Predm, UPX.Rok_Varianty AS Rok_Varianty
          FROM UCITELE_PREDMETU UPX WHERE UPX.UcitIDNO = :ucitIdNo
        )
     )UP, upa_pred_materialy ma, upa_pred_mater_spoj ms
where
     up.ROK_VARIANTY = :rok
     and ma.ZVEREJNIT_U = 'A'
     and ms.PRAC_ZKR=up.PRAC_ZKR
     and ms.zkr_predm = up.zkr_predm
     and ms.ROK_VARIANTY = up.rok_varianty
     and ma.ID_SOUBORU=ms.id_souboru
order by ma.date_of_insert desc