select c.ZKR,c.TYP_PRAC,cp.ROCNI,null as ROK_PLATNOSTI_OD,null as ROK_PLATNOSTI_DO,
       decode(:par_lang,'cs',c.NAZEV,c.AN_NAZEV) as nazev,
       nvl((select pg_cti_parametry.cti_retezec_kat(cp.NAZEV,c.zkr) from dual),nvl(to_char((select pg_cti_parametry.cti_cislo_kat(cp.NAZEV,c.zkr) from dual)),to_char((select pg_cti_parametry.cti_datum_kat(cp.NAZEV,c.zkr) from dual),'DD.MM.YYYY HH24:MI'))) as hodnota,
       nvl2((select nvl(ps2.hodnota_char,nvl(to_char(ps2.hodnota_num),to_char(ps2.hodnota_date,'DD.MM.YYYY HH24:MI')) ) from parametry_stagu ps2 where ps2.NAZEV = cp.NAZEV and ps2.FAKULTA = c.ZKR ),'N','A') as dedi,
       c.NAD_PRAC_ZKR,
       (select count(distinct PSRPOM.ROK_PLATNOSTI_OD||'-'||PSRPOM.ROK_PLATNOSTI_DO ) from parametry_stagu_rok psrPom where psrPom.NAZEV = cp.NAZEV) as pocet_rocnich_nastaveni,
       --(select max(count(PSRPOM.FAKULTA)) from parametry_stagu_rok psrPom where psrPom.NAZEV = cp.NAZEV group by PSRPOM.FAKULTA) as pocet_rocnich_nastaveni,
       --(select count(*) from parametry_stagu_rok psrPom where psrPom.NAZEV = cp.NAZEV) as pocet_rocnich_nastaveni,
       decode(c.zkr,'REK',0,1) pom
  from cis_parametru cp,
       cis_pracovist c
 where upper(cp.NAZEV) = upper(:par_nazev)
   AND (select fn_cs_to_upper_asc(c.ZKR) from dual) like nvl((select fn_cs_to_upper_asc(:par_prac) from dual),'%')
@IF(0)    and nvl(c.PLATNOST_DO,sysdate) >= sysdate
@IF(0)    and nvl(c.PLATNOST_OD,sysdate) <= sysdate
union all
 select distinct c.ZKR,c.TYP_PRAC,cp.ROCNI,psr.ROK_PLATNOSTI_OD,psr.ROK_PLATNOSTI_DO,
       decode(:par_lang,'cs',c.NAZEV,c.AN_NAZEV) as nazev,
       nvl((select pg_cti_parametry.cti_retezec_rok_kat(cp.NAZEV,psr.ROK_PLATNOSTI_OD,c.zkr) from dual),nvl(to_char((select pg_cti_parametry.cti_cislo_rok_kat(cp.NAZEV,psr.ROK_PLATNOSTI_OD,c.zkr) from dual)),to_char((select pg_cti_parametry.cti_datum_rok_kat(cp.NAZEV,psr.ROK_PLATNOSTI_OD,c.zkr) from dual),'DD.MM.YYYY HH24:MI'))) as hodnota,
       nvl2((select nvl(ps2.hodnota_char,nvl(to_char(ps2.hodnota_num),to_char(ps2.hodnota_date,'DD.MM.YYYY HH24:MI')) ) from parametry_stagu ps2 where ps2.NAZEV = cp.NAZEV and ps2.FAKULTA = c.ZKR ),'N','A') as dedi,
       c.NAD_PRAC_ZKR,
       (select count(distinct PSRPOM.ROK_PLATNOSTI_OD||'-'||PSRPOM.ROK_PLATNOSTI_DO ) from parametry_stagu_rok psrPom where psrPom.NAZEV = cp.NAZEV) as pocet_rocnich_nastaveni,
       --(select max(count(PSRPOM.FAKULTA)) from parametry_stagu_rok psrPom where psrPom.NAZEV = cp.NAZEV group by PSRPOM.FAKULTA) as pocet_rocnich_nastaveni,
       --(select count(*) from parametry_stagu_rok psrPom where psrPom.NAZEV = cp.NAZEV) as pocet_rocnich_nastaveni,
       decode(c.zkr,'REK',0,1) pom
  from parametry_stagu_rok psr,
       cis_parametru cp,
       cis_pracovist c
 where upper(cp.NAZEV) = upper(:par_nazev)
   AND (select fn_cs_to_upper_asc(c.ZKR) from dual) like nvl((select fn_cs_to_upper_asc(:par_prac) from dual),'%')
@IF(0)    and nvl(c.PLATNOST_DO,sysdate) >= sysdate
@IF(0)    and nvl(c.PLATNOST_OD,sysdate) <= sysdate
   and cp.ROCNI = 'A'
   and psr.NAZEV = cp.NAZEV
   --and psr.FAKULTA = c.ZKR
 order by pom,TYP_PRAC,ZKR, ROK_PLATNOSTI_OD nulls first