SELECT DISTINCT zs.prac_zkr, zs.zkr_predm, blok.navrhovat_do_kdy as datum,
         zs.prac_zkr||'/'||zs.zkr_predm||', Mezní termín navrhování témat - okruh:'||
         blok.blok_nazev||' ('||blok.blok_popis||')' as popis
FROM
        ss_student_ve_skupine stud,
        ss_skupina_studentu zs,
        zs_bloky blok
WHERE
        stud.OS_CISLO = :os_cislo
        and blok.skup_idno = stud.skup_idno
        and blok.mohou_navrhovat = 1
        and blok.navrhovat_do_kdy is not null
        and blok.skup_idno = zs.skup_idno
        and zs.prac_zkr like :prac_zkr
        and zs.zkr_predm like :zkr_predm
        -- nejsem nikam zapsanej ani nemam navrzene a schvalene zadne tema
        and not exists ( select tema2.tema_IDNO from zs_studenti stud, ZS_TEMATA tema2
          where stud.os_cislo = :os_cislo and stud.TEMA_IDNO = tema2.tema_IDNO
          and tema2.blok_IDNO = blok.blok_IDNO )
        and not exists ( select tema3.tema_IDNO from ZS_TEMATA tema3
          where tema3.navrhl_os_cislo = stud.OS_CISLO and tema3.stav = 2
          and tema3.blok_IDNO = blok.blok_IDNO )
ORDER BY datum
