SELECT DISTINCT zs.prac_zkr, zs.zkr_predm, blok.PRIHLASENI_DO as datum,
         zs.prac_zkr||'/'||zs.zkr_predm||', Mezní termín přihlášení na téma - okruh:'||
         blok.blok_nazev||' ('||blok.blok_popis||')' as popis
FROM
        ss_student_ve_skupine stud,
        ss_skupina_studentu zs,
        zs_bloky blok
WHERE
        stud.OS_CISLO = :os_cislo
        and blok.skup_idno = stud.skup_idno
        and blok.PRIHLASENI_DO is not null
        and blok.skup_idno = zs.skup_idno
        and zs.prac_zkr like :prac_zkr
        and zs.zkr_predm like :zkr_predm
        and not exists ( select tema2.tema_IDNO from zs_studenti stud, ZS_TEMATA tema2
          where stud.os_cislo = stud.OS_CISLO and stud.TEMA_IDNO = tema2.tema_IDNO
          and tema2.blok_IDNO = blok.blok_IDNO )
ORDER BY datum
