SELECT PV.PRAC_ZKR, -- katedra
       PV.ZKR_PREDM, -- zkratka predmetu
       PV.CZ_NAZEV, -- cesky kratky nazev predmetu
       PV.CZ_NAZEV_DLOUHY, -- cesky dlouhy nazev predmetu, nemusi byt vyplnen, pouziva se hlavne u statnic apod.
       PV.CZ_ANOTACE, -- anotace predmetu v ceskem jazyce
       PV.VYUKA_ZS, -- zda se uci v zimnim semestru
       PV.VYUKA_LS -- zda se uci v letnim semestru
  FROM pred_varianty PV
 WHERE PV.PRAC_ZKR = :zkr_kat -- parametr pro katedru
   AND PV.ROK_VARIANTY = :rok_varianty -- parametr pro akademicky rok
   AND PV.AKRED = :akreditovan -- parametr pro jen akreditovane predmety
-- platnost predmetu je dana tim, ze je pro dany akademicky rok pripravena jeho verze
-- ucitele mohou byt k predmetu v pomeru N:1, tj. select by vybral vice radek