select
    p.prac_zkr as pk_prac_zkr,
    p.zkr_predm as pk_zkr_predm,
    p.rok_varianty as pk_rok_varianty,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev_predmetu

from
    pred_varianty p

where
    ((translate(nls_upper(p.CZ_NAZEV ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN')
        like  translate(nls_upper(NVL(:nazev, '%') ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%'))
    OR (translate(nls_upper(p.AN_NAZEV ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN')
        like  translate(nls_upper(NVL(:nazev, '%') ,'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')))
    And p.ROK_VARIANTY = nvl(:rok, (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE)))

order by
    p.CZ_NAZEV,
    p.PRAC_ZKR,
    p.ZKR_PREDM,
    p.ROK_VARIANTY
