SELECT studenti_predmetu.cisoboru || ' - ' || studenti_predmetu.cz_nazev obor_nazev, studenti_predmetu.cz_nazev sort1, studenti_predmetu.cisoboru sort2,
       studenti_predmetu.standard_rok rocnik, pocet_stud_predm a, pocet_stud_rok b, pocet_stud_rok_min c,
       (pocet_stud_predm/pocet_stud_rok * pocet_stud_rok_min ) as MEZIVYSLEDEK FROM
(SELECT COUNT(*) as pocet_stud_predm, O.cisoboru, O.cz_nazev, STVR.standard_rok
  FROM
     studenti_na_oboru_v_roce SNOR,
     studenti_v_roce STVR,
     studijni_plany SP,
     obory O,
     znamky Z
  WHERE
     SNOR.rok_platnosti = :rok
     and SNOR.os_cislo = STVR.os_cislo
     and SNOR.rok_platnosti = STVR.rok_platnosti
     and SNOR.stplidno = SP.stplidno
     and SP.oboridno = O.oboridno
     and Z.prac_zkr = :katedra
     and Z.zkr_predm = :predmet
     and SNOR.os_cislo = Z.os_cislo
     and SNOR.rok_platnosti = Z.rok_platnosti
     and SNOR.stplidno = Z.stplidno
  GROUP BY O.cisoboru, O.cz_nazev, STVR.standard_rok
) STUDENTI_PREDMETU,
(SELECT COUNT(*) as pocet_stud_rok, O.cisoboru, STVR.standard_rok
  FROM
     studenti_na_oboru_v_roce SNOR,
     studenti_v_roce STVR,
     studijni_plany SP,
     obory O
  WHERE
     SNOR.rok_platnosti = :rok
     and SNOR.os_cislo = STVR.os_cislo
     and SNOR.rok_platnosti = STVR.rok_platnosti
     and SNOR.stplidno = SP.stplidno
     and SP.oboridno = O.oboridno
  GROUP BY O.cisoboru, STVR.standard_rok
  )  STUDENTI_ROCNIKU,
(SELECT COUNT(*) as pocet_stud_rok_min, O.cisoboru, STVR.standard_rok
  FROM
     studenti_na_oboru_v_roce SNOR,
     studenti_v_roce STVR,
     studijni_plany SP,
     obory O
  WHERE
     SNOR.rok_platnosti = :rok
     and SNOR.os_cislo = STVR.os_cislo
     and SNOR.rok_platnosti = STVR.rok_platnosti
     and SNOR.stplidno = SP.stplidno
     and SP.oboridno = O.oboridno
  GROUP BY O.cisoboru, STVR.standard_rok
) STUDENTI_ROCNIKU_MIN1
WHERE STUDENTI_ROCNIKU.cisoboru = STUDENTI_PREDMETU.cisoboru
  and STUDENTI_ROCNIKU.cisoboru = STUDENTI_ROCNIKU_MIN1.cisoboru
  and STUDENTI_ROCNIKU.standard_rok = STUDENTI_PREDMETU.standard_rok
  and STUDENTI_ROCNIKU.standard_rok = STUDENTI_ROCNIKU_MIN1.standard_rok + 1
  and STUDENTI_ROCNIKU.standard_rok > 1
UNION
SELECT studenti_predmetu.cisoboru || ' - ' || studenti_predmetu.cz_nazev obor_nazev, studenti_predmetu.cz_nazev sort1, studenti_predmetu.cisoboru sort2,
       studenti_predmetu.standard_rok rocnik, pocet_stud_predm a, pocet_stud_rok b, pocet_stud_rok c,
       (pocet_stud_predm) as MEZIVYSLEDEK FROM
(SELECT COUNT(*) as pocet_stud_predm, O.cisoboru, O.cz_nazev, STVR.standard_rok
  FROM
     studenti_na_oboru_v_roce SNOR,
     studenti_v_roce STVR,
     studijni_plany SP,
     obory O,
     znamky Z
  WHERE
     SNOR.rok_platnosti = :rok
     and SNOR.os_cislo = STVR.os_cislo
     and SNOR.rok_platnosti = STVR.rok_platnosti
     and SNOR.stplidno = SP.stplidno
     and SP.oboridno = O.oboridno
     and Z.prac_zkr = :katedra
     and Z.zkr_predm = :predmet
     and SNOR.os_cislo = Z.os_cislo
     and SNOR.rok_platnosti = Z.rok_platnosti
     and SNOR.stplidno = Z.stplidno
  GROUP BY O.cisoboru, O.cz_nazev, STVR.standard_rok
) STUDENTI_PREDMETU,
(SELECT COUNT(*) as pocet_stud_rok, O.cisoboru, STVR.standard_rok
  FROM
     studenti_na_oboru_v_roce SNOR,
     studenti_v_roce STVR,
     studijni_plany SP,
     obory O
  WHERE
     SNOR.rok_platnosti = :rok
     and SNOR.os_cislo = STVR.os_cislo
     and SNOR.rok_platnosti = STVR.rok_platnosti
     and SNOR.stplidno = SP.stplidno
     and SP.oboridno = O.oboridno
  GROUP BY O.cisoboru, STVR.standard_rok
  )  STUDENTI_ROCNIKU
WHERE STUDENTI_ROCNIKU.cisoboru = STUDENTI_PREDMETU.cisoboru
  and STUDENTI_ROCNIKU.standard_rok = STUDENTI_PREDMETU.standard_rok
  and STUDENTI_ROCNIKU.standard_rok = 1
ORDER BY sort1, sort2, rocnik
