select
    p.cz_nazev,
    p.zkr_predm,
    p.PRAC_ZKR||'/'||p.ZKR_PREDM zkratka,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev_predmetu,
    p.PRAC_ZKR PK_Prac_Zkr,
    p.ZKR_Predm PK_Zkr_Predm,
    p.ROK_VARIANTY PK_ROK_VARIANTY,
    p.POZNAMKA POZNAMKA,
    p.MA_VYUKU MA_VYUKU
from
    pred_varianty p,
    cis_pracovist cp
where
    (cp.zkr like nvl(:fakulta, '%') or cp.NAD_PRAC_ZKR like nvl(:fakulta, '%'))
    and p.ROK_VARIANTY = :rok
    and p.PRAC_ZKR = cp.zkr
@IF(0)    and (
@IF(0)      exists (select dmraidno from dop_mist_pro_ra dm where dm.PRAC_ZKR = p.prac_zkr and dm.zkr_predm = p.zkr_predm
@IF(0)        and dm.ROK_VARIANTY = :rokSchvalovani and dm.autorizovano = 'N')
@IF(0)      or exists (select dmraidno from dop_mist_pro_ra dm, rozvrh_akce ra where ra.roakidno = dm.roakidno and ra.PRAC_ZKR = p.prac_zkr
@IF(0)        and ra.zkr_predm = p.zkr_predm and ra.ROK_VARIANTY = :rokSchvalovani and dm.autorizovano = 'N')
@IF(0)    )
@IF(1)     and (P.J3_VYUC like upper(:vyucovaciJazyk) OR P.J4_VYUC like upper(:vyucovaciJazyk) OR
@IF(1)      ('CZ' = upper(:vyucovaciJazyk) AND P.CZ_VYUC = 'A') OR ('AN' = upper(:vyucovaciJazyk) AND P.AN_VYUC = 'A'))
order by p.prac_zkr, p.zkr_predm
