select sp.fakulta_sp fakultaTxt, sp.fakulta_sp fakulta, sp.typ typ_programu, sp.kodsp_i programKod, sp.cz_nazev programNazev,
  sp.forma forma, sp.typ typ, nvl(ob.cisoboru||decode(ob.cisspec, '0', '', '00', '', '/'||ob.cisspec), komb.zkratka) oborZkratka,
  nvl(ob.cz_nazev, komb.nazev) oborNazev,
  spoj.*,
  fn_meaning2(spoj.misto, 'MISTO') misto_txt,
  fn_meaning2(sp.typ, 'TYP_OBORU') typ_txt,
  fn_meaning2(sp.forma, 'FORMA_OBORU_NEW') forma_txt

FROM
  PR_SPOJOVACI spoj,
  studijni_programy sp,
  obory ob,
  kombinace komb
WHERE
--  spoj.epr_pouzivat = 'A'  -- tohle asi vyhodit, protoze asi chces nejen ty, co se pouziva EPR, ale vsechny
  sp.fakulta_sp = :fakulta
  and spoj.rok = :rok
  and nvl(sp.platny_od, '1970') <= spoj.rok
  and nvl(sp.neplatny_od, '2100') > spoj.rok
  and sp.forma like :forma
  and sp.typ like :typ
  and spoj.stpridno = sp.stpridno
  and spoj.misto like nvl(:misto, '%')
  and ob.oboridno(+) = spoj.oboridno
  and komb.kombidno(+) = spoj.kombidno
order by sp.fakulta_sp, nlssort(sp.cz_nazev, 'NLS_SORT = XCzech'), nlssort(nvl(ob.cz_nazev, komb.nazev), 'NLS_SORT = XCzech'), sp.forma desc, sp.typ, spoj.misto
