SELECT ZA.ZAK_POV as typ_omezeni,'kombinace' as druh_omezeni,nvl(KOMB.NAZEV,KOMB.ZKRATKA) as entita
  FROM zakazane_akce ZA,
       kombinace KOMB
 WHERE ZA.ROAK_ROAKIDNO = :PAR_ROAKIDNO
   AND ZA.KOMB_KOMBIDNO = KOMB.KOMBIDNO
UNION
SELECT ZA.ZAK_POV as typ_omezeni,'rocnik' as druh_omezeni,to_char(ZA.rocnik) as entita
  FROM zakazane_akce ZA
 WHERE ZA.ROAK_ROAKIDNO = :PAR_ROAKIDNO
   AND ZA.ROCNIK IS NOT NULL
UNION
SELECT ZA.ZAK_POV as typ_omezeni,'fakulta' as druh_omezeni,ZA.fakulta as entita
  FROM zakazane_akce ZA
 WHERE ZA.ROAK_ROAKIDNO = :PAR_ROAKIDNO
   AND ZA.FAKULTA IS NOT NULL
UNION
SELECT ZA.ZAK_POV as typ_omezeni,'misto' as druh_omezeni,decode(:plang,'cs',MISTO.rv_meaning,nvl(MISTO.english,MISTO.rv_meaning)) as entita
  FROM zakazane_akce ZA,
       cg_ref_codes MISTO
 WHERE ZA.ROAK_ROAKIDNO = :PAR_ROAKIDNO
   AND ZA.misto = MISTO.rv_low_value
   AND MISTO.rv_domain = 'MISTO_VYUKY'
UNION
SELECT ZA.ZAK_POV as typ_omezeni,'typ_oboru' as druh_omezeni,decode(:plang,'cs',TYP.rv_meaning,nvl(TYP.english,TYP.rv_meaning)) as entita
  FROM zakazane_akce ZA,
       cg_ref_codes TYP
 WHERE ZA.ROAK_ROAKIDNO = :PAR_ROAKIDNO
   AND ZA.TYP = TYP.rv_low_value
   AND TYP.rv_domain = 'TYP_OBORU'
UNION
SELECT ZA.ZAK_POV as typ_omezeni,'forma' as druh_omezeni,decode(:plang,'cs',FORMA.rv_meaning,nvl(FORMA.english,FORMA.rv_meaning)) as entita
  FROM zakazane_akce ZA,
       cg_ref_codes FORMA
 WHERE ZA.ROAK_ROAKIDNO = :PAR_ROAKIDNO
   AND ZA.forma = FORMA.rv_low_value
   AND FORMA.rv_domain = 'FORMA_OBORU_NEW'