SELECT c.zkr,
DECODE(:lang, 'cs', c.nazev, 'sk', c.nazev, NVL(c.an_nazev, c.nazev)) AS nazev,
c.cislo_prac, c.nad_prac_zkr,
       (SELECT fn_meaning2 (c.typ_prac, 'TYP_PRACOVISTE')
          FROM DUAL) typ, fn_get_ucitel(c.ucitidno) osoba, c.platnost_do, c.platnost_od,
       (SELECT fn_meaning2 (c.typ_vedouciho, 'TYP_VEDOUCIHO')
          FROM DUAL) typ_vedouci, c.url,
        DECODE(:lang, 'cs', nadr.nazev, 'sk', nadr.nazev, NVL(nadr.an_nazev, nadr.nazev)) AS nadr_nazev
  FROM cis_pracovist c, cis_pracovist nadr
  where c.nad_prac_zkr=nadr.zkr
  --and c.zkr like nvl(upper(.xprac_zkr),'%')
  --and translate(c.zkr,'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE translate(nls_upper(ltrim(rtrim(nvl(.xprac_zkr,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
  and (select FN_CS_TO_UPPER_ASC(c.zkr) from dual) LIKE (select FN_CS_TO_UPPER_ASC(:xprac_zkr) from dual)
  and c.cislo_prac like nvl(:xcislo_prac,'%')
  and c.NAD_PRAC_ZKR like nvl(upper(:xnAD_PRAC_ZKR),'%') 