select /*+ FIRST_ROWS */ * from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(select /*+ FIRST_ROWS */
  PV.PRAC_ZKR,
       PV.ZKR_PREDM,
       DECODE(:lang, 'cs', pv.cz_nazev, 'sk', pv.cz_nazev, NVL(pv.an_nazev, pv.cz_nazev)) AS nazev_predmetu,
       PV.ROK_VARIANTY,
       pv.VYUKA_ZS,
       pv.VYUKA_LS,
       pv.CRD
  FROM pred_varianty PV
 WHERE PV.prac_zkr like nvl(:par_pracoviste,'%')
   AND PV.zkr_predm like nvl(:par_predmet,'%')
   and    PV.rok_varianty = (select MAX(ROK_VARIANTY) from PRED_VARIANTY pv2 where pv2.prac_zkr = pv.prac_zkr and pv2.zkr_predm = pv.zkr_predm)
 ORDER BY pv.prac_zkr, pv.zkr_predm
   ) x
where rownum <= nvl(:do,51)) y
where y.poradi >= nvl(:od,0)