select    m.zkr_budovy,
  m.cislo_mist,
  decode(spol_fond, 'A', '*') SPOL_FOND,
  m.prac_zkr, (select decode(:lang,'cs',(select fn_meaning2(m.typ,'TYP_UCEB') from dual),nvl((select fn_meaning_en(m.typ,'TYP_UCEB') from dual),(select fn_meaning2(m.typ,'TYP_UCEB') from dual))) from dual) typ, m.kapacita
       from  mistnosti m, budovy bu
      where  m.typ        like :c_typ
        and  m.kapacita  >= nvl(:c_kap,0)
        and  m.v_provozu_od <= to_date(:c_datum,'DD.MM.RRRR')
        and  nvl(m.v_provozu_do,to_date('01.01.2099','DD.MM.RRRR')) >= to_date(:c_datum,'DD.MM.RRRR')
        and  bu.zkr_budovy like upper(:c_bud)
        and  nvl(bu.lokalita,'%') like :lokalita
        and  m.zkr_budovy like bu.zkr_budovy
        and  not exists(
             select  roakidno, jedaidno, termidno
               from  casoprostor c
              where  c.zkr_budovy = m.zkr_budovy
                and  c.cislo_mist = m.cislo_mist
                and  c.datum = to_date(:c_datum,'DD.MM.RRRR')
                and  c.rok_platnosti = nvl(:rok,c.rok_platnosti/*nvl((select k.ROK_PLATNOSTI from kalendar k where k.DATUM = c.datum),(select k.ROK_PLATNOSTI from kalendar k where k.DATUM = trunc(sysdate)))*/)
@IF(0)          and  c.obsadil != 'J'
--                and  nvl(c.rezervovano, '%') != .c_prac
                and  not (( :c_od >= to_char(c.skut_hod_od,'HH24:MI')
                        and :c_od >= to_char(c.skut_hod_do,'HH24:MI'))
                        or( :c_do <= to_char(c.skut_hod_od,'HH24:MI'))
                        and :c_do <= to_char(c.skut_hod_do,'HH24:MI')))
       order  by m.zkr_budovy, m.cislo_mist