SELECT
	rv_low_value ID_ROLE,
	DECODE(:lang, 'cs', rv_meaning, 'sk', rv_meaning, nvl(english, rv_meaning)) as NAZEV_ROLE
FROM
    cg_ref_codes

WHERE
  rv_domain = 'ROLE'
  AND rv_low_value in ('VY','KA','SR', 'EI', 'EP', 'FR', 'FS', 'UR', 'FA', 'PR', 'EV', 'RP', 'AD')
union
select
    'PR' as ID_ROLE,
    'EVA-PROREKTOR' as NAZEV_ROLE
    from dual
union
select
    'DE' as ID_ROLE,
    'EVA-DĚKAN' as NAZEV_ROLE
    from dual
union
select
    'VK' as ID_ROLE,
    'EVA-VEDOUCÍ KATEDRY' as NAZEV_ROLE
    from dual

ORDER BY nazev_role desc