select distinct
   decode(cp.obsadil,'R',uc_roakce.priorita,'S',uc_roakce_sk.priorita,NULL) priorita,
   case
     when obsadil ='R' then
        ra.den
     when obsadil ='S' then
        rask.den
     else
        cp.den
     end as den,
   decode(cp.obsadil,'R', ra.tyden, 'S', rask.tyden, 'J') tyden,
   decode(CP.obsadil,'S', 'R', cp.obsadil) druhakce, -- Akci, ktera je soucasti MegaAkce vracim vzdycky jako R
   case
     when obsadil ='R' then
       CP.roakidno
     when obsadil ='S' then
       RASK.roakidno
     when obsadil in ('J','B') then
       cp.JEDAIDNO
     when obsadil ='Z' then
       CP.termidno
     when obsadil='G' then
       -- zakomentovano 21.2.2014 - nateidno je mi nanic, jelikoz v prohlizeni neberem natgrupu nebo grupu jako entitu, takze potrebuju teridno jednoho terminu z nadgrupy a skrz takovej termin uz zobrazim v prohlizeni i ostatni terminy ze stejne nadgrupy.
       --grupterm.nateidno
       CP.termidno
     when obsadil='T' then
       cp.termin_idno
     else
       cp.terroz_idno end as referencedidno,
   case
     when obsadil ='R' then
       RA.prac_zkr||'/'||RA.zkr_predm
     when obsadil ='S' then
       RASK.prac_zkr||'/'||RASK.zkr_predm
     when obsadil ='J' then
       JA.POZNAMKA
     when obsadil ='B' then
       JA.PRAC_ZKR||'-'||JA.POZNAMKA
     when obsadil = 'Z' then
       term.prac_zkr||'/'||term.zkr_predm
     when obsadil = 'G' then
       'Spol.term.'
--       fn_get_zkr_natgr(grupterm.nateidno)
     when obsadil='T' then
       prt.ADRESA
     else
       prt2.ADRESA end as nazev,
     decode(cp.obsadil,'R',ra.platnost,'S',RASK.platnost, 'A') as platnost,
     CP.skut_hod_od skut_hod_od, to_number(to_char(cp.skut_hod_od,'HH24MI')) skut_hod_od_number,
     CP.skut_hod_do skut_hod_do,
     --decode(cp.obsadil,'R',RA.typakce,'J',JA.typ_jed_akce,'B',JA.typ_jed_akce,'Z','zk','G','gzk','T','prjmr','P','prjmr','ost') typakce,
     decode(cp.obsadil,'R',RA.typakce,'S',RASK.typakce, null) typakce,
     CP.zkr_budovy as zkr_budovy,
     CP.cislo_mist as cislo_mist,
     m.KAPACITA kapacita_mist,
     decode(cp.obsadil,'R',RA.PRAC_ZKR,'S',RASK.PRAC_ZKR ,'Z',term.PRAC_ZKR,'G',term.PRAC_ZKR ,null) prac_zkr,
     decode(cp.obsadil,'R',RA.ZKR_PREDM,'S',RASK.ZKR_PREDM ,'Z',term.ZKR_PREDM,'G',term.ZKR_PREDM ,null) zkr_predm,
     decode(cp.obsadil,'R',RA.ROK_VARIANTY,'S',RASK.ROK_VARIANTY ,'Z',term.ROK_PLATNOSTI,'G',term.ROK_PLATNOSTI ,cp.rok_platnosti) rok_varianty,
     decode(cp.obsadil,'R',RA.ROK_PLATNOSTI,'S',RASK.ROK_PLATNOSTI ,'Z',term.ROK_PLATNOSTI,'G',term.ROK_PLATNOSTI ,cp.rok_platnosti) rok_platnosti,
     case
       when obsadil ='R' then
         (select pv.cz_nazev from pred_varianty pv where pv.prac_zkr=ra.prac_zkr and pv.zkr_predm=ra.zkr_predm and pv.rok_varianty=ra.rok_varianty)
       when obsadil ='S' then
         (select pv.cz_nazev from pred_varianty pv where pv.prac_zkr=rask.prac_zkr and pv.zkr_predm=rask.zkr_predm and pv.rok_varianty=rask.rok_varianty)
         when obsadil = 'Z' then
         (select pv.cz_nazev from pred_varianty pv where pv.prac_zkr=term.prac_zkr and pv.zkr_predm=term.zkr_predm and pv.rok_varianty=term.rok_platnosti)
         when obsadil = 'G' then
          (select to_char(WM_CONCAT(distinct T.PRAC_ZKR||'/'||T.ZKR_PREDM||' ('||(select nvl(fn_meaning2(T.TYP_TERMINU,'TYP_TERMINU'),'-')from dual)||','||(select FN_GET_UCITEL(T.UCITIDNO,'PJ','N') from dual)||')'))
            from terminy t,
                 grupy_terminu gt
           where GT.NATEIDNO = grupterm.nateidno
             and T.GRTEIDNO = GT.GRTEIDNO)
         else
           null
     end as nazevPredmetuCs,
     case
       when obsadil ='R' then
         (select pv.an_nazev from pred_varianty pv where pv.prac_zkr=ra.prac_zkr and pv.zkr_predm=ra.zkr_predm and pv.rok_varianty=ra.rok_varianty)
       when obsadil ='S' then
         (select pv.an_nazev from pred_varianty pv where pv.prac_zkr=rask.prac_zkr and pv.zkr_predm=rask.zkr_predm and pv.rok_varianty=rask.rok_varianty)
         when obsadil = 'Z' then
         (select pv.an_nazev from pred_varianty pv where pv.prac_zkr=term.prac_zkr and pv.zkr_predm=term.zkr_predm and pv.rok_varianty=term.rok_platnosti)
         when obsadil = 'G' then
         (select to_char(WM_CONCAT(distinct T.PRAC_ZKR||'/'||T.ZKR_PREDM||' ('||(select nvl(fn_meaning_en(T.TYP_TERMINU,'TYP_TERMINU'),'-')from dual)||','||(select FN_GET_UCITEL(T.UCITIDNO,'PJ','N') from dual)||')'))
           from terminy t,
                grupy_terminu gt
          where GT.NATEIDNO = grupterm.nateidno
            and T.GRTEIDNO = GT.GRTEIDNO)
         else
           null
     end as nazevPredmetuEn,
     decode(cp.obsadil,'R',RA.OBSAZENI,'S',RASK.OBSAZENI,'Z',term.obsazeni_terminu,'G',term.obsazeni_terminu ,null) obsazeni,
     decode(cp.obsadil,'R',RA.PLAN,'S',RASK.PLAN,'Z',term.limit_terminu,'G',term.limit_terminu ,null) plan,
     decode(cp.obsadil,'R',uc_roakce.ucitidno,'S',uc_roakce_sk.ucitidno,'Z',term.ucitidno,NULL) ucitel_ucitidno,
     decode(cp.obsadil,'R',u.jmeno,'S',u_sk.jmeno,'Z',(select ux.jmeno from ucitele ux where ux.ucitidno = term.ucitidno),NULL) ucitel_jmeno,
     decode(cp.obsadil,'R',u.prijmeni,'S',u_sk.prijmeni,'Z',(select ux.prijmeni from ucitele ux where ux.ucitidno = term.ucitidno),NULL) ucitel_prijmeni,
     decode(cp.obsadil,'R',u.titul_pred,'S',u_sk.titul_pred,'Z',(select ux.titul_pred from ucitele ux where ux.ucitidno = term.ucitidno),NULL) ucitel_titul_pred,
     decode(cp.obsadil,'R',u.titul_za,'S',u_sk.titul_za,'Z',(select ux.titul_za from ucitele ux where ux.ucitidno = term.ucitidno),NULL) ucitel_titul_za,
     decode(cp.obsadil,'R',RA.tyden_od,'S',RASK.tyden_od,NULL) tyden_od,
     decode(cp.obsadil,'R',RA.tyden_do,'S',RASK.tyden_do,NULL) tyden_do,
     null as datum_od,
     null as datum_do,
     CP.datum datum,
     decode(cp.obsadil,'R', ra.casova_rada, 'S', rask.casova_rada, null) casova_rada,
     decode(cp.obsadil,'R', ra.kontakt, 'S', rask.kontakt, null) kontakt,
     decode(cp.obsadil,'R', (select to_char(wm_concat(replace(ka.kod, ',', '`'))) from krouzek_akce ka where ka.roakidno = ra.roakidno), 'S', (select to_char(wm_concat(replace(ka.kod, ',', '`'))) from krouzek_akce ka where ka.roakidno = rask.roakidno), null) x_krouzky,
     decode(cp.obsadil,'R', ra.semestr, 'S', rask.semestr, null) semestr,
     decode(cp.obsadil,'R', ra.poznamka, 'S', rask.poznamka, null) poznamka,
     decode(cp.obsadil,'R', ra.grupidno, 'S', rask.grupidno, null) grupidno,
     decode(cp.obsadil,'R', ra.hod_vyuc_od, 'S', rask.hod_vyuc_od, null) hod_vyuc_od,
     decode(cp.obsadil,'R', ra.hod_vyuc_do, 'S', rask.hod_vyuc_do, null) hod_vyuc_do,
     term.platnost as platnost_terminu,
     ja.typ_jed_akce typ_jed_akce
from casoprostor cp,
     terminy term,
     grupy_terminu grupterm,
     jedakce JA,
     rozvrh_akce RA,
     rozvrh_akce RASK,
     pr_terminy prt,
     pr_terminy_rozpis prtp,
     pr_terminy prt2,
     ucitele u,
     ucitele u_sk,
     mistnosti m,
     (select 0 priorita, ra2.roakidno, ra2.ucitidno from rozvrh_akce ra2
      union
      select 1 priorita, uc.roakidno, uc.ucitidno from uc_rozvrhove_akce uc) uc_roakce,
     (select 0 priorita, ra2.roakidno, ra2.ucitidno from rozvrh_akce ra2
      union
      select 1 priorita, uc.roakidno, uc.ucitidno from uc_rozvrhove_akce uc) uc_roakce_sk
 where
       cp.zkr_budovy like nvl(:zkrBudovy, '%')
   and cp.cislo_mist like nvl(:cisloMistnosti,'%')
   and trunc(cp.datum) between :datumOd AND :datumDo
   and term.termidno(+) = cp.termidno
   AND grupterm.GRTEIDNO(+) = term.GRTEIDNO
   AND (term.GRTEIDNO IS NULL OR term.GRTEIDNO IS NOT NULL AND term.TERMIDNO =
       (SELECT MIN(TZ2.termidno) FROM terminy TZ2, grupy_terminu GT2 WHERE TZ2.GRTEIDNO = GT2.GRTEIDNO AND GT2.nateidno = grupterm.nateidno))
   and JA.jedaidno(+) = cp.jedaidno
   and ra.roakidno(+) = cp.roakidno
   and rask.skraidno(+) = ra.skraidno
   and prt.TERMIN_IDNO(+) = cp.termin_idno
   and prtp.terroz_idno(+) = cp.terroz_idno
   and prtp.termin_idno = prt2.termin_idno(+)
   AND trunc(Cp.skut_hod_od) != Cp.skut_hod_od
   and uc_roakce.roakidno(+) = ra.roakidno
   and u.ucitidno(+) = uc_roakce.ucitidno
   and uc_roakce_sk.roakidno(+) = rask.roakidno
   and u_sk.ucitidno(+) = uc_roakce_sk.ucitidno
   and m.ZKR_BUDOVY(+) = cp.zkr_budovy
   and m.cislo_mist(+) = cp.cislo_mist
 order by
       datum, cp.zkr_budovy, cp.cislo_mist, skut_hod_od_number, referencedidno, priorita, decode(cp.obsadil,'R',RA.tyden_od,'S',RASK.tyden_od,NULL)
