select distinct
  uc_roakce.priorita priorita,
@IFNOT(0)  min(k.datum) over (partition by ra.roakidno) as datum_od, max(k.datum) over (partition by ra.roakidno) as datum_do, null as datum,
@IF(0) null as datum_od, null as datum_do, k.datum as datum,
  decode(ra.den, 'Po', 1, 'Út', 2, 'St', 3, 'Čt', 4, 'Pá', 5, 'So', 6, 'Ne', 7, 8) den_poradi,
  ra.semestr, ra.roakidno, ra.skut_hod_od, to_number(to_char(ra.skut_hod_od,'HH24MI')) skut_hod_od_number,
  ra.prac_zkr, ra.zkr_predm, ra.rok_varianty, ra.rok_platnosti, ra.casova_rada, ra.den,
  ra.hod_vyuc_od, ra.hod_vyuc_do, ra.hod_od, ra.hod_do, ra.skut_hod_do, ra.tyden, ra.tyden_od,
  ra.tyden_do, ra.zkr_budovy, ra.cislo_mist, ra.grupidno, ra.je_nadrazena, ra.ma_nadrazenou, ra.plan, ra.obsazeni,
  ra.kontakt, ra.poznamka, ra.url, ra.vyuc_jazyk, ra.platnost, ra.typakce,
  (select to_char(wm_concat(replace(ka.kod, ',', '`'))) from krouzek_akce ka where ka.roakidno = ra.roakidno) x_krouzky,
  m.KAPACITA kapacita_mist,
  u.ucitidno as ucitel_ucitidno,
  u.jmeno as ucitel_jmeno,
  u.prijmeni as ucitel_prijmeni,
  u.titul_pred as ucitel_titul_pred,
  u.titul_za as ucitel_titul_za,
  'R' as druh_akce,
  pv.cz_nazev nazevPredmetuCs,
  pv.an_nazev nazevPredmetuEn,
@IF(2)    (select count(*) from rozvrh_akce ra1
@IF(2)        where ra1.prac_zkr=ra.prac_zkr and ra.zkr_predm=ra1.zkr_predm and ra.rok_varianty=ra1.rok_varianty and ra.semestr=ra1.semestr and ra.typakce=ra1.typakce
@IF(2)            and ra.roakidno!=ra1.roakidno and ra1.platnost='A' and ra1.zkr_budovy is not null and(ra.grupidno!=ra1.grupidno or ra1.grupidno is null)
@IF(2)            and (select nvl(pg_cti_parametry.CTI_RETEZEC_KAT('ZAPISY_BURZA_POVOLENI', ra.prac_zkr), 'N') from dual) = 'A'
@IF(2)            and :semestr != nvl(pg_cti_parametry.cti_retezec_oc('NEPOVOLIT_PREDZAPIS',:osCislo), 'XX')
@IF(2)    ) as pocet_jinych
@IFNOT(2) -1 as pocet_jinych
@IF(3)  , FN_STATUT_PREDMETU_STUDENT(:osCislo, pv.prac_zkr, pv.zkr_predm, pv.rok_varianty) statut
from
  zapisy za,
  rozvrh_akce ra,
  ucitele u,
  pred_varianty pv,
  mistnosti m,
  kalendar k,
  (select 0 priorita, ra2.roakidno, ra2.ucitidno from rozvrh_akce ra2
   union
   select 1 priorita, uc.roakidno, uc.ucitidno from uc_rozvrhove_akce uc) uc_roakce
where
       za.roakidno = ra.roakidno
  and  za.os_cislo = RTRIM(LTRIM(UPPER(:osCislo),' '),' ')
  and  za.rok_platnosti = :rok
  and  ra.rok_platnosti = za.rok_platnosti
  and  ra.semestr like nvl(translate(UPPER(:semestr), '*', '%'), '%')
@IFNOT(1)  and  ra.platnost <> 'Z'
  and  uc_roakce.roakidno(+) = ra.roakidno
  and  uc_roakce.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_varianty
  and  m.ZKR_BUDOVY(+) = ra.zkr_budovy
  and  m.cislo_mist(+) = ra.cislo_mist
  and  k.rok_platnosti(+)=ra.rok_platnosti
  AND  k.typ_rozvrh_dne(+)=ra.semestr
  and  decode(ra.tyden, 'J', k.typ_tydne(+), 'K', k.typ_tydne(+), ra.tyden) = k.typ_tydne(+)
  AND  decode(k.cislo_tydne(+),1,54,2,55,3,56,4,57,k.cislo_tydne(+)) BETWEEN decode(ra.tyden_od,1,54,2,55,3,56,4,57,ra.tyden_od) and decode(ra.tyden_do,1,54,2,55,3,56,4,57,ra.tyden_do)
  AND  k.rozvrh_den(+)=ra.den
  AND  k.rozvrh_den(+) NOT IN ('Rv','Sv')
@IFNOT(0)  union
@IFNOT(0)  select
@IFNOT(0)    2 priorita,   null as datum_od, null as datum_do,  null as datum, null den_poradi, z.semestr semestr,  null roakidno,  null skut_hod_od, null skut_hod_od_number,  pv.prac_zkr,  pv.zkr_predm,  pv.rok_varianty rok_varianty,  pv.rok_varianty rok_platnosti,
@IFNOT(0)    null casova_rada,  null den, null hod_vyuc_od,  null hod_vyuc_do,  null hod_od,  null hod_do,  null skut_hod_do,
@IFNOT(0)    null tyden,  null tyden_od,  null tyden_do,  null zkr_budovy,  null cislo_mist,  null grupidno,  null je_nadrazena,  null ma_nadrazenou,
@IFNOT(0)    null plan,  null obsazeni,  null kontakt,  null poznamka,  null url,  null vyuc_jazyk,  null platnost,  null typakce,  null x_krouzky, null kapacita_mist,
@IFNOT(0)    null as ucitel_ucitidno,  null as ucitel_jmeno,  null as ucitel_prijmeni,  null as ucitel_titul_pred,  null as ucitel_titul_za,
@IFNOT(0)    'R' as druh_akce,  pv.cz_nazev nazevPredmetuCs,  pv.an_nazev nazevPredmetuEn,  -1 as pocet_jinych
@IFNOT(0)@IF(3)    , FN_STATUT_PREDMETU_STUDENT(:osCislo, pv.prac_zkr, pv.zkr_predm, pv.rok_varianty) statut
@IFNOT(0)  from
@IFNOT(0)    znamky z,
@IFNOT(0)    pred_varianty pv
@IFNOT(0)  where
@IFNOT(0)        z.os_cislo = RTRIM(LTRIM(UPPER(:osCislo),' '),' ')
@IFNOT(0)    and z.rok_platnosti = :rok
@IFNOT(0)    and z.semestr like nvl(translate(UPPER(:semestr), '*', '%'), '%')
@IFNOT(0)    and z.uznano = 'N'
@IFNOT(0)    and pv.PRAC_ZKR = z.prac_zkr
@IFNOT(0)    and pv.ZKR_PREDM = z.zkr_predm
@IFNOT(0)    and pv.ROK_VARIANTY = z.rok_varianty
@IFNOT(0)    and not exists
@IFNOT(0)      (
@IFNOT(0)          select  b.roakidno
@IFNOT(0)            from  zapisy b
@IFNOT(0)           where  z.prac_zkr = b.prac_zkr
@IFNOT(0)             and  z.zkr_predm = b.zkr_predm
@IFNOT(0)             and  z.rok_varianty = b.rok_varianty
@IFNOT(0)             and  z.semestr = b.semestr
@IFNOT(0)             and  z.rok_platnosti = b.rok_platnosti
@IFNOT(0)             and  z.os_cislo = b.os_cislo
@IFNOT(0)      )
order by
@IFNOT(0) 6 desc, 5, 2, 9,   -- pokud nevracim vsechny vyskyty akce: semestr, den v tydnu, prvni datum akce, cas zacatku
@IF(0) 4, 9,         -- pokud vracim vsechny vyskyty akce: datum, cas zacatku
  10, 11,            -- katedra, zkratka predmetu
  7,                 -- roakidno
  1                  -- priorita (kdyz je vice ucitelu)
