select ra.*,
       DECODE(:lang, 'cs', c1.RV_MEANING, 'sk', c1.RV_MEANING, NVL(c1.ENGLISH, c1.RV_MEANING)) AS typakce_slovne,
	   DECODE(:lang, 'cs', c2.RV_MEANING, 'sk', c2.RV_MEANING, NVL(c2.ENGLISH, c2.RV_MEANING)) AS tyden_slovne,
	   DECODE(:lang, 'cs', c3.RV_MEANING, 'sk', c3.RV_MEANING, NVL(c3.ENGLISH, c3.RV_MEANING)) AS den_slovne,
	   to_char(skut_hod_od,'HH24:MI') as hod_skut_od,
	   to_char(skut_hod_do,'HH24:MI') as hod_skut_do
	   --DECODE(.lang, 'cs',(select fn_meaning2(ra.DEN,'DEN') from dual) , 'sk', (select fn_meaning2(ra.DEN,'DEN') from dual), NVL((select fn_meaning_en(ra.DEN,'DEN') from dual), (select fn_meaning2(ra.DEN,'DEN') from dual))) as den

  from rozvrh_akce ra,
       cg_ref_codes c1,
	   cg_ref_codes c2,
	   cg_ref_codes c3
       --ucitele u
 where ra.grupidno = :par_grupidno
   and c1.RV_DOMAIN = 'TYP_AKCE'
   and c1.RV_LOW_VALUE = ra.TYPAKCE
   and c2.RV_DOMAIN(+) = 'TYDEN'
   and c2.RV_LOW_VALUE(+) = ra.TYDEN
   and c3.RV_DOMAIN(+) = 'DEN'
   and c3.RV_LOW_VALUE(+) = ra.DEN
 order by ra.tyden_od,ra.den