  SELECT SP.stpridno, -- jednoznacny identifikator studijniho programu
       SP.KODSP_I, -- kod studijniho programu
       SP.CZ_NAZEV, -- cesky nazev studijniho programu
       (SELECT fn_meaning(SP.TITUL,'TITUL') FROM dual) AS titul, -- udileny titul
       (SELECT fn_meaning2(SP.TYP,'TYP_OBORU') FROM dual) AS typ, -- typ studijniho programu
       (SELECT fn_meaning2(SP.FORMA,'FORMA_OBORU_NEW') FROM dual) AS forma, -- forma studijniho programu
       SP.PLATNY_OD, -- platnost studijniho programu od akademickeho roku
       SP.NEPLATNY_OD, -- platnost studijniho programu do akademickeho roku
       CASE WHEN to_char(sysdate-240,'RRRR') between SP.PLATNY_OD AND
nvl(SP.NEPLATNY_OD,'2049') THEN 'Ano' ELSE 'Ne' END platnost -- zda je nyni platny
  FROM studijni_programy SP
 WHERE SP.fakulta_SP = :fakulta -- omezeni jen na studijni programy FAV
   AND SP.CELOZIVOTNI_VZDELAVANI = :celozivotni_vzdelani -- bez celozivotniho vzdelavani
   order by CZ_NAZEV, typ, forma 
   --AND CASE WHEN to_char(sysdate-240,'RRRR') between SP.PLATNY_OD
--AND nvl(SP.NEPLATNY_OD,'2049') THEN 'Ano' ELSE 'Ne' END = 'Ano'; -- vybrat jen platne
-- u studijniho programu neni katedra sledovana, da se zadat k studijnimu oboru
-- studijni program nema informaci o roku, obsahuje jen informaci od jakeho roku do jakeho je platny