-- SAF - cizi student prijizdejici k nam
-- jeho ostatni vyjezdy (vlastne spis prijezdy k nam)

SELECT (SELECT fn_meaning_en(SPRI.TYP_VYJEZDU,'TYP_VYJEZDU') FROM dual)
as type_departure,
       CGORG.RV_ABBREVIATION||' - '||CGORG.ENGLISH as receiving_institution,
       'Czech Republic' as receiving_institution_country,
       SPRI.DATUM_PRIJEZDU as period_of_study_from,
       SPRI.DATUM_ODJEZDU as period_of_study_to
  FROM STUDENTI_PRIJEZDY_STUDIA SPRI,
       cg_ref_codes CGORG,
       STUDENTI_PRIJEZDY_STUDIA SPRI_NOW
 WHERE CGORG.RV_DOMAIN = 'ORGANIZACE'
   AND SPRI_NOW.STPSIDNO = :stpsidno
   AND SPRI.DATUM_PRIJEZDU < nvl(SPRI_NOW.DATUM_PRIJEZDU,sysdate)
   AND SPRI.STPSIDNO <> :stpsidno
   AND SPRI.STPOIDNO = :stpoidno
   AND SPRI.DATUM_PRIJEZDU IS NOT NULL
 ORDER BY SPRI.DATUM_PRIJEZDU
