-- SAF - náš student vyjíždějící ven
-- jeho ostatni vyjezdy
SELECT (SELECT fn_meaning_en(SV.TYP_VYJEZDU,'TYP_VYJEZDU') FROM dual) as
type_departure,
       decode(SV.TYP_VYJEZDU,'P',SV.STAZ_FIRMA,CSKOL.ZKR_SKOLY||' -
'||CSKOL.NAZEV_SKOLY) as receiving_institution,
       decode(SV.TYP_VYJEZDU,'P',STAT.ENGLISH,CSTAT.ENGLISH) as
receiving_institution_country,
       SV.DATUM_OD as period_of_study_from,
       SV.DATUM_DO as period_of_study_to
  FROM studenti ST,
       STUDENTI_VYJEZDY SV,
       cis_statu STAT,
       cis_skol CSKOL,
       cis_statu CSTAT,
       STUDENTI_VYJEZDY PROSV
 WHERE ST.os_cislo = :par_os_cislo
   AND PROSV.STVYIDNO = :stvyidno
   AND SV.os_cislo = PROSV.os_cislo
   AND SV.datum_od < PROSV.datum_od
   AND SV.STVYIDNO <> PROSV.STVYIDNO
   AND SV.OS_CISLO = ST.OS_CISLO
   AND SV.SKOLAIDNO = CSKOL.SKOLAIDNO(+)
   AND CSKOL.STATIDNO = CSTAT.STATIDNO(+)
   AND nvl(SV.SKOLAIDNO,0) <> 1
   AND SV.STAZ_STATIDNO = STAT.STATIDNO(+)
 ORDER BY SV.DATUM_OD
