-- ToR - cizí student vracici se domu
-- zakladní data
SELECT 'N' as nas_student,
       CSKOL.NAZEV_SKOLY as sending_institution,
       CSTAT.ENGLISH as sending_institution_country,
       SPS.FAKULTA_DOMOVSKA_SKOLA as sending_department,
       SPS.DC_CIZI as sending_DC,
       SPS.CIZI_TELEFON as sending_tel,
       SPS.CIZI_FAX as sending_fax,
       SPS.CIZI_EMAIL as sending_email,
       OS.prijmeni as student_family_name,
       OS.JMENO as student_first_name,
       to_char(ST.DAT_NASTUPU,'DD.MM.RRRR') as student_from_date,
       to_char(nvl(ST.DAT_UKONCENI,sysdate),'DD.MM.RRRR') as student_to_date,
       to_char(OS.DATUM_NAROZ,'DD.MM.RRRR') as student_birth_date,
       (SELECT CS.ENGLISH FROM cis_statu CS WHERE OS.statidno_naro = CS.STATIDNO)||', '||OS.misto_nar as student_birth_place,
       (SELECT fn_meaning_en(OS.POHLAVI,'POHLAVI') FROM dual) as student_sex,
       to_char(ST.DAT_NASTUPU,'DD.MM.RRRR') as student_matriculation_date,
       ST.OS_CISLO as student_matriculation_number,
       CGORG.ENGLISH as receiving_institution,
       'Czech Republic' as receiving_institution_country,
       CP.AN_NAZEV as receiving_department,
       fn_get_ucitel(SPS.UCITIDNO_DC_PODPIS,'PJ','N') as receiving_DC,
       SPS.ECTS_TELEFON as receiving_tel,
       SPS.ECTS_FAX as receiving_fax,
       SPS.ECTS_EMAIL as receiving_email,
       (SELECT fn_meaning_en(SP.TITUL,'TITUL') FROM dual) as diploma_degree_awarded,
       to_char(ST.DAT_UKONCENI,'DD.MM.RRRR') as signature_date,
       --(SELECT fn_get_ucitel(SPS.UCITIDNO_DC_PODPIS,'PJ','A') FROM dual) as signature_dean,
       (SELECT fn_get_ucitel(decode(pg_cti_parametry.cti_retezec('ECTS_TOR_PODPIS'),null,SPS.UCITIDNO_DC_PODPIS,'DC',SPS.UCITIDNO_DC_PODPIS,'IC',SPS.UCITIDNO_IC_PODPIS,'DE',(select ucitidno from cis_pracovist where ZKR = (select fn_meaning2(substr(st.os_cislo,1,1),'OS_CISLO') from dual))),'PJ','A') FROM dual) as signature_dean,
       decode(KAL.rok_platnosti,NULL,case when to_char(sysdate,'MM')<'09' then to_char(sysdate-365,'RRRR')||'/'||to_char(sysdate,'RRRR')
                                     else to_char(sysdate,'RRRR')||'/'||to_char(sysdate+365,'RRRR')
                                     end,
                                     KAL.rok_platnosti||'/'||to_char(to_number(KAL.rok_platnosti)+1)) as academic_year
  FROM osoby OS,
       studenti ST,
       studijni_programy SP,
       cis_pracovist CP,
       STUDENTI_PRIJEZDY_STUDIA SPS,
       cis_skol CSKOL,
       cis_statu CSTAT,
       KALENDAR KAL,
       cg_ref_codes CGORG
 WHERE OS.osobidno = ST.osobidno
   AND ST.stpridno = SP.stpridno
   AND SP.FAKULTA_SP = CP.ZKR
   AND SPS.OS_CISLO = ST.OS_CISLO
   AND SPS.SKOLAIDNO_DOMOVSKA_SKOLA = CSKOL.SKOLAIDNO
   AND CSKOL.STATIDNO = CSTAT.STATIDNO
   AND CGORG.RV_DOMAIN = 'ORGANIZACE'
   AND SPS.DATUM_PRIJEZDU = KAL.DATUM(+)
   --AND SPS.STPSIDNO = :stpsidno
   AND ST.OS_CISLO = :os_cislo