select
    null doporroc,
    null doporsem,
    pv.prac_zkr as pk_prac_zkr,
    pv.zkr_predm as pk_zkr_predm,
    pv.prac_zkr||'/'||pv.zkr_predm zkr,
    pv.rok_varianty as pk_rok_Varianty,
    pv.crd,
    DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) AS nazev,
    to_char(pv.jednotek_pr)||i.pom_hodnota||'+'||to_char(pv.jednotek_cv)||j.pom_hodnota||'+'||to_char(pv.jednotek_sem)||k.pom_hodnota rozsah,l.rv_abbreviation||decode(pv.predz_za, 'A', '+', '') typ_zk,
    nvl2(z.OS_CISLO,1,0) zapsano,
    count(r.roakidno) pocet,
    'C' as statut,pv.poznamka,
    --NVL(FN_GET_GARANT(bp.prac_zkr,bp.zkr_predm,bp.rok_varianty),'-') as garant,
    sum(decode(r.typakce,'Cv',nvl(plan,9999999999)-r.obsazeni,0)) volnocv,
    sum(decode(substrb(r.typakce,0,1),'Pr',1,0)) pocetpr,
    sum(decode(substrb(r.typakce,0,1),'Pr',nvl(r.plan,9999999999)-r.obsazeni,0)) AS volnopr,
    sum(decode(r.typakce,'Cv',1,0)) pocetcv,
    sum(decode(r.typakce,'Se',nvl(r.plan,9999999999)-r.obsazeni,0)) volnose,
    sum(decode(r.typakce,'Se',1,0)) pocetse,
    kzs.amax zamax,
    kzs.bmax zbmax,
    kzs.cmax zcmax,
    kzs.askut zaskut,
    kzs.bskut zbskut,
    kzs.cskut zcskut,
    kls.amax lamax,
    kls.bmax lbmax,
    kls.cmax lcmax,
    kls.askut laskut,
    kls.bskut lbskut,
    kls.cskut lcskut
from
    znamky z,
    rozvrh_akce r,
    pred_varianty pv,
    kapacita kzs,
    kapacita kls,
    cg_ref_codes i,
    cg_ref_codes j,
    cg_ref_codes k,
    cg_ref_codes l,
    cg_ref_codes cg
where i.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_pr = i.rv_low_value
    and  j.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_cv = j.rv_low_value
    and  k.rv_domain = 'JEDNOTKA_VYUKY'
    and  pv.jednotka_sem = k.rv_low_value
    and  l.rv_domain = 'TYP_ZK_NEW'
    and  pv.typ_zk = l.rv_low_value
    and r.PRAC_ZKR(+) = pv.prac_zkr
    and r.ZKR_PREDM(+) = pv.zkr_predm
    /*        -- tuhle radku jsem pridal, explain tim snizil cost z 29->16 */
    and r.rok_varianty(+) = pv.rok_varianty
    /*        --and r.ROK_VARIANTY = '2006' */
    and r.ROK_PLATNOSTI(+) = pv.rok_varianty     and r.platnost(+) = 'A'
    and cg.RV_DOMAIN = 'TYP_ZK_NEW'
    and cg.RV_LOW_VALUE = pv.TYP_ZK
    and kzs.PRAC_ZKR (+)= pv.PRAC_ZKR
    and kzs.ZKR_PREDM (+)= pv.ZKR_PREDM
    and kzs.ROK_VARIANTY (+)= pv.ROK_VARIANTY
    and kzs.SEMESTR (+)= 'ZS'
    and kls.PRAC_ZKR (+)= pv.PRAC_ZKR
    and kls.ZKR_PREDM (+)= pv.ZKR_PREDM
    and kls.ROK_VARIANTY (+)= pv.ROK_VARIANTY
    and kls.SEMESTR (+)= 'LS'
    and z.PRAC_ZKR = pv.PRAC_ZKR
    and z.ZKR_PREDM = pv.ZKR_PREDM
    and z.rok_varianty = pv.rok_varianty
    and z.OS_CISLO = :os_cislo
    and (z.prac_zkr,z.zkr_predm) not in
    -- predmety planu s predchudci
    (SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
     FROM pred_hlavicky ph,
           -- predmety prislusnych planu
          (SELECT DISTINCT blpr.prac_zkr, blpr.zkr_predm
           FROM studijni_plany stpl,
                poradi_segmentu pose,
                segmenty_st_planu sesp,
                bloky blok,
                bloky_predm blpr,
                studenti_na_oboru_v_roce snor
                -- jen plany prislusneho roku
                where snor.os_cislo = :os_cislo
                 AND snor.rok_platnosti = :rv
                 AND snor.stplidno = stpl.stplidno
                 AND stpl.stplidno = pose.stplidno
                 AND pose.sespidno = sesp.sespidno
                 AND sesp.sespidno = blok.sespidno
                 AND blok.blokidno = blpr.blokidno) x
     WHERE ph.prac_zkr = x.prac_zkr(+) AND ph.zkr_predm = x.zkr_predm(+)
     START WITH ph.prac_zkr = x.prac_zkr AND ph.zkr_predm = x.zkr_predm
     CONNECT BY PRIOR ph.prac_zkr_pred = ph.prac_zkr
            AND PRIOR ph.zkr_predm_pred = ph.zkr_predm)
group by
    pv.prac_zkr,
    pv.zkr_predm,
    pv.prac_zkr||'/'||pv.zkr_predm,  pv.rok_varianty, pv.crd, pv.poznamka, DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)),to_char(pv.jednotek_pr)||i.pom_hodnota||'+'||to_char(pv.jednotek_cv)||j.pom_hodnota||'+'||to_char(pv.jednotek_sem)||k.pom_hodnota,l.rv_abbreviation||decode(pv.predz_za, 'A', '+', ''),nvl2(z.OS_CISLO,1,0),kzs.amax,kzs.bmax,kzs.cmax,kzs.askut,kzs.bskut,kzs.cskut,kls.amax,kls.bmax,kls.cmax,kls.askut,kls.bskut,kls.cskut,NVL(FN_GET_GARANT(pv.prac_zkr,pv.zkr_predm,pv.rok_varianty),'-'), null
order by pv.prac_zkr,pv.zkr_predm,DECODE(:lang, 'cs', pv.CZ_NAZEV, 'sk', pv.CZ_NAZEV, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) asc