--novej select stav plneni bloku aktualniho segmentu studijniho planu
select distinct  X.obor Obor_blst,
        X.apr Aprobace_blst, X.cz_nazev,X.an_nazev,decode(:par_lang,'cs',X.cz_nazev,X.an_nazev)as nazev_blst, X.statut statut_blst,
        X.minkred minkred_blst, max(X.ziskano) Kred_ziskano_blst
from
(select distinct o.fakulta_oboru||'/'||o.cisoboru||'/'||o.cisspec obor, decode(o.je_aprobace,'A',o.cislo_a||'-'||o.zkratka,o.zkratka) apr,
snor.os_cislo,B.cz_nazev,B.an_nazev, B.minkred, B.blokidno, B.statut, nvl(sum(z.poc_kred),0) as ziskano
from   studenti_na_oboru_v_roce SNOR, bloky_predm BP, bloky B,
       studijni_plany stpl, poradi_segmentu pose, segmenty_st_planu sesp, zn_jezn_predm z, obory o, studijni_programy sp,
       studenti_v_roce stvr
where  stvr.os_cislo = :par_os_cislo
and    stvr.rok_platnosti = fn_rok(stvr.os_cislo)
and    stvr.rok_platnosti = snor.rok_platnosti
and    stvr.os_cislo = snor.os_cislo
and    sp.stpridno=o.stpridno
and    o.oboridno=stpl.oboridno
and    stpl.stplidno=snor.stplidno
and    stpl.STPLIDNO=pose.STPLIDNO
and    pose.sespidno=sesp.sespidno
and    sesp.SESPIDNO=b.sespidno
and    stpl.oboridno=o.oboridno
and    B.blokidno=bp.blokidno
and   (z.uznano='A' or (z.uznano='N' and (nvl(z.slovni_hodnoceni,'N')='S' or nvl(abs(z.znamka),4)<4)))
               AND (z.prac_zkr, z.zkr_predm) IN (
                           SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
                                      FROM pred_hlavicky ph
                                START WITH ph.prac_zkr = bp.prac_zkr
                                       AND ph.zkr_predm = bp.zkr_predm
                                CONNECT BY PRIOR ph.prac_zkr_pred =
                                                                   ph.prac_zkr
                                       AND PRIOR ph.zkr_predm_pred =
                                                                  ph.zkr_predm)
and   z.OS_CISLO=snor.OS_CISLO
group by o.fakulta_oboru||'/'||o.cisoboru||'/'||o.cisspec, decode(o.je_aprobace,'A',o.cislo_a||'-'||o.zkratka,o.zkratka),snor.os_cislo,B.cz_nazev,B.an_nazev, B.minkred, B.blokidno, B.statut
union
select distinct o.fakulta_oboru||'/'||o.cisoboru||'/'||o.cisspec obor, decode(o.je_aprobace,'A',o.cislo_a||'-'||o.zkratka,o.zkratka),snor.os_cislo,B.cz_nazev,B.an_nazev, B.minkred, B.blokidno, B.statut, 0 as ziskano
from   studenti_na_oboru_v_roce SNOR, bloky_predm BP, bloky B,
       studijni_plany stpl, poradi_segmentu pose, segmenty_st_planu sesp, obory o, studijni_programy sp,
       studenti_v_roce stvr
where   stvr.os_cislo = :par_os_cislo
and    stvr.rok_platnosti = fn_rok(stvr.os_cislo)
and    stvr.rok_platnosti = snor.rok_platnosti
and    stvr.os_cislo = snor.os_cislo
and    sp.stpridno=o.stpridno
and    o.oboridno=stpl.oboridno
and    stpl.stplidno=snor.stplidno
and    stpl.STPLIDNO=pose.STPLIDNO
and    pose.sespidno=sesp.sespidno
and    sesp.SESPIDNO=b.sespidno
and    stpl.oboridno=o.oboridno
and    B.blokidno=bp.blokidno
union
-- C predmety, ktere nejsou ve studijnim planu
select distinct null obor, null apr, z.os_cislo,'Předměty mimo studijní plán' as cz_nazev,'Courses outside the study plan' as an_nazev, to_number(null),-1, 'C', nvl(sum(z.poc_kred),0) as ziskano
from   znamky z
where  z.os_cislo = :par_os_cislo
--and    z.rok_platnosti = fn_rok(z.os_cislo)
and   (z.uznano='A' or (z.uznano='N' and (nvl(z.slovni_hodnoceni,'N')='S' or nvl(abs(z.znamka),4)<4)))
and   (z.prac_zkr,z.zkr_predm) not in (SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
FROM pred_hlavicky ph,
      -- predmety prislusnych planu
     (SELECT DISTINCT blpr.prac_zkr, blpr.zkr_predm
      FROM studijni_plany stpl,
           poradi_segmentu pose,
           segmenty_st_planu sesp,
           bloky blok,
           bloky_predm blpr,
           studenti_na_oboru_v_roce snor
           -- jen plany prislusneho roku
           where snor.os_cislo = :par_os_cislo
            AND snor.rok_platnosti = fn_rok(snor.os_cislo)
            AND snor.stplidno = stpl.stplidno
            AND stpl.stplidno = pose.stplidno
            AND pose.sespidno = sesp.sespidno
            AND sesp.sespidno = blok.sespidno
            AND blok.blokidno = blpr.blokidno) x
WHERE ph.prac_zkr = x.prac_zkr(+) AND ph.zkr_predm = x.zkr_predm(+)
START WITH ph.prac_zkr = x.prac_zkr AND ph.zkr_predm = x.zkr_predm
CONNECT BY PRIOR ph.prac_zkr_pred = ph.prac_zkr
           AND PRIOR ph.zkr_predm_pred = ph.zkr_predm)
group by null , null , z.os_cislo,'Předměty mimo studijní plán','Courses outside the study plan', null,-1, 'C') X
group by X.obor,X.apr,X.cz_nazev,X.an_nazev,X.minkred,X.blokidno, X.statut
order by X.obor,X.apr,X.statut, X.cz_nazev