SELECT
	snor.os_cislo,
	snor.rok_platnosti,
	NVL(x.suma_vyk_rok, 0) + NVL(j.suma_vyk_rok, 0) AS suma_vyk_rok,
	SUM(kredity_zaps) suma_zaps_rok, SUM(kredity_unbl) suma_unbl_rok,
	SUM(kredity_zaps) + SUM(kredity_unbl) suma_uzn_rok,
	SUM(kredity_plan) AS kredity_plan_rok,
	DECODE(:semestr, 'ZS', ROUND(SUM(zs_cit_pr)/DECODE(SUM(zs_jm_pr), 0, 1, SUM(zs_jm_pr)), 2), 'LS', ROUND(SUM(ls_cit_pr)/DECODE(SUM(ls_jm_pr), 0, 1, SUM(ls_jm_pr)), 2), ROUND(SUM(zs_cit_pr + ls_cit_pr)/DECODE(SUM(zs_jm_pr + ls_jm_pr), 0, 1, SUM(zs_jm_pr + ls_jm_pr)), 2)) AS prumer_rok
	--pg_cti_parametry.cti_retezec_rok_oc('ODECITAT_ZAPOCTY', snor.rok_platnosti, snor.os_cislo) AS odecteny_zapocty
FROM
	studenti_na_oboru_v_roce snor,
	(SELECT os_cislo, 
	 		rok_platnosti,
			SUM(DECODE(z.uznano,'O', 0,'A', 0,DECODE(z.hodnoceni_zk,2, DECODE(z.slovni_hodnoceni,'S', z.poc_kred,0),DECODE(nvl((SELECT CG.english FROM cg_ref_codes CG WHERE CG.rv_domain = 'ZNAMKA' AND CG.rv_low_value = Z.znamka),'N'),'N', 0,z.poc_kred)))) AS suma_vyk_rok
	 FROM znamky z
	 WHERE z.os_cislo = :os_cislo
	   AND z.rok_platnosti = :rok_platnosti
	   AND z.semestr LIKE nvl(:semestr,'%')
	 GROUP BY os_cislo, rok_platnosti) x,  -- pridany jednorazove
	(SELECT os_cislo, 
			rok_platnosti,
			SUM(DECODE(z.uznano,'O', 0,'A', 0,DECODE(z.hodnoceni_zk, 2, DECODE(z.slovni_hodnoceni,'S', z.poc_kred,0),DECODE(nvl((SELECT CG.english FROM cg_ref_codes CG WHERE CG.rv_domain = 'ZNAMKA' AND CG.rv_low_value = Z.znamka),'N'),'N', 0,z.poc_kred)))) AS suma_vyk_rok
	   FROM jedznamky z
	  WHERE z.os_cislo = :os_cislo
		AND z.rok_platnosti = :rok
		AND z.semestr LIKE nvl(:semestr,'%')
	  GROUP BY os_cislo, rok_platnosti) j
	 WHERE snor.os_cislo = x.os_cislo(+)
		 AND snor.rok_platnosti = x.rok_platnosti(+)
		 AND snor.os_cislo = j.os_cislo(+)
		 AND snor.rok_platnosti = j.rok_platnosti(+)
		 AND snor.os_cislo = :os_cislo
		 AND snor.rok_platnosti = :rok 
GROUP BY snor.os_cislo, snor.rok_platnosti,
				 NVL(x.suma_vyk_rok, 0) + NVL(j.suma_vyk_rok, 0)
				 
				 --pg_cti_parametry.cti_retezec_rok_oc('ODECITAT_ZAPOCTY', snor.rok_platnosti, snor.os_cislo )