SELECT ADP.os_cislo os_cislo,ADP.dat_zadani dat_zadani,
        /*FN_TEX_TEXT*/(ADP.tema_hlavni) tema_hlavni,
        --cg.rv_meaning typ_souboru_slovne,
        ADP.typ_souboru,
        ADP.DAT_ODEVZDANI,
        ADP.PLAN_DAT_ODEVZDANI,
        ADP.zpristupnit_za_dobu,
        --to_date(to_char(nvl(ADP.DAT_ODEVZDANI,ADP.PLAN_DAT_ODEVZDANI), 'dd.mm')||'.'||to_char(to_number(nvl(ADP.zpristupnit_za_dobu,'0')) + to_number(to_char(nvl(ADP.DAT_ODEVZDANI,ADP.PLAN_DAT_ODEVZDANI), 'yyyy'))),'dd.mm.yyyy') zpristupnit_od,
        to_date(decode(to_char(nvl(ADP.DAT_ODEVZDANI,ADP.PLAN_DAT_ODEVZDANI), 'DD.MM'),'29.02','28.02',TO_CHAR (NVL (ADP.dat_odevzdani, ADP.plan_dat_odevzdani), 'DD.MM'))||'.'||to_char(to_number(nvl(ADP.zpristupnit_za_dobu,'0')) + to_number(to_char(nvl(ADP.DAT_ODEVZDANI,ADP.PLAN_DAT_ODEVZDANI), 'RRRR'))),'DD.MM.RRRR') zpristupnit_od,
        ADP.zpristupnit_verejnosti zpristupnit_verejnosti,
        nvl((select 'A' from dual where pg_cti_parametry.CTI_RETEZEC_KAT('WWW_UVEREJNENI_POSUDKU',ADP.prac_zkr) like '%_JEN_SKOLA%'),'N') as jen_pro_prihlasene,
        pg_cti_parametry.cti_retezec('WWW_ORG_FULLNAME') as organizace,
        decode(:lang,'cs',fn_meaning2(ADP.zpristupnit_verejnosti,'DIPFILE_TYP_UVEREJNENI'),'sk',fn_meaning2(ADP.zpristupnit_verejnosti,'DIPFILE_TYP_UVEREJNENI'),nvl(fn_meaning_en(ADP.zpristupnit_verejnosti,'DIPFILE_TYP_UVEREJNENI'),fn_meaning2(ADP.zpristupnit_verejnosti,'DIPFILE_TYP_UVEREJNENI'))) as zpristupnit_verejnosti_slovne,
        decode(:lang,'cs',fn_meaning2(ADP.zpristupnit_za_dobu,'DIPFILE_ROK'),'sk',fn_meaning2(ADP.zpristupnit_za_dobu,'DIPFILE_ROK'),nvl(fn_meaning_en(ADP.zpristupnit_za_dobu,'DIPFILE_ROK'),fn_meaning2(ADP.zpristupnit_za_dobu,'DIPFILE_ROK'))) as zpristupnit_za_dobu_slovne,
        decode(:lang,'cs',fn_meaning2(ADP.typ_souboru,'DIPFILE_TYP_SOUBORU'),'sk',fn_meaning2(ADP.typ_souboru,'DIPFILE_TYP_SOUBORU'),nvl(fn_meaning_en(ADP.typ_souboru,'DIPFILE_TYP_SOUBORU'),fn_meaning2(ADP.typ_souboru,'DIPFILE_TYP_SOUBORU'))) as typ_souboru_slovne,
        ltrim(rtrim(ADP.ulozeny_soubor_nazev)) ulozeny_soubor_nazev,
        ADP.ULOZENY_SOUBOR_URL,
        to_char(ADP.ulozeny_soubor_velikost) ulozeny_soubor_velikost,
        ADP.ulozeny_soubor_pozn ulozeny_soubor_pozn,
        ADP.dat_odevzdani datum_odevzdani,
        decode(ADP.HODNOCENI_ZK,'2',decode(ADP.SLOVNI_HODNOCENI,'S','A',ADP.SLOVNI_HODNOCENI),Fn_Meaning_en(ADP.znamka, 'ZNAMKA')) uspel_an,
        ADP.soubor_oponent_nazev soubor_oponent_nazev,
        ADP.soubor_oponent_url,
        ADP.soubor_vedouci_nazev soubor_vedouci_nazev,
        ADP.soubor_vedouci_url,
        ltrim(rtrim(ADP.soubor_prubeh_obhajoby_nazev)) soubor_prubeh_obhajoby_nazev,
        ADP.soubor_prubeh_obhajoby_url,
        ADP.prubeh_obhajoby,
        to_char(ADP.adipidno) adipidno,
        (select FN_STAV_KVALIFIKACNI_PRACE(ADP.adipidno) from dual) as stav,
        /*FN_TEX_TEXT*/(nazev_dle_stud) nazev_dle_stud,
        /*FN_TEX_TEXT*/(tema_soubezne) tema_soubezne,
        /*FN_TEX_TEXT*/(tema_hlavni_ang) tema_hlavni_ang,
        /*FN_TEX_TEXT*/(tema_vedlejsi) tema_vedlejsi,
        /*FN_TEX_TEXT*/(prilohy) prilohy,
        ilustrace, mapy, plany, noty, portrety, grafy, schemata, tabulky,
        /*FN_TEX_TEXT*/(rozsah_st) rozsah_st,
        adp.jazyk,
        /*FN_TEX_TEXT*/(klic_slova) klic_slova,
        /*FN_TEX_TEXT*/(vyjadreni) vyjadreni,
        /*FN_TEX_TEXT*/(vyjadreni_cizi) vyjadreni_cizi,
        /*FN_TEX_TEXT*/(klic_slova_cizi) klic_slova_cizi,
        (SELECT upper(nvl(pg_cti_parametry.CTI_RETEZEC_KAT('WWW_UVEREJNENI_POSUDKU',ADP.prac_zkr),'NEUVEREJNIT')) FROM dual) as uverejneni_posudku,
        nvl((select 'A' from dual where pg_cti_parametry.CTI_RETEZEC_KAT('VKP_UVEREJNENI_PRACE',ADP.prac_zkr) like '%_JEN_SKOLA%'),'N') as prace_jen_pro_prihlasene,
        decode(NVL(pg_cti_parametry.CTI_RETEZEC_KAT('VKP_UVEREJNENI_PRACE',ADP.prac_zkr),'PO_VLOZENI'),'PO_VLOZENI','A','PO_VLOZENI_JEN_SKOLA','A','PO_OBHAJOBE',NVL2(decode(ADP.HODNOCENI_ZK,'2',ADP.SLOVNI_HODNOCENI,ADP.ZNAMKA),'A','N'),'PO_OBHAJOBE_JEN_SKOLA',NVL2(decode(ADP.HODNOCENI_ZK,'2',ADP.SLOVNI_HODNOCENI,ADP.ZNAMKA),'A','N'),'PO_USPESNE_OBHAJOBE',(decode(decode(ADP.HODNOCENI_ZK,'2',ADP.SLOVNI_HODNOCENI,fn_meaning_en(ADP.ZNAMKA,'ZNAMKA')),'S','A','A','A','N')),'PO_USPESNE_OBHAJOBE_JEN_SKOLA',(decode(decode(ADP.HODNOCENI_ZK,'2',ADP.SLOVNI_HODNOCENI,fn_meaning_en(ADP.ZNAMKA,'ZNAMKA')),'S','A','A','A','N')),'NEUVEREJNIT','N','A') as povoleni_zverejnit_praci,
        --decode(NVL(pg_cti_parametry.CTI_RETEZEC_KAT('VKP_UVEREJNENI_PRACE',ADP.prac_zkr),'PO_VLOZENI'),'PO_VLOZENI','A','PO_OBHAJOBE',NVL2(decode(ADP.HODNOCENI_ZK,'2',ADP.SLOVNI_HODNOCENI,ADP.ZNAMKA),'A','N'),'PO_USPESNE_OBHAJOBE',(decode(decode(ADP.HODNOCENI_ZK,'2',ADP.SLOVNI_HODNOCENI,fn_meaning_en(ADP.ZNAMKA,'ZNAMKA')),'S','A','A','A','N')),'NEUVEREJNIT','N','A') as povoleni_zverejnit_praci,
        nvl(pg_cti_parametry.cti_retezec_kat('VKP_UVEREJNENI_PRACE',ADP.PRAC_ZKR),'PO_VLOZENI') as VKP_UVEREJNENI_PRACE,
        sp.typ as typ_kvalif_prace,
        sp.celozivotni_vzdelavani,
        fn_get_student(st.osobidno) as student,
        fn_get_ucitele_kv_pr(adipidno, 'vedoucí','PJ', 'A') vedouci,
        fn_get_ucitele_kv_pr(adipidno, 'oponent','PJ', 'A') oponent,
        fn_get_ucitele_kv_pr(adipidno, 'školitel','PJ', 'A') skolitel,
        fn_get_ucitele_kv_pr(adipidno, 'konzultant z univerzity','PJ', 'A') konzultant_z_univ,
        fn_get_ucitele_kv_pr(adipidno, 'konzultant mimo univerzitu','PJ', 'A') konzultant_mimo_univ,
        /*REPLACE(FN_TEX_TEXT(REPLACE(ADP.seznam_liter,CHR(10),'@#:=%#%@=')),'@#:=%#%@=',CHR(10))*/ADP.seznam_liter as literatura,
        /*REPLACE(FN_TEX_TEXT(REPLACE(ADP.zasady,CHR(10),'@#:=%#%@=')),'@#:=%#%@=',CHR(10))*/ADP.zasady as zasady,
        fn_vsechny_obko(ADP.os_cislo, fn_rok(ADP.os_cislo),'A') as obor_komb,
        FN_STUDENTOVO_OBKO(ADP.os_cislo,fn_rok(ADP.os_cislo),'N',decode(:lang,'cs','CZ','sk','CZ','EN')) as obor_komb_slovne
   FROM  ABN_DIPLOMOVE_PRACE ADP,
         STUDENTI ST,
         STUDIJNI_PROGRAMY SP --,
         --osoby os,
         --cg_ref_codes cg
  WHERE  ADP.adipidno = :adipidno --ADP.os_cislo = .os_cislo
    --AND  cg.rv_domain(+) = 'DIPFILE_TYP_SOUBORU'
    --AND  cg.rv_low_value(+) = ADP.typ_souboru
    AND ST.os_cislo = ADP.os_cislo
    AND SP.stpridno = ST.stpridno
    --AND os.osobidno = st.osobidno
    /*AND  ADP.date_of_insert = (SELECT MAX(dp1.date_of_insert)
                                 FROM ABN_DIPLOMOVE_PRACE dp1
                                WHERE dp1.os_cislo =ADP.os_cislo
                                  AND dp1.tisknout='A'
                                  AND dp1.dat_zadani = (SELECT MAX(dp2.dat_zadani)
                                                          FROM ABN_DIPLOMOVE_PRACE dp2
                                                         WHERE dp2.os_cislo = dp1.os_cislo
                                                           AND dp2.tisknout='A'))*/