SELECT   distinct
        p.semestr,
        pv.crd AS kredity,
        pv.vicezapis,
        p.prac_zkr,
        p.zkr_predm,
        p.absolvoval,
        p.studuje,
        p.zapsano,
        p.blokidno,
        p.rocnik,
        fn_predch_nespl(:os_cislo,:rok_zapisu,p.prac_zkr,p.zkr_predm,p.semestr) as splneno,
        p.stplidno
         FROM (SELECT NVL (TO_CHAR (bp.doporroc), 'XX') AS rocnik,
                NVL (bp.doporsem, 'YY') AS semestr, bl.statut, bp.prac_zkr,
                bp.zkr_predm,
                -- kdyz existuje v ZNAMKY a je absolvovany, tak vratit priznak absolvovano

(select fn_predmet_abs(snor.os_cislo,bp.prac_zkr,bp.zkr_predm,'A') from dual) absolvoval,
                -- kdyz existuje v ZNAMKY a je nyni studovany (dle aktualniho roku studia), tak vratit priznak studovano
                (SELECT DECODE (COUNT (*), 0, 'N', 'A')
                   FROM znamky z
                  WHERE snor.os_cislo = z.os_cislo
                    AND bp.prac_zkr = z.prac_zkr
                    AND bp.zkr_predm = z.zkr_predm
                    AND z.rok_platnosti = :rok
                    and z.uznano='N'
                    and 'A' = (decode(z.hodnoceni_zk, 2,decode(z.slovni_hodnoceni,'S','N',

                                'N',decode((select FN_DEADLINE_ZAPISU_ZNAMEK(z.ROK_PLATNOSTI,z.PRAC_ZKR) from dual),

                                                 'A','N',


decode(z.pokus_cislo,nvl(least(nvl((select
                                        PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',z.os_cislo) from
                                        dual),
                                        (select
                                        pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',z.prac_zkr) from
                                        dual)),
                                        nvl((select
                                        PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',z.os_cislo) from
                                        dual) ,
                                        (select
                                        pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',z.prac_zkr) from
                                        dual))),3)
                                   ,'N','A')),

                                null,decode((select FN_DEADLINE_ZAPISU_ZNAMEK(z.ROK_PLATNOSTI,z.PRAC_ZKR) from dual),'A','N','A')),

    1,decode(Z.znamka,null,decode((select FN_DEADLINE_ZAPISU_ZNAMEK(z.ROK_PLATNOSTI,z.PRAC_ZKR) from dual),'A','N','A'),


decode((select fn_meaning_en(Z.znamka,'ZNAMKA') from dual),'N',decode((select FN_DEADLINE_ZAPISU_ZNAMEK(z.ROK_PLATNOSTI,z.PRAC_ZKR) from dual),



'A','N',decode(z.pokus_cislo,nvl(least(nvl((select
                                            PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',z.os_cislo) from
                                            dual),
                                            (select
                                            pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',z.prac_zkr) from
                                            dual)),
                                            nvl((select
                                            PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',z.os_cislo) from
                                            dual) ,
                                            (select
                                            pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',z.prac_zkr) from
                                            dual))),3)
                                         ,'N','A')),

                                                              'N'))
                                                         ))) studuje,
                -- kdyz existuje v ZNAMKY a je zapsan pro novy rok, tak vratit priznak zapsano
                (SELECT DECODE (COUNT (*), 0, 'N', 'A')
                   FROM znamky zn
                  WHERE snor.os_cislo = zn.os_cislo
                    AND bp.prac_zkr = zn.prac_zkr
                    AND bp.zkr_predm = zn.zkr_predm
                    and zn.uznano='N'
                    AND zn.rok_platnosti = :rok_zapisu) as zapsano,
                bl.blokidno, snor.stplidno, snor.rok_platnosti as rok_varianty
           FROM studenti_na_oboru_v_roce snor,
                studijni_plany pl,
                poradi_segmentu ps,
                segmenty_st_planu spl,
                bloky bl,
                bloky_predm bp
          WHERE snor.os_cislo = :os_cislo
            AND snor.stplidno = pl.stplidno
            AND pl.stplidno = ps.stplidno
            AND ps.sespidno = spl.sespidno
            AND spl.sespidno = bl.sespidno
            AND bl.blokidno = bp.blokidno
            AND snor.rok_platnosti = :rok_zapisu
UNION
-- ze znamek dovyberu predmety, ktere nejsou ve studijnim planu a kteri nejsou
-- ani predchudci predmetu ze stud. planu
SELECT
distinct
 to_char(svr.standard_rok), zn.semestr,'N' statut,
      zn.prac_zkr, zn.zkr_predm, fn_predmet_abs(:os_cislo,zn.prac_zkr,zn.zkr_predm,'A') as absolvoval,
      case when zn.rok_platnosti=:rok and 'A' = (decode(zn.hodnoceni_zk, 2,decode(zn.slovni_hodnoceni,'S','N',
                                                   'N',decode((select FN_DEADLINE_ZAPISU_ZNAMEK(zn.ROK_PLATNOSTI,zn.PRAC_ZKR) from dual),

'A','N',

decode(zn.pokus_cislo,nvl(least(nvl((select
                                        PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                                        dual),
                                        (select
                                        pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                                        dual)),
                                        nvl((select
                                        PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                                        dual) ,
                                        (select
                                        pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                                        dual))),3)
                                    ,'N','A')),
                                                   null,decode((select FN_DEADLINE_ZAPISU_ZNAMEK(zn.ROK_PLATNOSTI,zn.PRAC_ZKR) from dual),'A','N','A')),
                       1,decode(ZN.znamka,null,decode((select FN_DEADLINE_ZAPISU_ZNAMEK(zn.ROK_PLATNOSTI,zn.PRAC_ZKR) from dual),'A','N','A'),

decode((select fn_meaning_en(ZN.znamka,'ZNAMKA') from dual),'N',decode((select FN_DEADLINE_ZAPISU_ZNAMEK(zn.ROK_PLATNOSTI,zn.PRAC_ZKR) from dual),


'A','N',decode(zn.pokus_cislo,nvl(least(nvl((select
                                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                                                dual),
                                                (select
                                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                                                dual)),
                                                nvl((select
                                                PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',zn.os_cislo) from
                                                dual) ,
                                                (select
                                                pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',zn.prac_zkr) from
                                                dual))),3)
                                           ,'N','A')),

          'N'))
)) then 'A' else 'N'
      end studuje ,
      --DECODE (zn.rok_platnosti, .rok_zapisu, 'A', 'N') AS zapsano,
      DECODE (zn.rok_platnosti, :rok_zapisu, decode(zn.uznano,'N','A','N'),'N') AS zapsano,
      0 blokidno, 0 stplidno, zn.rok_varianty
 FROM znamky zn,
      studenti_v_roce svr,
      studenti_na_oboru_v_roce snor
WHERE snor.os_cislo = :os_cislo
  AND snor.os_cislo = zn.os_cislo
  AND snor.rok_platnosti = zn.rok_platnosti
  AND snor.os_cislo = svr.os_cislo
  AND snor.rok_platnosti = svr.rok_platnosti
  -- pro predchozi roky jen splnene, pro aktualni vse
  and ((zn.rok_platnosti in (:rok,:rok_zapisu)) or  (zn.rok_platnosti < :rok and zn.uznano='A' or (Zn.HODNOCENI_ZK='2' and zn.slovni_hodnoceni='S') or (Zn.HODNOCENI_ZK='1' and (select fn_meaning_en(zn.znamka,'ZNAMKA') from dual)='A')))
  and (zn.prac_zkr, zn.zkr_predm) not in
  -- a navic jejich predchudci
(SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
FROM pred_hlavicky ph,
     -- predmety prislusnych planu
    (SELECT DISTINCT blpr.prac_zkr, blpr.zkr_predm
     FROM studijni_plany stpl,
          poradi_segmentu pose,
          segmenty_st_planu sesp,
          bloky blok,
          bloky_predm blpr,
          studenti_na_oboru_v_roce snor
          -- jen plany prislusneho roku
          where snor.os_cislo = :os_cislo
           AND snor.rok_platnosti = :rok_zapisu
           AND snor.stplidno = stpl.stplidno
           AND stpl.stplidno = pose.stplidno
           AND pose.sespidno = sesp.sespidno
           AND sesp.sespidno = blok.sespidno
           AND blok.blokidno = blpr.blokidno) x
WHERE ph.prac_zkr = x.prac_zkr(+) AND ph.zkr_predm = x.zkr_predm(+)
START WITH ph.prac_zkr = x.prac_zkr AND ph.zkr_predm = x.zkr_predm
CONNECT BY PRIOR ph.prac_zkr_pred = ph.prac_zkr
          AND PRIOR ph.zkr_predm_pred = ph.zkr_predm)) p,
        pred_varianty pv,
        studentem_vybrane_predmety svp,
        znamky z
  WHERE pv.prac_zkr = p.prac_zkr
    AND pv.zkr_predm = p.zkr_predm
    and svp.os_cislo(+) = :os_cislo
    AND svp.prac_zkr(+) = pv.prac_zkr
    AND svp.zkr_predm(+) = pv.zkr_predm
    AND svp.rok_varianty(+) = pv.ROK_VARIANTY
    -- rok varianty musim predat z vnitrniho selectu, protoze pro uznane se rok varianty a
    -- aktualni rok muzou lisit
    AND pv.rok_varianty = p.rok_varianty
    AND z.os_cislo(+) = :os_cislo
    AND z.zkr_predm(+) = pv.zkr_predm
    AND z.prac_zkr(+) = pv.prac_zkr
     and z.rok_varianty(+)=pv.rok_varianty 