Select
	u.JMENO,
	u.PRIJMENI,
	DECODE(:lang, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
	DECODE(:lang, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
  DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION) as ucitel

From
	Ucitele u,
	cg_ref_codes c1,
	cg_ref_codes c2

where
	u.UCITIDNO = (:ucitidno)
	AND c1.RV_DOMAIN(+) = 'TITUL_PRED'
	AND c1.RV_LOW_VALUE(+) = u.TITUL_PRED
	AND c2.RV_DOMAIN(+) = 'TITUL_ZA'
	AND c2.RV_LOW_VALUE(+) = u.TITUL_ZA
