SELECT
       uc.ucitidno,
       uc.PRIJMENI,
       uc.JMENO,
      (SELECT fn_meaning2 (uc.titul_pred, 'TITUL_PRED') FROM DUAL) titul_pred,
      (SELECT fn_meaning2 (uc.titul_za, 'TITUL_ZA') FROM DUAL) titul_za,
      uc.pohlavi,
       uc.PRAC_ZKR,
       fn_vsechna_prac (uc.ucitidno) AS dalsi_prac,
       uc.PRACOVISTE_JINE,
       idt.ID_KATEDRA,
      trim((SELECT fn_meaning2 (uc.titul_pred, 'TITUL_PRED') FROM DUAL)||' '||uc.JMENO||' '||uc.PRIJMENI||' '||(SELECT fn_meaning2 (uc.titul_za, 'TITUL_ZA') FROM DUAL)) as ucitel
  FROM

   ucitele uc,
       id_table2 idt
    WHERE uc.platnost = 'A'
    AND uc.UCITIDNO   = IDT.UCITIDNO(+)
  and idt.id_role = :role
 ORDER BY uc.PRIJMENI,
       uc.JMENO