SELECT distinct
    -- Tato cast selectu vraci STUDENTSKE identity studenta
    0 priorita_razeni,
    os.jmeno jmeno, os.prijmeni,
    fn_meaning(os.TITUL_PRED,'TITUL_PRED') titul_pred, fn_meaning(os.TITUL_ZA,'TITUL_ZA') titul_za,
    os.rod_cislo rod_cislo, os.email email, os.telefon telefon
FROM
    osoby os
WHERE
    (os.rod_cislo = (SELECT o.rod_cislo FROM orion o WHERE lower(o.username) = LOWER(:loginName)))
    OR
    (os.osobidno = ( SELECT osobidno FROM studenti st WHERE st.os_cislo = upper(:loginName)))
UNION ALL
SELECT distinct
    -- Tato cast selectu vraci UCITELSKE a EVALUACNI identity
    1 priorita_razeni,
    u.jmeno jmeno, u.prijmeni,
    fn_meaning(u.TITUL_PRED,'TITUL_PRED') titul_pred, fn_meaning(u.TITUL_ZA,'TITUL_ZA') titul_za,
    u.rod_cislo rod_cislo, u.email email, u.telefon telefon
FROM
  ucitele u
WHERE
@IFNOT(0) u.ucitidno = (select ucitidno from id_table2 o where o.id_name = upper(:loginName) ) -- IF STAG LOGIN
@IF(0)    u.ucitidno = (select ucitidno from orion_ucitele o where lower(o.username) = lower(:loginName) ) -- IF ORION LOGIN
order by priorita_razeni desc