SELECT
	n.CELK_PLAN nadgrupa_plan,
	n.CELK_OBSAZENI nadgrupa_obsazeni,
	DECODE(n.CELK_PLAN, NULL, null , to_char(n.CELK_PLAN - n.CELK_OBSAZENI)) nadgrupa_zbyva,
	t.DATUM datum,
	t.HOD_OD hod_od,
	t.HOD_DO hod_do,
	t.ZKR_BUDOVY,
	t.CISLO_MIST,
	m.kapacita,
	t.ZKR_BUDOVY||t.CISLO_MIST mistnost,
	to_char(n.NATEIDNO) as NATEIDNO

FROM
	GRUPY_TERMINU g,
	NADGRUPY_TERMINU n,
	TERMINY t,
	mistnosti m
	
WHERE
	n.NATEIDNO = g.NATEIDNO
	AND t.GRTEIDNO = g.GRTEIDNO
	AND t.TERMIDNO = :termidno
	and m.ZKR_BUDOVY = t.ZKR_BUDOVY
	and m.CISLO_MIST = t.CISLO_MIST