select distinct
  to_char (ps.SESPIDNO) as sespidno,
  ss.oridno,
  ss.CZ_NAZEV_SKUPINY as nazev_skupiny,
  ss.AN_NAZEV_SKUPINY as nazev_skupiny_en,
  ps.PORADI as PORADI_SEGMENTU,
  sp.NAZEV,
--  DECODE(:lang, 'cs', nvl(sp.NAZEV,ob.CZ_NAZEV), 'sk', nvl(sp.NAZEV,ob.CZ_NAZEV), NVL(nvl(sp.AN_NAZEV,ob.AN_NAZEV),nvl(sp.NAZEV,ob.CZ_NAZEV))) AS nazev_planu,
  sp.NAZEV nazev_segmentu,
  an_nazev_modulu,
  cz_nazev_modulu,
  sp.ZKRATKA as zkratka,
  spl.ROK_PLATNOSTI,

  sp.min_crd_b_bloku,
  sp.min_pocet_abs_b_bloku,

  to_char(decode (ss.ORIDNO, null, '0', '1')) as skupinovy_segment,
  b.BLOKIDNO as blokidno,
  b.CZ_NAZEV as cz_nazev_bloku,
  b.an_nazev as en_nazev_bloku,
  b.J3_NAZEV as j3_nazev_bloku,
  b.J4_NAZEV as j4_nazev_bloku,
  b.STATUT,
  b.minkred as min_kred,
  b.max_kred,
  b.POZNAMKA BLOK_POZNAMKA,
  b.min_pocet_predmetu,
  b.poradi as poradi_bloku,

  spl.stplidno,
  spl.NAZEV as nazev_planu,
  spl.AN_NAZEV as nazev_planu_en,
  spl.LIMIT_CRD,
  spl.BROZURA,
  spl.ECTS_ZOBRAZIT,
  spl.KREDITNE,
  spl.PORADI PORADI_PLANU,
  spl.PREAM_NAZEV,
  spl.SPECIALIZACE,
  spl.VYUC_JAZYK,
  spl.verze,
  spl.etapa,
  spl.POZNAMKA,
  spl.POCET_SEMESTRU,
  ob.oboridno,
  ob.cisoboru,
  ob.zkratka obor_zkratka,
  ob.cisspec,
  pr.kodsp_i PROGRAM_KOD,
  pr.cz_nazev PROGRAM_NAZEV,
  ko.zkratka kombinace_zkratka,
  ko.nazev kombinace_nazev,
  ko.kombidno,
  pr.STAND_DELKA,
  pr.typ,
  pr.forma,
  pr.fakulta_sp as fakulta,
  ob.prac_zkr katedra,
  pg_cti_parametry.CTI_DATUM_ROK_KAT('DEADLINE_PLANY', spl.rok_platnosti, pr.fakulta_sp) deadline
from
    studijni_plany spl,
  poradi_segmentu ps,
  segmenty_st_planu sp,
  skupiny_segmentu ss,
  bloky b,
  obory ob,
    studijni_programy pr,
    kombinace ko,
    pom_komb pk


where
      ob.stpridno = pr.stpridno
    and ob.oboridno = pk.oboridno(+)
    and pk.kombidno = ko.kombidno(+)
    
--    and nvl(ob.platny_od, '1970' ) <= :akRokStripped and nvl(ob.neplatny_od, '2099') > :akRokStripped
-- zadano stplidno, chci jenom jeden konkretni paln
--@IF(0) and spl.stplidno = :stplidno

-- nezadano stplidno, chci vyheldavat podle formulare
--@IFNOT(0) and spl.rok_platnosti = :akRokStripped
--@IFNOT(0) and pr.typ like :typ
--@IFNOT(0) and pr.forma like :forma
--@IFNOT(0) and (UPPER(pr.cz_nazev) like :program or UPPER(pr.an_nazev) like :program or UPPER(pr.CISP_KOD) like :program)
--@IFNOT(0) and (UPPER(ob.cz_nazev) like :obor or UPPER(ob.an_nazev) like :obor or UPPER(ob.cisoboru) like :obor or UPPER(ob.zkratka) like :obor)
--@IFNOT(0) and (pr.fakulta_sp like :fakulta)
--@IFNOT(0) and UPPER(ko.nazev(+)) like :kombinace

  and ob.oboridno = spl.oboridno
  and spl.STPLIDNO = ps.STPLIDNO(+)
  and sp.SESPIDNO(+) = ps.SESPIDNO
  and ss.STPLIDNO(+) = ps.STPLIDNO
  and ss.SESPIDNO(+) = ps.SESPIDNO
  and b.SESPIDNO(+) = sp.SESPIDNO
  --and bp.BLOKIDNO = b.BLOKIDNO

  
order by
spl.stplidno, spl.poradi, ps.SESPIDNO,
DECODE(ss.ORIDNO,null,'0','1') desc, ps.PORADI, b.STATUT, b.poradi, b.cz_nazev